2009-09-23 14:13  zach.mullen

	* Tests/CMakeLists.txt: Uncommented the dependency of
	  CTestTestNoExe on CTestTestNoBuild so that it will work in
	  parallel now.

2009-09-23 14:10  king

	* Source/cmGlobalXCodeGenerator.cxx: Add Xcode SYMROOT setting for
	  custom targets

	  Xcode 1.5 writes helper scripts at the projectDirPath location
	  for targets that do not set SYMROOT.	We now add SYMROOT to
	  custom targets so that all targets set it.  This prevents Xcode
	  1.5 from touching the source directory now that we always set
	  projectDirPath.

	  See issue #8481.

2009-09-23 14:07  zach.mullen

	* Tests/CTestTestParallel/lockFile.c: Make portable c for Parallel
	  test

2009-09-23 14:01  alex

	* Source/: cmDepends.cxx, cmDepends.h, cmDependsC.cxx,
	  cmDependsC.h, cmDependsJava.cxx, cmDependsJava.h,
	  cmLocalUnixMakefileGenerator3.cxx,
	  cmLocalUnixMakefileGenerator3.h: Major optimization of C/C++
	  dependency scanning.

	  Now only the dependencies for the file where the dependencies
	  actually may have changed are rescanned, before that this was
	  done for all source files even if only one source file had
	  changed.  This reduces e.g. on my machine the time for scanning
	  the dependencies of kdelibs/khtml/ when only one file
	  (khtml_global.cpp) has changed from around 7.5 seconds to 1.2
	  seconds.

	  The tests succeed, it does what I expected it to do on kdelibs,
	  and Brad also reviewed the patch, so I think it should be ok.

	  Alex

2009-09-23 13:09  clinton

	* Source/QtDialog/: CMakeSetupDialog.cxx, QCMakeCacheView.cxx,
	  QCMakeCacheView.h: fix compile warnings

2009-09-23 12:46  hoffman

	* Utilities/Release/: magrathea_release.cmake, release_cmake.cmake:
	  Handle older cvs clients that do not allow for the password to be
	  in the CVSROOT.

2009-09-23 12:45  hoffman

	* Tests/CMakeLists.txt: Add nightly builds for linux windows and
	  mac.

2009-09-23 11:38  zach.mullen

	* Tests/: CMakeLists.txt, CTestTestParallel/CMakeLists.txt,
	  CTestTestParallel/lockFile.c, CTestTestParallel/lockFile.cxx: Set
	  new ctest tests to always run, whether CTEST_TEST_CTEST is
	  enabled or not.  Changed parallel test to be portable.

2009-09-23 10:45  king

	* Source/kwsys/SystemTools.cxx: Fix KWSys SystemTools build on
	  cygwin with -mwin32

	  Commit "Optimize KWSys SystemTools::FileExists on Windows"
	  accidentally added "#undef _WIN32" when including <windows.h> on
	  cygwin, which breaks builds using the -mwin32 flag.  This commit
	  removes that line and fixes the real error it was intended to
	  avoid.

2009-09-23 09:00  zach.mullen

	* Tests/CTestTestParallel/test.cmake.in: CTestTestParallel now
	  submits to public dashboard for easier debugging

2009-09-23 08:48  king

	* Source/cmDocumentVariables.cxx,
	  Source/cmGlobalXCodeGenerator.cxx,
	  Source/cmGlobalXCodeGenerator.h,
	  Tests/SystemInformation/SystemInformation.in: Teach Xcode
	  generator to set XCODE_VERSION

	  We set the variable 'XCODE_VERSION' in the CMake language to the
	  Xcode version string (e.g. "3.1.2").	Platform config files may
	  use it later.

2009-09-23 01:01  bigler

	* Modules/FindCUDA.cmake: Updated formatting of documentation plus
	  a little reorganization.

2009-09-23 00:50  bigler

	* Modules/FindCUDA/run_nvcc.cmake: Added a command to make the
	  output directory.  This is to fix the XCode build that uses a
	  different output directory than other systems, and rather than
	  try to match that we'll just make it.

2009-09-23 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-09-22 18:44  clinton

	* Modules/FindQt4.cmake: add support for finding
	  qcollectiongenerator executable.  fixes #9248.

2009-09-22 18:29  clinton

	* Source/QtDialog/: CMakeSetup.cxx, CMakeSetupDialog.cxx: fix issue
	  9346.  add binary directory to window title to make it easier to
	  deal with multiple cmake-gui instances

2009-09-22 17:08  hoffman

	* Utilities/Release/dash2win64_release.cmake: new windows build
	  machine for cmake

2009-09-22 17:07  hoffman

	* Utilities/Release/vogon_cygwin.cmake: disable svn

2009-09-22 16:28  clinton

	* Modules/FindQt4.cmake: Add support for Qt configured with custom
	  qtlibinfix (see issue 9571).	Also fix CMP 15 warnings.

2009-09-22 16:18  king

	* Source/: cmGlobalXCodeGenerator.cxx, cmGlobalXCodeGenerator.h:
	  Fix Xcode project references to the source tree

	  Xcode project source file references need to always be relative
	  to the top of the source tree in order for SCM and debug symbols
	  to work right.  We must even allow the relative paths to cross
	  outside of the top source or build directories.

	  For subdirectory project() command Xcode projects we use the
	  source directory containing the project() command as the top.
	  Relative paths are generated accordingly for each subproject.

	  See issue #8481.

2009-09-22 16:16  king

	* Source/: cmLocalGenerator.cxx, cmLocalGenerator.h: Optionally
	  force conversion to relative path

	  In cmLocalGenerator::ConvertToRelativePath we normally convert to
	  relative path only if the local and remote paths both lie inside
	  the source tree or both lie inside the build tree.  This commit
	  adds an optional 'force' argument to allow conversion even when
	  this rule is violated.

2009-09-22 16:12  hoffman

	* bootstrap: Make sure KWSYS_DO_NOT_CLEAN_PUTENV is defined at
	  bootstrap time for cmake in the bootstrap script.

2009-09-22 16:02  king

	* Modules/CMakeDetermineCompilerABI.cmake: Skip implicit link info
	  for multiple OS X archs

	  Implicit link information contains architecture-specific
	  libraries and directories.  The link information cannot be
	  explicitly specified safely when CMAKE_OSX_ARCHITECTURES contains
	  more than one architecture.

	  As a result, we currently cannot support mixed-language
	  C++/Fortran targets and OS X universal binaries simultaneously.
	  In order to avoid conflicts for simple C/C++ cases, we now simply
	  skip detection of implicit link information in this case.

2009-09-22 15:58  hoffman

	* Source/kwsys/: CMakeLists.txt, Configure.hxx.in: Can not use
	  cmakedefine in kwsys because bootstrap of cmake does not support
	  it.

2009-09-22 14:56  hoffman

	* Source/kwsys/: Configure.hxx.in, SystemTools.cxx: Put a flag in
	  that will stop system tools from deleting system environment
	  memory on exit, as it can cause gcov to crash the programs.

2009-09-22 14:40  alex

	* Source/: cmGlobalUnixMakefileGenerator3.cxx,
	  cmLocalUnixMakefileGenerator3.cxx: Rescan dependencies also if
	  CMakeDirectoryInformation.cmake has changed.

	  If CMakeDirectoryInformation.cmake is newer than depend.internal
	  the include directories may have changed, so dependencies need to
	  be scanned again.  Ok by Brad.

	  Alex

2009-09-22 13:02  king

	* Source/kwsys/: SystemTools.cxx, SystemTools.hxx.in: Optimize
	  KWSys SystemTools::FileExists on Windows

	  We optimize this method by using the GetFileAttributesExA native
	  Windows API to check for file existence when possible.  For real
	  Windows builds we always use it.  For Cygwin we use
	  cygwin_conv_to_win32_path to get a native Windows path if
	  possible and otherwise fall back to 'access'.

	  Cygwin-to-Windows path conversion and cache by Wojciech Migda.
	  See issue #8826.

2009-09-22 12:05  zach.mullen

	* Tests/: CMakeLists.txt, CTestTestParallel/CMakeLists.txt,
	  CTestTestParallel/CTestConfig.cmake,
	  CTestTestParallel/lockFile.cxx, CTestTestParallel/test.cmake.in:
	  Added tests for ctest parallel options (PARALLEL_LEVEL,
	  PROCESSORS, RUN_SERIAL)

2009-09-22 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-09-21 23:42  lowman

	* Modules/FindBoost.cmake: Make Boost easier to find

2009-09-21 23:07  clinton

	* Modules/FindQt4.cmake: Fix issue 9581.  Qt 4.5+ needs
	  gobject-2.0.

2009-09-21 22:38  lowman

	* Modules/: FindCxxTest.cmake, FindGTK2.cmake,
	  FindOpenSceneGraph.cmake, FindProtobuf.cmake: Add a blank line to
	  my contributed find modules to prevent copyright info from
	  showing up in CMake docs

2009-09-21 22:21  lowman

	* Modules/FindBoost.cmake: Fix Bug #9158: FindBoost.cmake does not
	  work properly with nmake and icl

2009-09-21 17:22  hoffman

	* Utilities/Release/release_cmake.sh.in: Use ctest -j to speed up
	  tests for release builds.

2009-09-21 17:19  hoffman

	* Utilities/Release/release_cmake.cmake: Do not require a cvs login
	  for checkout.

2009-09-21 15:29  zach.mullen

	* Source/CTest/cmCTestBatchTestHandler.cxx: More SLURM
	  experimentation (ctest batch mode)

2009-09-21 15:26  hoffman

	* Tests/CMakeLists.txt: For the complex tests since they link to
	  the CMake library make sure that they are built with the type of
	  build.

2009-09-21 14:58  zach.mullen

	* Source/CTest/cmCTestBatchTestHandler.cxx: Fixed a slurm batch
	  argument identifier.

2009-09-21 14:21  zach.mullen

	* Source/CTest/: cmCTestBatchTestHandler.cxx,
	  cmCTestBatchTestHandler.h: Need to quote args when generating
	  batch scripts from ctest

2009-09-21 13:40  zach.mullen

	* Source/CTest/cmCTestBuildHandler.cxx, Tests/CMakeLists.txt:
	  Re-enabled failing tests; fixed ctest_build output to be
	  consistent in the error condition across different make programs
	  so that these tests would pass.

2009-09-21 13:18  hoffman

	* Source/cmGlobalXCodeGenerator.cxx: Fix Bug #8332, add support for
	  .pch files for Xcode.

2009-09-21 13:15  hoffman

	* Source/cmGlobalXCodeGenerator.cxx: Fix Bug #8928, add support for
	  .xib files for Xcode.

2009-09-21 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-09-20 23:55  lowman

	* Modules/FindProtobuf.cmake: Fix glitch where we were accidently
	  unsetting CMAKE_FIND_LIBRARY_PREFIXES

2009-09-20 21:15  lowman

	* Modules/FindProtobuf.cmake: Forgot to mark Protobuf cache
	  variables as advanced

2009-09-20 20:20  lowman

	* Modules/FindALSA.cmake: [NEW Module] FindAlsa audio library
	  (Advanced Linux Sound Architecture)

2009-09-20 20:12  lowman

	* Modules/FindProtobuf.cmake: [NEW Module] Find and use Google's
	  Protocol Buffers library & compiler

2009-09-20 11:33  lowman

	* Modules/FindBoost.cmake: Fix boost library detection with Sun
	  Studio compiler (Issue #9153)

2009-09-20 09:42  hoffman

	* Tests/CMakeLists.txt: Disable test as it fails on every system.

2009-09-20 08:03  lowman

	* Modules/FindThreads.cmake: Improve readability

2009-09-20 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-09-19 13:02  alex

	* Source/cmDepends.cxx: Minor optimization in dependency checking.

	  When reading the depend.internal file, check only once for every
	  depender whether it exists, instead of repeatedly in a loop for
	  each dependee. Within that function it can only change of the
	  depender is removed. This is taken care of.  This reduces the
	  number of access() calls in kdelibs/khtml from 180000 to 90000
	  (i.e. 50%), and reduces the time for that (without the actual
	  scanning) from 0.3 s to 0.21 s on my system.

	  Alex

2009-09-19 12:00  king

	* Source/: CMakeLists.txt, cmGlobalXCode21Generator.cxx,
	  cmGlobalXCode21Generator.h, cmGlobalXCodeGenerator.cxx,
	  cmGlobalXCodeGenerator.h: Remove cmGlobalXCode21Generator
	  subclass

	  This subclass of cmGlobalXCodeGenerator only provided two virtual
	  method overrides, and it made construction of the Xcode generator
	  instance complicated.  This commit removes it and replaces the
	  virtual methods with tests of the Xcode version.  The change
	  removes duplicate code.

2009-09-19 10:14  king

	* Modules/CMakeCCompiler.cmake.in,
	  Modules/CMakeCXXCompiler.cmake.in,
	  Modules/Platform/Darwin-GNU-C.cmake,
	  Modules/Platform/Darwin-GNU-CXX.cmake,
	  Modules/Platform/Darwin-GNU.cmake, Modules/Platform/Darwin.cmake,
	  Source/cmLocalGenerator.cxx: Fix check for -isysroot on OS X

	  Previously we checked for this flag by parsing the version number
	  of GCC out of 'gcc --version', but this is not reliable because
	  the format can vary greatly.	Now we run 'gcc -v --help' and look
	  for '-isysroot' in the list of options.

	  We also now store the result on a per-language basis in the
	  per-compiler info file "CMake<LANG>Compiler.cmake".  This is
	  necessary to make it accessible from try-compile projects so that
	  they generate correctly.

2009-09-19 04:33  alex

	* Modules/Compiler/: Intel-C.cmake, Intel-CXX.cmake: The
	  preprocessing and assembly rules also need the <DEFINES>,
	  otherwise different reults are created.

	  Alex

2009-09-19 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-09-18 15:16  hoffman

	* Source/cmLocalGenerator.cxx: Only do the OSX arch stuff on OSX.

2009-09-18 15:01  zach.mullen

	* Tests/CMakeLists.txt: Disabling CTestTestNoBuild pending
	  investigation of odd g++ output issues.

2009-09-18 14:22  hoffman

	* Modules/Platform/Darwin.cmake, Source/cmLocalGenerator.cxx: Add
	  detection of gcc versions that do not support isysroot option and
	  do not use it for them.

2009-09-18 14:02  zach.mullen

	* Tests/CMakeLists.txt: Apparently, on FarAway the presence of
	  errors during ctest_build does not cause the calling ctest to
	  return an error condition.

2009-09-18 13:34  zach.mullen

	* Tests/CMakeLists.txt: Cosmetic change to test CMakeLists

2009-09-18 12:56  david.cole

	* Modules/ExternalProject.cmake: Better error message tells user
	  possible ways to resolve the error.

2009-09-18 12:16  zach.mullen

	* Tests/: CMakeLists.txt, CTestTestCrash/CMakeLists.txt,
	  CTestTestCrash/CTestConfig.cmake, CTestTestCrash/crash.cxx,
	  CTestTestCrash/test.cmake.in, CTestTestFailure/CMakeLists.txt,
	  CTestTestFailure/CTestConfig.cmake, CTestTestFailure/badCode.cxx,
	  CTestTestFailure/testNoBuild.cmake.in,
	  CTestTestFailure/testNoExe.cmake.in: Added test coverage for
	  ctest.  Covers WILL_FAIL condition, tests that do not build,
	  tests that segfault, and test executable not found (bad command),
	  as well as some pass and fail regular expressions.

2009-09-18 10:28  hoffman

	* Source/cmGlobalXCodeGenerator.cxx: Fix the build for version 2.5
	  of Xcode.

2009-09-18 09:49  king

	* Tests/TryCompile/CMakeLists.txt: Fix CHECK_(C|CXX)_COMPILER_FLAG
	  macro test

	  The flag "-_this_is_not_a_flag_" was not rejected by GCC 4.0 on
	  older Mac OS X.  We now use "---_this_is_not_a_flag_" instead,
	  which will hopefully be rejected by all compilers.

2009-09-18 09:49  king

	* Modules/: CheckCCompilerFlag.cmake, CheckCXXCompilerFlag.cmake:
	  Fix CHECK_(C|CXX)_COMPILER_FLAG for XL and SunPro

	  These compilers warn and return 0 for unrecognized flags.  We fix
	  the compiler flag check macros by looking for a warning in the
	  output.  We also update the regex for GNU on older Macs.  See
	  issue #9516.

2009-09-18 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-09-17 17:16  king

	* Modules/: CheckCCompilerFlag.cmake, CheckCXXCompilerFlag.cmake:
	  Fix CHECK_(C|CXX)_COMPILER_FLAG for HP

	  This compiler warns and returns 0 for unrecognized flags.  We fix
	  the compiler flag check macros by looking for a warning in the
	  output.  See issue #9516.

2009-09-17 16:09  hoffman

	* Source/cmLocalGenerator.cxx: Fix case where no archs are found on
	  older macs.

2009-09-17 15:33  king

	* Tests/TryCompile/CMakeLists.txt: Test CHECK_(C|CXX)_COMPILER_FLAG
	  macros

	  This teaches the TryCompile test to check that the compiler flag
	  check macros correctly reject a bad flag.  See issue #9516.

2009-09-17 15:32  king

	* Modules/: CheckCCompilerFlag.cmake, CheckCXXCompilerFlag.cmake:
	  Fix CHECK_(C|CXX)_COMPILER_FLAG for GNU and MSVC

	  These compilers warn and return 0 for unrecognized flags.  We fix
	  the compiler flag check macros by looking for a warning in the
	  output.  See issue #9516.

2009-09-17 15:29  king

	* Modules/: CheckCSourceCompiles.cmake,
	  CheckCXXSourceCompiles.cmake: Add FAIL_REGEX to
	  CHECK_(C|CXX)_SOURCE_COMPILES

	  This teaches the CHECK_C_SOURCE_COMPILES and
	  CHECK_CXX_SOURCE_COMPILES macros to recognize a FAIL_REGEX
	  option.  If they see the regular expression in the output of the
	  test compilation, the check fails.

2009-09-17 15:28  king

	* Modules/: CheckCCompilerFlag.cmake, CheckCSourceCompiles.cmake,
	  CheckCSourceRuns.cmake, CheckCXXCompilerFlag.cmake,
	  CheckCXXSourceCompiles.cmake, CheckCXXSourceRuns.cmake: Cleanup
	  generic compiler check macro documentation

	  This commit improves formatting and style of the documentation
	  for the general-purpose compiler check macros:

	    CHECK_C_COMPILER_FLAG
	    CHECK_C_SOURCE_COMPILES
	    CHECK_C_SOURCE_RUNS
	    CHECK_CXX_COMPILER_FLAG
	    CHECK_CXX_SOURCE_COMPILES
	    CHECK_CXX_SOURCE_RUNS

	  This sytle is more consistent with CMake command documentation.
	  It also looks nicer in the generated documentation text files.

2009-09-17 13:08  alex

	* Modules/CMakeFindEclipseCDT4.cmake: The check for include dirs
	  and builtin macros also works with the Intel compiler

	  Alex

2009-09-17 11:52  hoffman

	* Modules/Platform/Darwin.cmake, Source/cmGlobalXCodeGenerator.cxx,
	  Source/cmLocalGenerator.cxx: Fix for bug #9466.  Change the
	  implementation of OSX arch lists.  If no ARCHs are specified by
	  the user then no flags are set.   We no longer use
	  CMAKE_OSX_ARCHITECTURES_DEFAULT.

2009-09-17 09:18  hoffman

	* Source/cmLocalVisualStudio7Generator.cxx: Bug #9430, recognize
	  the FR flag

2009-09-17 08:42  king

	* Source/: cmMakefileExecutableTargetGenerator.cxx,
	  cmMakefileLibraryTargetGenerator.cxx,
	  cmMakefileTargetGenerator.cxx: Do not call CollapseFullPath for
	  PDB file names

	  Some vendor tools convert PDB file names given on the command
	  line to lower-case before creating the file.	When CMake places a
	  mixed-case PDB file name into the build system, the file does not
	  exist the first time and it is written with mixed case.  After
	  the first build though the native tool has created a lower-case
	  version of the file.	If CMake does CollapseFullPath again, the
	  file exists so the actual-case lookup gets the lower-case name.
	  This causes the build files to change so the project rebuilds.

	  The solution is to avoid calling CollapseFullPath for files
	  generated by the build.  In the case of PDB files we already
	  construct them from paths that have been collapsed, so we can
	  just skip the call altogether.  See issue #9350.

2009-09-17 08:25  king

	* Source/cmMakefile.cxx: Remove old check for duplicate
	  subdirectories

	  In cmMakefile::AddSubDirectory we were checking for addition of
	  the same source directory multiple times.  However, the check
	  code was incorrect because it compared pointers instetad of
	  pointed-to strings.  Since the check was written, a better check
	  was added right after it to enforce unique binary directories (in
	  which case duplicate sources are fine).  This commit simply
	  removes the old-style check code.

2009-09-17 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-09-16 21:02  hoffman

	* Source/cmake.cxx: Fix typo in name

2009-09-16 18:01  alex

	* Source/: cmExtraEclipseCDT4Generator.h,
	  cmExtraEclipseCDT4Generator.cxx,
	  cmLocalUnixMakefileGenerator3.cxx,
	  cmLocalUnixMakefileGenerator3.h: Major improvement of the
	  generated targets in Eclipse.

	  Before this change all targets were displayed in the top level
	  directory of the project. Now the targets are displayed in the
	  correct directory.  The targets "clean" and "all" are now created
	  in every subdirectory.  Also now the targets for just compiling
	  one file, preprocessing one file, assembling one file are are
	  created for Eclipse.	Additionally all targets get a prefix now
	  in eclipse, so that they are sorted in a way which makes sense
	  (global targets first, then executable and libraries, then object
	  files, then preprocessed, then assembly). Also this prefix gives
	  the user a hint what the target is, i.e. whether it's a library
	  or an executable or something else.

	  Alex

2009-09-16 15:09  king

	* Tests/CMakeTests/: CMakeLists.txt, ConfigureFile-BadArg.cmake,
	  ConfigureFile-DirInput.cmake, ConfigureFile-DirOutput.cmake,
	  ConfigureFile-Relative.cmake, ConfigureFileTest.cmake.in: Create
	  CMake.ConfigureFile test for configure_file

	  This test checks that configure_file() handles input and output
	  file arguments as documented.

2009-09-16 15:09  king

	* Source/: cmConfigureFileCommand.cxx, cmConfigureFileCommand.h:
	  Teach configure_file to handle directory names

	  This commit teaches configure_file how to handle directories for
	  input and output.  It is an error if the input is a directory.
	  If the output is a directory we put the configured copy of the
	  input file in it with the same name.	See issue #9537.

2009-09-16 15:09  king

	* Source/: cmConfigureFileCommand.cxx, cmConfigureFileCommand.h:
	  Teach configure_file to handle relative paths

	  The configure_file() command now converts relative output paths
	  to full paths using the current binary directory.  Input relative
	  paths were already converted using the current source directory,
	  but this behavior was not previously documented.

2009-09-16 15:09  king

	* Source/: cmConfigureFileCommand.cxx, cmConfigureFileCommand.h:
	  Fix typo in cmConfigureFileCommand ivar name

	  Rename 'OuputFile' to 'OutputFile'.

2009-09-16 15:09  king

	* Tests/CMakeTests/: CheckCMakeTest.cmake, FileTest.cmake.in:
	  Factor out CMake.File test result check for re-use

	  The CMake.File test runs several scripts through "cmake -P" and
	  checks the output and result against known good values.  This
	  commit factors out the checking code into a separate
	  CMakeCheckTest module.  The module may be used by new tests.

2009-09-16 14:37  alex

	* Source/cmExtraEclipseCDT4Generator.cxx,
	  Modules/CMakeFindEclipseCDT4.cmake: Put compiler defined macros
	  into eclipse project files

	  Now gcc is queried also for the builtin definitions, and they are
	  then added to the .cproject file. This should make the
	  preprocessor highlighting in eclipse work better (#9272) Patch
	  mostly from Miguel.

	  Alex

2009-09-16 14:20  hoffman

	* Modules/FindJNI.cmake: Bug #09476, add more search paths for jni.

2009-09-16 12:40  hoffman

	* Modules/UsePkgConfig.cmake: Fix for bug#9553, print a warning if
	  pkg-config is not found.

2009-09-16 12:33  king

	* Modules/Platform/: Linux-VisualAge-CXX.cmake, Linux-XL-CXX.cmake:
	  Fix XL C++ compiler flags on Linux

	  In Platform/Linux.cmake we add GNU flags as default for the
	  platform which breaks non-GNU compilers.  Later we should
	  refactor these flag files to put compiler-specific flags only in
	  files loaded for each compiler.  Until then this commit fixes the
	  XL C++ compiler flags on Linux by erasing the GNU flags.  See
	  issue #9469.

2009-09-16 11:49  hoffman

	* Source/CTest/cmCTestRunTest.cxx: Fix uninitialized errors.

2009-09-16 11:44  king

	* Source/cmLocalVisualStudio7Generator.cxx: Generate proper Intel
	  Fortran project version

	  The Intel Visual Fortran compiler plugin for MS Visual Studio may
	  be one of several versions of the Intel compiler.  This commit
	  teaches CMake to detect the plugin version and set the version
	  number in .vfproj files.  See issue #9169.

2009-09-16 11:44  king

	* Source/: cmGlobalVisualStudio10Generator.h,
	  cmGlobalVisualStudio6Generator.h,
	  cmGlobalVisualStudio71Generator.h,
	  cmGlobalVisualStudio7Generator.h,
	  cmGlobalVisualStudio8Generator.h,
	  cmGlobalVisualStudio9Generator.h,
	  cmGlobalVisualStudioGenerator.cxx,
	  cmGlobalVisualStudioGenerator.h: Create VS generator
	  GetRegistryBase method

	  This method returns the registry key

	    HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\VisualStudio\<version>

	  A protected GetIDEVersion method retrieves the version-specific
	  part of the key name.

2009-09-16 09:52  king

	* Tests/FunctionTest/CMakeLists.txt: Test add_subdirectory inside
	  function

	  This commit teaches the FunctionTest to check variable scope
	  behavior when a subdirectory is added inside a function call.
	  Any PARENT_SCOPE sets in the subdirectory should affect only the
	  function scope which called add_subdirectory and not its parent
	  scope.

2009-09-16 09:51  king

	* Source/cmMakefile.cxx: Initialize directory scope with closure of
	  parent

	  The commit "Improve dynamic variable scope implementation"
	  optimized function scopes using an efficient parent scope
	  pointer.  However, the parent scope used to initialize a new
	  directory might not exist later (like add_subdirectory called
	  inside a function of the parent scope).  This caused CMake to
	  crash when following the dangling pointer to the original parent
	  scope.

	  We fix the problem in this commit by always computing the closure
	  of the parent scope at directory initialization time so that no
	  parent scope pointer is needed.  See issue #9538.

2009-09-16 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-09-15 02:38  bigler

	* Modules/: FindCUDA.cmake, FindCUDA/make2cmake.cmake,
	  FindCUDA/parse_cubin.cmake, FindCUDA/run_nvcc.cmake: Initial
	  version of FindCUDA script.  Still needs documentation
	  formatting.

2009-09-15 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-09-14 22:16  hoffman

	* Source/cmake.cxx: Fix for bug #8969, pick a better default
	  version for VS, and make it easier to add new versions of VS to
	  look for.

2009-09-14 20:54  hoffman

	* Source/cmDocumentationFormatterHTML.cxx: Fix for bug# 5373,
	  include CMake verison in generated docs.

2009-09-14 15:53  alex

	* Modules/FindPNG.cmake: fix #9152: find ZLIB quietly if PNG is
	  searched QUIETLY

	  Alex

2009-09-14 15:20  hoffman

	* Source/cmGlobalXCodeGenerator.cxx: Bug #8356, add support for
	  image types in Xcode files.

2009-09-14 14:59  hoffman

	* Source/cmGlobalXCodeGenerator.cxx: Fix for bug #8807, add support
	  for CMAKE_EXE_LINKER_FLAGS_(config) to Xcode generator.

2009-09-14 13:45  hoffman

	* Source/: cmake.cxx, kwsys/Glob.cxx, kwsys/Glob.hxx.in: Fix for
	  Bug #9190, -U did not work on case insensitive file systems
	  because of call to glob convert to regex that expected to work
	  with files.

2009-09-14 13:42  hoffman

	* Source/cmIfCommand.h: Clarify documentation for if.

2009-09-14 11:23  zach.mullen

	* Source/CTest/: cmCTestBatchTestHandler.cxx, cmCTestRunTest.cxx:
	  Removed fork-and-continue option from ctest generated batch
	  script entries

2009-09-14 10:31  hoffman

	* Source/: cmDependsJavaParserHelper.cxx,
	  cmDependsJavaParserHelper.h: Fix open solaris build issue with
	  concept checking that breaks std vector for a class of itself.
	  Bug #9523.

2009-09-14 09:34  hoffman

	* Modules/FindPythonLibs.cmake: Change FindPythonLibs to use the
	  standard _DIR instead of _PATH but stay backwards compatible

2009-09-14 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-09-13 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-09-12 10:20  king

	* Source/CTest/cmProcess.cxx: Avoid shadowing std::vector member

	  The cmProcess::Buffer class derives from std::vector.  We were
	  using local variable 'data' in the GetLine method but this name
	  shadowed a member of vector with GNU.  This renames it to 'text'.

2009-09-12 06:25  alex

	* Modules/FindRuby.cmake: major improvement of FindRuby.cmake

	  -now supports specifying minimum required version -now supports
	  ruby 1.8 and 1.9 -uses find_package_handle_standard_args() now
	  -fix #6212 and using a lot of ideas from the file attached there

	  Alex

2009-09-12 04:38  alex

	* Modules/FindRuby.cmake: use HINTS instead of PATHS and also look
	  for libruby-static.a (which is built by default)

	  Alex

2009-09-12 02:15  alex

	* Modules/CMakeASM-ATTInformation.cmake: Don't pass *.S files to
	  the assembler, they must go through gcc, because they must be
	  preprocessed

	  Alex

2009-09-12 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-09-11 17:15  hoffman

	* Source/CTest/cmCTestHandlerCommand.cxx: Fix for bug#9442, ctest
	  crash if CTEST_SOURCE_DIRECTORY was not set.

2009-09-11 16:39  king

	* Tests/CMakeLists.txt: Test that CTest can handle missing newlines

	  We create test 'CTest.NoNewline' to print output with no newline.
	   This tests CTest's ability to handle a missing newline.

2009-09-11 16:20  king

	* Source/CTest/cmProcess.cxx: Fix new CTest output handling for no
	  newline

	  When we clear the buffer for an output pipe after returning the
	  last partial line (without a newline) we need to set the partial
	  line range to empty.	Otherwise the buffer object is left in an
	  inconsistent state.

2009-09-11 13:34  hoffman

	* Source/: cmCTest.cxx, cmCTest.h, ctest.cxx,
	  CTest/cmCTestTestHandler.cxx: Add label summary times to ctest
	  default output.  Also, remove parallel time output.  Add flag to
	  disable label summary.

2009-09-11 12:26  king

	* Source/CTest/: cmCTestMultiProcessHandler.cxx,
	  cmCTestRunTest.cxx, cmCTestRunTest.h, cmProcess.cxx, cmProcess.h:
	  Rewrite CTest child output handling

	  This commit fixes cmCTestRunTest and cmProcess to more
	  efficiently handle child output.  We now use the buffer for each
	  child output pipe to hold at most a partial line plus one new
	  block of data at a time.  All complete lines are scanned
	  in-place, and then only the partial line at the end of the buffer
	  is moved back to the beginning before appending new data.

	  We also simplify the cmProcess interface by making
	  GetNextOutputLine the only method that needs to be called while
	  the process is running.  This simplifies cmCTestRunTest so that
	  CheckOutput can be called until it returns false when the process
	  is done.

2009-09-11 10:09  king

	* Source/CTest/: cmCTestMultiProcessHandler.cxx,
	  cmCTestRunTest.cxx, cmCTestRunTest.h: Initialize cmCTestRunTest
	  instances robustly

	  All instances of this class need a cmCTestTestHandler, so we now
	  require one to construct it.	The instance also provides the
	  cmCTest instance too.

2009-09-11 10:04  king

	* Source/: cmCacheManager.cxx, cmCacheManager.h, cmake.cxx: Remove
	  barely-used cmCacheManager::AddCacheEntry

	  The commit "Remove barely-used cmMakefile::AddCacheDefinition"
	  removed all but one use of the cmCacheManager method 'bool'
	  overload.  This commit removes the other use and the entire
	  method, thus reducing code duplication.

2009-09-11 10:03  king

	* Source/cmOptionCommand.cxx: Fix option() interpretation of
	  non-boolean values

	  The commit "Remove barely-used cmMakefile::AddCacheDefinition"
	  broke option() calls that pass a non-boolean default value.  We
	  restore the old behavior by always coercing the value to 'ON' or
	  'OFF'.

2009-09-11 08:17  king

	* Source/: CPack/cpack.cxx, CTest/cmCTestBuildHandler.cxx,
	  CursesDialog/cmCursesMainForm.cxx, cmCMakeMinimumRequired.cxx,
	  cmExecuteProcessCommand.cxx, cmFileCommand.cxx,
	  cmFindPackageCommand.cxx, cmPolicies.cxx, cmSetCommand.cxx,
	  cmSystemTools.cxx, cmUtilitySourceCommand.cxx: Add parentheses
	  around '&&' between '||' for gcc

	  The GNU compiler warns about possible operator precedence
	  mistakes and asks for explicit parentheses (-Wparentheses).  We
	  add the parentheses to silence the warning.  This also fixes one
	  real logic error in the find_package() implementation by
	  correcting expression evaluation order.

2009-09-11 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-09-10 16:59  king

	* Source/: cmMakefile.cxx, cmMakefile.h, cmOptionCommand.cxx,
	  cmPolicies.cxx, cmPolicies.h, cmSetCommand.cxx, cmSetCommand.h:
	  Create CMake Policy CMP0015 to fix set(CACHE)

	  The set(CACHE) and option() commands should always expose the
	  cache value.	Previously we failed to expose the value when it
	  was already set if a local variable definition hid it.  When set
	  to NEW, this policy tells the commands to always remove the local
	  variable definition to expose the cache value.  See issue #9008.

2009-09-10 16:59  king

	* Source/: cmMakefile.cxx, cmMakefile.h, cmOptionCommand.cxx:
	  Remove barely-used cmMakefile::AddCacheDefinition

	  The boolean overload of this method was used only to implement
	  option().  We re-implement option() in terms of the main method
	  and removes the now-unused signature.  This removes some
	  duplicate code that had already fallen behind on changes (it was
	  not removing the local definition instead of setting it).

2009-09-10 13:49  alex

	* Source/: cmExtraEclipseCDT4Generator.cxx,
	  cmExtraEclipseCDT4Generator.h: sync target generation with the
	  CodeBlocks generator

	  Basically the code is now a copy of the one from the CodeBlocks
	  generator, maybe this could move into a common helper function
	  somewhere: -only insert GLOBAL targets from the toplevel
	  directory -don't insert the edit_cache target if it calls ccmake,
	  since this doesn't work in the output tab of Eclipse -add the
	  /fast targets

	  Alex

2009-09-10 13:44  alex

	* Source/cmExtraCodeBlocksGenerator.cxx: As in the Eclipse
	  generator: don't insert the edit_cache target if it is ccmake,
	  since this doesn't work in the output tab of the IDE

2009-09-10 11:18  zach.mullen

	* Source/CTest/: cmCTestBatchTestHandler.cxx,
	  cmCTestBatchTestHandler.h: Added some ctest batch capabilities

2009-09-10 11:16  zach.mullen

	* Source/: CMakeLists.txt, CTest/cmCTestMultiProcessHandler.cxx,
	  CTest/cmCTestMultiProcessHandler.h, CTest/cmCTestRunTest.cxx,
	  CTest/cmCTestTestHandler.cxx, CTest/cmCTestTestHandler.h: BUG:
	  Fixed segfault and bad reporting if a ctest executable could not
	  be found.  Also added some batch testing code that is not yet
	  complete.

2009-09-10 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-09-09 16:39  king

	* Tests/Fortran/CMakeLists.txt: Enable C and C++ first in Fortran
	  test

	  CMake now looks for a Fortran compiler matching any C or C++
	  compiler already enabled.  We test this by enabling C and C++
	  first in the Fortran test, which is what user projects will
	  likely do.

2009-09-09 16:39  king

	* Modules/CMakeDetermineFortranCompiler.cmake: Bias Fortran
	  compiler search with C/C++ compilers

	  When CMAKE_Fortran_COMPILER and ENV{FC} are not defined CMake
	  searches for an available Fortran compiler.  This commit teaches
	  the search code to look for compiler executables next to the C
	  and C++ compilers if they are already found.	Furthermore, we
	  bias the compiler executable name preference order based on the
	  vendor of the C and C++ compilers, which increases the chance of
	  finding a compatible compiler by default.

2009-09-09 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-09-08 17:28  david.cole

	* Modules/ExternalProject.cmake: Missed another CMAKE_CFG_INTDIR
	  reference in the previously previous commit.

2009-09-08 17:10  zach.mullen

	* Source/CTest/: cmCTestMultiProcessHandler.cxx,
	  cmCTestMultiProcessHandler.h, cmCTestTestHandler.cxx: ENH: ctest
	  now writes time cost data to a file after a test set is run, and
	  uses these time costs to schedule the processes the next time
	  ctest is run in that build tree.

2009-09-08 16:11  david.cole

	* Modules/ExternalProject.cmake: Missed a CMAKE_CFG_INTDIR
	  reference in the previous commit.

2009-09-08 15:55  king

	* Modules/: CMakeBuildSettings.cmake.in,
	  CMakeExportBuildSettings.cmake, CMakeImportBuildSettings.cmake,
	  UseVTK40.cmake: Drop old CMake "build settings" export/import

	  The CMakeExportBuildSettings and CMakeImportBuildSettings modules
	  used to export compiler paths and flags from one project and
	  import them into another.  The import process would force the
	  settings on the including project.

	  Forcing settings helped long ago when compiler ABIs changed
	  frequently but is now just a nuisance.  We've deemed the behavior
	  harmful so this commit simply removes it.  The modules and macros
	  now error out if included or called from a project that requires
	  CMake 2.8 or higher.

2009-09-08 15:37  david.cole

	* Modules/ExternalProject.cmake,
	  Tests/ExternalProject/CMakeLists.txt: Use more
	  verbose/descriptive names for the "public API" functions in the
	  ExternalProject.cmake module. Follow the cmake function naming
	  convention, using a ModuleFileName_ prefix. Locate stamp files
	  under a CMAKE_CFG_INTDIR subdir of the stamp dir so that debug
	  and release builds have separate stamp files for Visual Studio
	  builds. If no CMAKE_GENERATOR argument is given to
	  ExternalProject_Add, default to using the parent project's cmake
	  generator.

2009-09-08 14:48  zach.mullen

	* Source/CTest/: cmCTestMultiProcessHandler.cxx, cmProcess.cxx:
	  BUG: Fixed extraneous newlines from ctest process output

2009-09-08 13:39  zach.mullen

	* Source/: CTest/cmCTestMultiProcessHandler.cxx,
	  cmSetTestsPropertiesCommand.h,
	  CTest/cmCTestMultiProcessHandler.h, CTest/cmCTestTestHandler.cxx,
	  CTest/cmCTestTestHandler.h: ENH: Replaced the EXPENSIVE test
	  property with a COST test property taking a floating point value.
	  Tests are now started in descending order of their cost, which
	  defaults to 0 if none is specified.

2009-09-08 10:16  zach.mullen

	* Source/CTest/: cmCTestRunTest.cxx, cmProcess.cxx, cmProcess.h:
	  BUG: Fixed issue where ctest would hang if a process terminated
	  with output in its buffers but no newline

2009-09-08 09:12  zach.mullen

	* Source/CTest/cmCTestRunTest.h: Fixed warning

2009-09-08 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-09-07 10:26  zach.mullen

	* Source/: CTest/cmCTestMultiProcessHandler.cxx,
	  CTest/cmCTestMultiProcessHandler.h, CTest/cmCTestRunTest.cxx,
	  CTest/cmCTestTestHandler.cxx, CTest/cmCTestTestHandler.h,
	  cmSetTestsPropertiesCommand.h: ENH: Added ctest test options
	  PROCESSORS and RUN_SERIAL.  These allow specification of resource
	  allocation for given tests running with the ctest -j N option.
	  RUN_SERIAL ensures that a given test does not run in parallel
	  with any other test.	Also forced appending of "..." to the
	  longest test name in ctest.

2009-09-07 10:12  king

	* Source/cmVisualStudio10TargetGenerator.cxx,
	  Source/cmVisualStudio10TargetGenerator.h, Tests/CMakeLists.txt:
	  Put custom commands in topological order for VS 10

	  Visual Studio 10 uses MSBuild to drive the build.  Custom
	  commands appear in MSBuild files inside CustomBuild elements,
	  which appear inside ItemGroup elements.  The Outputs and
	  AdditionalInputs elements of each CustomBuild element are
	  evaluated according to timestamps on disk.

	  MSBuild does not use inputs/outputs to order CustomBuild steps
	  within a single ItemGroup or across multiple ItemGroup elements.
	  Instead we must put only unrelated CustomBuild elements in a
	  single ItemGroup and order the item groups from top to bottom
	  using a topological order of the custom command dependency graph.

	  This fixes CustomCommand and ExternalProject test failures, so we
	  remove the expectation of these failures.

2009-09-07 10:11  king

	* Source/: cmTarget.cxx, cmTarget.h: Save source dependencies from
	  custom command trace

	  In each target we trace dependencies among custom commands to
	  pull in all source files and build rules necessary to complete
	  the target.  This commit teaches cmTarget to save the
	  inter-source dependencies found during its analysis.	Later this
	  can be used by generators that need to topologically order custom
	  command rules.

2009-09-07 10:11  king

	* Source/: cmLocalVisualStudio10Generator.cxx,
	  cmLocalVisualStudioGenerator.cxx, cmLocalVisualStudioGenerator.h,
	  cmVisualStudio10TargetGenerator.cxx: Do Windows command line
	  escapes for VS 10 too

	  Until now the VS 10 generator did no Windows command-line
	  escaping and just did XML escapes.  This commit teaches the
	  generator to use the same command-line escape addition code used
	  by other generators.	The script construction method
	  cmLocalVisualStudioGenerator::ConstructScript need not do XML
	  escapes.  Each VS generator version adds the XML escapes
	  necessary for that version.

2009-09-07 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-09-06 13:24  alex

	* Source/cmFileCommand.cxx: Try to fix the failing new
	  StringFileTest on HP-UX

	  It seems that while(i=file.get(), file) iterates one character
	  too much on HP-UX, let's see whether while(file.get(c)) works, at
	  least this is given as example on
	  http://h30097.www3.hp.com/cplus/ifstream_3c__std.htm

	  Alex

2009-09-06 10:26  alex

	* Tests/StringFileTest/: CMakeLists.txt, test.bin: Add a test for
	  FILE(READ ... HEX) together with a tiny binary file.

	  Alex

2009-09-06 09:49  alex

	* Source/cmFileCommand.cxx: fix #9316: when converting binary data
	  to hex, also print the leading 0's

	  Alex

2009-09-06 05:43  alex

	* Source/cmExtraCodeBlocksGenerator.cxx: Improve the algorithm
	  which skips targets so they are not added to the codeblocks GUI.

	  -add all global targets from CMAKE_BINARY_DIR to the menu, but
	  not from the subdirs -add all utility targets to the menu, except
	  the Nightly/Experimental/Continuous-"sub"targets as e.

	  Alex

2009-09-06 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-09-05 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-09-04 18:19  david.cole

	* Modules/FindMPI.cmake: Oops. Close strings with double quotes.
	  Where they're supposed to be.

2009-09-04 18:02  david.cole

	* Modules/FindMPI.cmake: Add MPICH2 and Microsoft HPC paths, add
	  paths to find mpiexec. Now it works better automatically on
	  Windows. Thanks to Dave Partyka for developing the patch.

2009-09-04 17:01  hoffman

	* Source/CTest/cmCTestScriptHandler.cxx: Fix memory and process
	  leak in ctest_run_script.

2009-09-04 16:43  clinton

	* Source/QtDialog/: CMakeSetupDialog.cxx, CMakeSetupDialog.h: fix
	  focus fighting between search field and cache value editors

2009-09-04 14:00  david.cole

	* Source/CTest/cmCTestSubmitHandler.cxx: Increase curl submit
	  timeout. A submit will timeout if there are 120 seconds of very
	  little activity. 30 seconds was too short.

2009-09-04 13:50  zach.mullen

	* Source/CTest/: cmCTestRunTest.cxx, cmProcess.cxx, cmProcess.h:
	  Fixed ctest output processing.  Should now display output as it
	  occurs, as well as be able to consume multiple lines if they
	  exist within the timeout.

2009-09-04 13:24  hoffman

	* Source/CTest/: cmCTestRunScriptCommand.cxx,
	  cmCTestRunScriptCommand.h, cmCTestScriptHandler.cxx,
	  cmCTestScriptHandler.h: Change run_ctest_script in ctest to not
	  stop processing when there is an error in the script being run.
	  Also, add a RETURN_VALUE option so that you can find out if the
	  script failed

2009-09-04 12:39  king

	* Source/cmTarget.cxx: Cleanup source file dependency tracing logic

	  In cmTarget we trace the dependencies of source files in the
	  target to bring in all custom commands needed to generate them.
	  We clean up the implementation to use simpler logic and better
	  method names.  The new approach is based on the observation that
	  a source file is actually an input (dependency) of the rule that
	  it runs (compiler or custom) even in the case that it is
	  generated (another .rule file has the rule to generate it).

2009-09-04 12:39  king

	* Source/: cmTarget.cxx, cmTarget.h: Cleanup cmTarget source file
	  list representation

	  This teaches cmTarget to use a set of cmSourceFile pointers to
	  guarantee unique insertion of source files in a target.  The
	  order of insertion is still preserved in the SourceFiles vector.

2009-09-04 12:38  king

	* Source/cmake.cxx: Simplify VS CMake re-run check

	  When CMake is invoked by the VS IDE re-run rule we compute
	  whether or not CMake really needs to re-run based on some
	  timestamp helper files.  Previously we assumed that if the main
	  generate.stamp file exists then VS has correctly detected that
	  the file is out of date.  However, this assumption is too
	  aggressive and re-runs CMake unnecessarily sometimes.

	  This commit removes the assumption and always checks timestamps
	  itself.  The change breaks the explicit user re-run request
	  (R-click -> Compile) but only in cases when the build system is
	  already up to date.

2009-09-04 12:37  king

	* Source/: cmGlobalVisualStudio8Generator.cxx,
	  cmGlobalVisualStudio8Generator.h: Simplify VS generator
	  ZERO_CHECK dependency

	  The VS generators use a ZERO_CHECK target on which all other
	  targets depend to check whether CMake needs to re-run.  This
	  commit simplifies the addition of a dependency on the target to
	  all other targets.

	  We also move addition of dependencies to the beginning of the
	  Generate step.  This allows the dependency on ZERO_CHECK to be
	  included in the global inter-target dependency analysis.

2009-09-04 11:23  zach.mullen

	* Source/CTest/cmProcess.cxx: Fixed output as-it-happens issue.
	  Now displays output as it receives each newline.

2009-09-04 10:16  zach.mullen

	* Source/CTest/: cmCTestMultiProcessHandler.cxx,
	  cmCTestMultiProcessHandler.h, cmCTestTestHandler.cxx,
	  cmProcess.cxx: Added the test property EXPENSIVE, which denotes
	  that the given test(s) should be started prior to tests that are
	  not marked as such. Also fixed test dependencies, and a few
	  uninitialized variables in cmProcess.

2009-09-04 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-09-03 17:01  hoffman

	* CMakeCPackOptions.cmake.in, CMakeLists.txt,
	  Source/CMakeLists.txt, Source/cmDocumentVariables.cxx,
	  Source/cmake.cxx: Remove CMakeSetup. Long live cmake-gui, start
	  building Qt now.

2009-09-03 15:58  martink

	* Source/cmSubdirCommand.h: some white space fixes for the book

2009-09-03 15:50  zach.mullen

	* Source/CTest/cmProcess.cxx: Fixed 2 unused variable warnings

2009-09-03 15:33  zach.mullen

	* Source/CTest/: cmCTestMultiProcessHandler.cxx,
	  cmCTestRunTest.cxx, cmCTestRunTest.h, cmProcess.cxx, cmProcess.h:
	  Allowed tests to pull more than one line of output in their
	  quantum.  Fixed uninitialized variables in the case that the test
	  process could not start.

2009-09-03 15:29  martink

	* Modules/CPack.cmake, Modules/FeatureSummary.cmake,
	  Source/cmAddExecutableCommand.h, Source/cmAddLibraryCommand.h,
	  Source/cmDefinePropertyCommand.h, Source/cmDocumentVariables.cxx,
	  Source/cmEnableLanguageCommand.h, Source/cmFindCommon.cxx,
	  Source/cmListCommand.h, Source/cmSetCommand.h,
	  Source/cmSetDirectoryPropertiesCommand.h,
	  Source/cmSubdirCommand.h, Source/cmTryRunCommand.h: some white
	  space fixes for the book

2009-09-03 12:11  david.cole

	* Modules/ExternalProject.cmake,
	  Tests/ExternalProject/CMakeLists.txt: Add test step to
	  ExternalProject builds. Rename SVN_TAG to SVN_REVISION since it
	  is a more accurate name.

2009-09-03 11:14  zach.mullen

	* Source/: CTest/cmCTestMultiProcessHandler.cxx,
	  CTest/cmCTestTestCommand.h, CTest/cmCTestTestHandler.cxx,
	  CTest/cmCTestTestHandler.h, cmSetTestsPropertiesCommand.h: Fixed
	  warnings

2009-09-03 11:10  king

	* Source/kwsys/RegularExpression.hxx.in: COMP: Silence useless
	  Borland inlining warning

	  KWSys tries not to force anything on source files that include
	  its headers, but Borland warning 8027 leaves us no choice when we
	  want to have inline function definitions.  This commit disables
	  the warning for the RegularExpression header and any file that
	  includes it.

2009-09-03 10:47  zach.mullen

	* Source/cmSetTestsPropertiesCommand.h,
	  Source/CTest/cmCTestMemCheckCommand.h,
	  Source/CTest/cmCTestMultiProcessHandler.cxx,
	  Source/CTest/cmCTestRunTest.cxx,
	  Source/CTest/cmCTestTestHandler.cxx,
	  Source/CTest/cmCTestTestHandler.h,
	  Tests/CTestTest3/test.cmake.in: ENH: Added PARALLEL_LEVEL option
	  for ctest_memcheck().  Added PROCESSORS option to
	  set_tests_properties (implementation to come).

2009-09-03 08:27  king

	* Source/: cmLocalGenerator.cxx, cmPolicies.cxx, cmPolicies.h:
	  Create CMP0014 to require CMakeLists.txt files

	  Until now CMake accidentally accepted add_subdirectory() and
	  subdirs() calls referring to directories that do not contain a
	  CMakeLists.txt file.	We introduce CMake Policy CMP0014 to make
	  this case an error.

2009-09-03 08:26  king

	* Source/: cmLocalGenerator.cxx, cmLocalGenerator.h: Factor
	  cmLocalGenerator::Configure input file read

	  This method tells the cmMakefile to read the input CMakeLists.txt
	  file.  We factor out the call into a ReadInputFile method so it
	  can be extended without polluting the Configure method.

2009-09-03 08:26  king

	* Source/: cmLocalGenerator.cxx, cmLocalGenerator.h: Factor
	  cmLocalGenerator::Configure object max path

	  Much of the code in this method was dedicated to computing
	  ObjectMaxPath after configuring the directory.  We move this last
	  step into its own ComputeObjectMaxPath method for better
	  organization.

2009-09-03 08:26  king

	* Source/cmLocalGenerator.cxx: Manage current local generator with
	  automatic var

	  The cmLocalGenerator::Configure method sets its cmLocalGenerator
	  instance as the global generator's current local generator during
	  configuration.  This commit refactors management of the current
	  local generator to use an automatic variable.  This will allow
	  early returns from the method.

2009-09-03 08:26  king

	* Source/cmPolicies.cxx: Fix typo in REQUIRED_ALWAYS policy error
	  message

2009-09-03 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-09-02 16:32  zach.mullen

	* Source/CTest/cmCTestMultiProcessHandler.cxx: STYLE: line length

2009-09-02 16:07  king

	* Source/: cmLocalVisualStudio6Generator.cxx,
	  cmLocalVisualStudio7Generator.cxx: Silence VS generator for
	  missing CMakeLists.txt

	  CMake Makefile generators silently ignore missing CMakeLists.txt
	  files and just treat the source directory as if it had an empty
	  input file.  This will be addressed with a new CMake Policy, but
	  for now we make the VS generator consistent with the Makefile
	  generator behavior.  The VS generator will need to handle the OLD
	  behavior of the policy anyway.

2009-09-02 16:06  king

	* Source/cmGlobalGenerator.cxx: Speed up graph traversal for
	  project->targets map

	  The cmGlobalGenerator::AddTargetDepends method traces the
	  dependencies of targets recursively to collect the complete set
	  of targets needed for a given project (for VS .sln files).  This
	  commit teaches the method to avoid tracing its dependencies more
	  than once.  Otherwise the code does an all-paths walk needlessly.

2009-09-02 12:35  zach.mullen

	* Source/CTest/: cmCTestTestCommand.cxx, cmCTestTestCommand.h,
	  cmCTestTestHandler.cxx: ENH: Added PARALLEL_LEVEL option to
	  ctest_test() command.

2009-09-02 10:08  zach.mullen

	* Modules/CTest.cmake, Modules/DartConfiguration.tcl.in,
	  Source/cmCTest.cxx, Source/CTest/cmCTestMultiProcessHandler.cxx,
	  Source/CTest/cmCTestMultiProcessHandler.h,
	  Source/CTest/cmCTestRunTest.cxx, Source/CTest/cmCTestRunTest.h,
	  Source/CTest/cmCTestTestHandler.h, Source/cmCTest.h: Fixed ctest
	  output where max test index is not the same width as the total
	  number of tests.  Also some preliminary changes for batching
	  ctest jobs

2009-09-02 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-09-01 17:23  david.cole

	* Source/CTest/cmCTestSubmitHandler.cxx: Add curl timeout options
	  to the SubmitUsingHTTP method. They were only in the
	  SubmitUsingFTP method.

2009-09-01 16:33  hoffman

	* Modules/Platform/: Windows-icl.cmake, Windows-ifort.cmake: Add
	  support for embeded manifests for Intel C/C++/Fortran compilers

2009-09-01 16:23  hoffman

	* Modules/Platform/Windows-Intel.cmake: Add a module to determine
	  if the intel linker supports manifest creation

2009-09-01 15:41  king

	* Tests/CTestUpdateGIT.cmake.in: Make CTest.UpdateGIT robust to
	  user git config

	  Part of this test does "git pull" on a dirty work tree.  We need
	  to make sure that 'branch.master.rebase' is false for the test
	  repository.  Otherwise if it is true in the user configuration
	  then pull will refuse to rebase and the test will fail.

2009-09-01 15:21  clinton

	* Modules/FindQt4.cmake: use -o flag instead of > for qdbuscpp2xml

2009-09-01 15:08  hoffman

	* Source/cmake.cxx: Use the MANIFEST flag for non incremental
	  linking as well.

2009-09-01 14:33  hoffman

	* Modules/Platform/Windows-cl.cmake, Source/cmake.cxx: Move
	  /MANIFEST flag into -E vs_link.  This is so it can be used by the
	  intel compilers without having to specifiy it in the intel
	  compiler files

2009-09-01 14:10  hoffman

	* Source/cmake.cxx: Handle embeded manifests with ifort.

2009-09-01 14:05  king

	* Tests/FindPackageTest/: CMakeLists.txt, Exporter/CMakeLists.txt,
	  Exporter/CMakeTestExportPackageConfig.cmake.in,
	  Exporter/CMakeTestExportPackageConfigVersion.cmake.in,
	  Exporter/dummy.c: Test the user package registry

	  We teach the FindPackageTest to build a sample project that
	  stores its build tree in the user package registry using
	  export(PACKAGE), and then find it with find_package.

2009-09-01 14:04  king

	* Source/: cmExportCommand.cxx, cmExportCommand.h: Teach
	  export(PACKAGE) to fill the package registry

	  We define the export(PACKAGE) command mode to store the location
	  of the build tree in the user package registry.  This will help
	  find_package locate the package in the build tree.  It simplies
	  user workflow for manually building a series of dependent
	  projects.

2009-09-01 14:04  king

	* Source/: cmFindPackageCommand.cxx, cmFindPackageCommand.h: Teach
	  find_package to search a "package registry"

	  A common user workflow is to build a series of dependent projects
	  in order.  Each project locates its dependencies with
	  find_package.  We introduce a "user package registry" to help
	  find_package locate packages built in non-standard search
	  locations.

	  The registry explicitly stores locations of build trees providing
	  instances of a given package.  There is no defined order among
	  the locations specified.  These locations should provide package
	  configuration files (<package>-config.cmake) and package version
	  files (<package>-config-version.cmake) so that find_package will
	  recognize the packages and test version numbers.

2009-09-01 13:55  king

	* Modules/: Compiler/Intel-C.cmake, Compiler/Intel-CXX.cmake,
	  Compiler/Intel-Fortran.cmake, Compiler/Intel.cmake,
	  Platform/Linux-Intel-C.cmake, Platform/Linux-Intel-CXX.cmake,
	  Platform/Linux-Intel-Fortran.cmake, Platform/Linux-Intel.cmake:
	  Use Intel for Linux flags only on Linux

	  The commit "Split Intel compiler information files" moved some
	  Linux specific flags into the platform-independent Intel compiler
	  info files.  This moves them back.

2009-09-01 13:03  king

	* Modules/FortranCInterface/Verify/CMakeLists.txt: Fix
	  FortranCInterface_VERIFY for non-C++ case

	  The verification program entry point (main) is defined in a C
	  source file, so the C compiler should be used to link when only
	  Fortran and C are involved.  The C++ compiler should still be
	  used when the CXX option is enabled.

2009-09-01 11:58  zach.mullen

	* Source/CTest/cmCTestRunTest.cxx: ENH: Improved test reporting
	  output

2009-09-01 10:38  king

	* Tests/ExportImport/: Export/CMakeLists.txt,
	  Export/testLibCycleA1.c, Export/testLibCycleA2.c,
	  Export/testLibCycleA3.c, Export/testLibCycleB1.c,
	  Export/testLibCycleB2.c, Export/testLibCycleB3.c,
	  Import/A/CMakeLists.txt, Import/A/imp_testExe1.c: Test link
	  multiplicity export/import

	  We test that LINK_INTERFACE_MULTIPLICITY propagates through
	  export() and install(EXPORT) into dependent projects.  A simple
	  cycle of two archives that need to be scanned three times ensures
	  that the importing project uses the multiplicity correctly.

2009-09-01 10:38  king

	* Tests/Dependency/Case2/: CMakeLists.txt, foo1c.c, foo2c.c,
	  foo3b.c, foo3c.c: Test link multiplicity

	  This tests the LINK_INTERFACE_MULTIPLICITY property for a cycle
	  of three static libraries that must be scanned three times to
	  link properly.

2009-09-01 10:37  king

	* Source/: cmComputeLinkDepends.cxx, cmComputeLinkDepends.h,
	  cmExportFileGenerator.cxx, cmTarget.cxx, cmTarget.h: Define
	  'multiplicity' for cyclic dependencies

	  We create target property "LINK_INTERFACE_MULTIPLICITY" and a
	  per-config version "LINK_INTERFACE_MULTIPLICITY_<CONFIG>".  It
	  sets the number of times a linker should scan through a mutually
	  dependent group of static libraries.	The largest value of this
	  property on any target in the group is used.	This will help
	  projects link even for extreme cases of cyclic inter-target
	  dependencies.

2009-09-01 08:52  king

	* Modules/FortranCInterface.cmake: Make FortranCInterface_VERIFY
	  verbose on failure

	  We enable verbose build output in the try_compile of the simple
	  project.  This makes valuable information available in the case
	  of failure.

2009-09-01 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-31 18:18  wdicharry

	* Modules/FindHDF5.cmake: Fixed link order dependence in FindHDF5
	  module for static link.

2009-08-31 13:25  king

	* bootstrap: Test KWSYS_IOS_HAVE_BINARY during bootstrap

	  We need to do this KWSys configuration test in the CMake
	  bootstrap script to create a proper cmsys/Configure.hxx file.
	  This fixes the bootstrap script which was broken by the addition
	  of the test to KWSys.

2009-08-31 13:00  king

	* Source/kwsys/: CMakeLists.txt, Configure.hxx.in,
	  kwsysPlatformTestsCXX.cxx, testIOS.cxx: Define kwsys_ios_binary
	  macro for std::ios::binary

	  The 'binary' openmode does not exist on all compilers.  We define
	  macro <kwsys>_ios_binary, where <kwsys> is the KWSys namespace,
	  to refer to std::ios::binary if it exists and 0 otherwise.
	  Sample usage:

	    kwsys_ios::ifstream fin(fn, kwsys_ios::ios::in |
	  kwsys_ios_binary);

2009-08-31 11:32  zach.mullen

	* Source/CTest/cmCTestMemCheckCommand.h: Fixed ctest_memcheck docs
	  (http://www.cmake.org/Bug/view.php?id=9242)

2009-08-31 10:32  wdicharry

	* Modules/FindHDF5.cmake: In FindHDF5, added C library names to CXX
	  search libraries.

2009-08-31 10:28  zach.mullen

	* Source/CTest/cmCTestTestHandler.cxx: Fixed Dart time recording
	  for ctest

2009-08-31 09:50  zach.mullen

	* Source/CTest/: cmCTestMultiProcessHandler.h, cmCTestRunTest.cxx,
	  cmCTestRunTest.h, cmCTestTestHandler.cxx: Fixed conversion
	  warning on 64 bit machines

2009-08-31 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-30 10:57  zach.mullen

	* Source/CTest/cmCTestRunTest.cxx: Fixed line length issue

2009-08-30 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-29 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-28 15:08  zach.mullen

	* Source/CTest/: cmCTestMemCheckHandler.cxx,
	  cmCTestMemCheckHandler.h, cmCTestMultiProcessHandler.cxx,
	  cmCTestRunTest.cxx, cmCTestRunTest.h, cmCTestTestHandler.cxx,
	  cmCTestTestHandler.h: MemCheck should now work again in ctest

2009-08-28 11:40  zach.mullen

	* Source/CTest/cmCTestRunTest.cxx: Replaced std::stringstream with
	  cmOStringStream

2009-08-28 11:08  zach.mullen

	* Source/CTest/cmCTestMemCheckHandler.cxx,
	  Source/CTest/cmCTestMultiProcessHandler.cxx,
	  Source/CTest/cmCTestMultiProcessHandler.h,
	  Source/CTest/cmCTestRunTest.cxx, Source/CTest/cmCTestRunTest.h,
	  Source/CTest/cmCTestTestHandler.cxx,
	  Source/CTest/cmCTestTestHandler.h, Tests/CMakeLists.txt: Added
	  ctest -N test.  Fixed ctest working directory bug.  MemCheck fix
	  coming soon...

2009-08-28 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-27 10:37  zach.mullen

	* Source/: CTest/cmCTestGenericHandler.cxx,
	  CTest/cmCTestMultiProcessHandler.cxx,
	  CTest/cmCTestMultiProcessHandler.h, CTest/cmCTestRunTest.cxx,
	  CTest/cmCTestRunTest.h, CTest/cmCTestTestHandler.cxx,
	  CTest/cmCTestTestHandler.h, cmCTest.cxx, cmCTest.h, ctest.cxx:
	  Fixed ctest -N segfault issue.  Further refactored ctest.
	  Enabled failover for ctest

2009-08-27 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-26 12:09  zach.mullen

	* Source/: CTest/cmCTestMultiProcessHandler.cxx,
	  CTest/cmCTestMultiProcessHandler.h, CTest/cmCTestRunTest.cxx,
	  cmCTest.cxx, cmCTest.h, CTest/cmCTestRunTest.h,
	  CTest/cmCTestTestHandler.cxx, CTest/cmCTestTestHandler.h: ENH:
	  refactored ctest.  All testing is now parallel.  If no -j option
	  is specified, defaults to a MP level of 1 (non parallel)

2009-08-26 06:52  david.cole

	* Modules/ExternalProject.cmake: Add missing argument to
	  _ep_write_downloadfile_script.

2009-08-26 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-25 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-24 13:24  wdicharry

	* Modules/FindHDF5.cmake: Fixed HDF5 Find module error that caused
	  no list to be passed into remove duplicates when HDF5 is not
	  found.

2009-08-24 13:15  king

	* Source/: cmComputeLinkInformation.cxx,
	  cmComputeLinkInformation.h: Factor implicit link info addition
	  into methods

	  In cmComputeLinkInformation::Compute we add implicit link
	  information from languages other than the linker language to the
	  end of the link line.  This factors out that code into separate
	  methods to improve readability and organization.

2009-08-24 13:07  king

	* Tests/Fortran/CMakeLists.txt: Enforce FortranCInterface_VERIFY in
	  Fortran test

	  This removes the QUIET option from FortranCInterface_VERIFY in
	  the Fortran test to really test the detected interface
	  everywhere.

2009-08-24 12:04  wdicharry

	* Modules/: SelectLibraryConfigurations.cmake, FindHDF5.cmake: Add
	  HDF5 find module and select_library_configurations module.

2009-08-24 09:54  king

	* Source/: cmComputeTargetDepends.cxx, cmComputeTargetDepends.h,
	  cmake.cxx: Create GLOBAL_DEPENDS_NO_CYCLES property

	  This global property disallows cycles in the inter-target
	  dependency graph even among STATIC libraries.  See issue #9444.

2009-08-24 08:49  king

	* Modules/FortranCInterface.cmake,
	  Modules/FortranCInterface/Detect.cmake,
	  Modules/FortranCInterface/Verify/CMakeLists.txt,
	  Modules/FortranCInterface/Verify/VerifyC.c,
	  Modules/FortranCInterface/Verify/VerifyCXX.cxx,
	  Modules/FortranCInterface/Verify/VerifyFortran.f,
	  Modules/FortranCInterface/Verify/main.c,
	  Tests/Fortran/CMakeLists.txt: Create FortranCInterface_VERIFY
	  function

	  This function builds a simple test project using a combination of
	  Fortran and C (and optionally C++) to verify that the compilers
	  are compatible.  The idea is to help projects report very early
	  to users that the compilers specified cannot mix languages.

2009-08-24 08:49  king

	* Modules/: FortranCInterface.cmake,
	  FortranCInterface/Detect.cmake: Teach FortranCInterface to load
	  outside results

	  We split the main detection logic into a Detect.cmake support
	  module and load it only when detection results are not already
	  available.  This allows results computed by the main project to
	  be used in try-compile projects without recomputing them.  The
	  call to try_compile() need only to pass
	  FortranCInterface_BINARY_DIR through the CMAKE_FLAGS option.

2009-08-24 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-23 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-22 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-21 10:32  king

	* Modules/: Compiler/SunPro-C.cmake, Compiler/SunPro-CXX.cmake,
	  Compiler/SunPro-Fortran.cmake, Platform/Linux-SunPro-C.cmake,
	  Platform/Linux-SunPro-CXX.cmake,
	  Platform/Linux-SunPro-Fortran.cmake,
	  Platform/SunOS-SunPro-Fortran.cmake, Platform/SunOS.cmake: Split
	  SunPro compiler information files

	  This moves platform-independent SunPro compiler flags into
	  separate "Compiler/SunPro-<lang>.cmake" modules.
	  Platform-specific flags are left untouched.

2009-08-21 09:54  king

	* Modules/: Compiler/Intel-C.cmake, Compiler/Intel-CXX.cmake,
	  Compiler/Intel-Fortran.cmake, Compiler/Intel.cmake,
	  Platform/Linux-Intel-C.cmake, Platform/Linux-Intel-CXX.cmake,
	  Platform/Linux-Intel-Fortran.cmake: Split Intel compiler
	  information files

	  This moves platform-independent Intel compiler flags into
	  separate "Compiler/Intel-<lang>.cmake" modules.
	  Platform-specific flags are left untouched.

2009-08-21 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-20 16:21  king

	* Modules/FortranCInterface.cmake: Teach FortranCInterface to
	  verify languages

	  This module requires both C and Fortran to be enabled, so
	  error-out if they are not.

2009-08-20 16:21  king

	* Source/cmDocumentVariables.cxx: Document
	  CMAKE_<LANG>_COMPILER_LOADED variable

2009-08-20 09:46  zach.mullen

	* Source/CTest/cmCTestRunTest.cxx: Fixed line length over 80

2009-08-20 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-19 22:28  lowman

	* Modules/FindBoost.cmake: Add Boost 1.39 & 1.40.  Move
	  ${Boost_INCLUDE_DIR}/lib to front of library search.

2009-08-19 12:19  david.cole

	* Modules/: DownloadFile.cmake, ExternalProject.cmake,
	  UntarFile.cmake: Remove DownloadFile.cmake and UntarFile.cmake
	  from the Modules directory. Put functionality directly into
	  ExternalProject.cmake itself so that these modules do not end up
	  in the upcoming release of CMake.

2009-08-19 09:24  zach.mullen

	* Source/: cmCTest.cxx, CTest/cmCTestTestHandler.cxx,
	  CTest/cmCTestTestHandler.h: Fixed overwriting of a previous
	  change set

2009-08-19 08:58  zach.mullen

	* Source/: CMakeLists.txt, cmCTest.cxx, cmCTest.h,
	  CTest/cmCTestRunTest.cxx, CTest/cmCTestRunTest.h,
	  CTest/cmCTestTestHandler.cxx, CTest/cmCTestTestHandler.h: ENH:
	  Refactored CTest test execution code into an object

2009-08-19 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-18 14:03  hoffman

	* Source/CTest/cmCTestTestHandler.cxx: Add test times to log file
	  as well as the stdout.

2009-08-18 13:34  hoffman

	* Source/CTest/: cmCTestTestHandler.cxx, cmCTestTestHandler.h: If
	  labels are found on the tests, then print a time summary for all
	  the tests run with each label.

2009-08-18 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-17 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-16 23:07  lowman

	* Modules/FindBullet.cmake: Find module for the Bullet physics
	  engine

2009-08-16 22:12  lowman

	* Modules/FindGTest.cmake: A find module for the Google C++ Testing
	  Framework

2009-08-16 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-15 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-14 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-13 00:11  lowman

	* Modules/: FindBISON.cmake, FindFLEX.cmake: Checking in the
	  FindFLEX.cmake & FindBISON.cmake attached to Issue #4018 after
	  some minor improvements

	  * Improved examples * Switched to FindPackageHandleStandardArgs *
	  Cleaned up indentation * Sanitized else()/endif() blocks

2009-08-13 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-12 22:40  lowman

	* Modules/FindDevIL.cmake: Fixes Issue #8994

2009-08-12 22:25  lowman

	* Modules/FindGnuTLS.cmake: Find module for GnuTLS, the GNU
	  Transport Layer Security library (Issue #9228)

2009-08-12 21:58  lowman

	* Modules/FindOpenSceneGraph.cmake: Improved error output and
	  documentation

	  * Fixed errant output when version number not found * Improved
	  error output when REQUIRED is passed * Improved docs and example

2009-08-12 09:09  king

	* Modules/Platform/Windows-bcc32.cmake: Quote the target name for
	  Borland tlib tool

	  The Borland librarian tool "tlib" requires that the output target
	  name be quoted if it contains the character '-' (and perhaps a
	  few others).	This commit restores the use of the TARGET_QUOTED
	  rule variable replacement for this purpose.  Otherwise no static
	  library can have a '-' in its name.

	  This problem was exposed by the 'Testing' test when it builds the
	  pcStatic library with the '-dbg' suffix.

2009-08-12 08:06  king

	* Source/CTest/cmCTestSVN.cxx: Fix classification of externals in
	  svn status

	  CTest runs 'svn status' to identify modified and conflicting
	  files in the working directory.  This commit fixes the
	  interpretation of the 'X' status, which corresponds to svn
	  eXternals.  This status should be ignored rather than treated as
	  a local modification.

2009-08-12 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-11 22:02  hoffman

	* Source/CTest/: cmCTestMultiProcessHandler.cxx,
	  cmCTestTestHandler.cxx, cmProcess.h: Output total time when using
	  -j N

2009-08-11 22:01  hoffman

	* Tests/CTestUpdateCommon.cmake: Output command that failed, if it
	  fails.

2009-08-11 16:25  hoffman

	* Source/CTest/cmCTestCVS.cxx: Fix failing test on release build
	  for VS 10 cmSystemTools::GetLineFromStream crashes if the stream
	  is not open in that case.

2009-08-11 09:55  king

	* Tests/Testing/: CMakeLists.txt, driver.cmake, pcShared.c,
	  pcShared.h, pcStatic.c, perconfig.c: Test add_test() generator
	  expressions

	  This teaches the 'testing' test to try generator expressions in
	  arguments to add_test(NAME).	This test case mimics a common
	  use-case of passing executables to test driver scripts.  We
	  excercise the syntax for per-configuration target file names.

2009-08-11 09:54  king

	* Source/CMakeLists.txt, Source/cmAddTestCommand.h,
	  Source/cmGeneratorExpression.cxx, Source/cmGeneratorExpression.h,
	  Source/cmTestGenerator.cxx, bootstrap: Introduce "generator
	  expressions" to add_test()

	  This introduces a new syntax called "generator expressions" to
	  the test COMMAND option of the add_test(NAME) command mode.
	  These expressions have a syntax like $<TARGET_FILE:mytarget> and
	  are evaluated during build system generation.  This syntax allows
	  per-configuration target output files to be referenced in test
	  commands and arguments.

2009-08-11 09:07  king

	* Source/: cmTarget.cxx, cmTarget.h: Create cmTarget DLL query
	  methods

	  We creates methods IsDLLPlatform() and HasImportLibrary().  The
	  former returns true on Windows.  The latter returns whether the
	  target has a DLL import library.  It is true on Windows for
	  shared libraries and executables with exports.

2009-08-11 09:07  king

	* Source/: cmMakefile.cxx, cmTest.cxx, cmTest.h: Record backtrace
	  for every add_test command

	  We teach cmTest to hold a backtrace for the add_test command that
	  created it.  This will be used later to report context for errors
	  at generate time.

2009-08-11 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-10 14:32  clinton

	* Source/QtDialog/QCMake.cxx: ENH:  Patch from Alexander Neundorf
	  to remove "KDevelop3" from list of generators.  "KDevelop3 - Unix
	  Makefiles" should be used instead.

2009-08-10 13:25  clinton

	* Source/QtDialog/: QCMakeCacheView.cxx, QCMakeCacheView.h: ENH:
	  Allow edit on single click.  Fixes #9393.  Also fix row heights
	  to be consistent.

2009-08-10 09:07  king

	* Source/cmTestGenerator.cxx: Cleanup test property script code
	  generation

	  We teach cmTestGenerator::GenerateScriptConfigs to use the
	  general cmLocalGenerator::EscapeForCMake method to write escaped
	  test property values into test scripts.  This eliminates the
	  previous hand-coded escaping implementation.

2009-08-10 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-09 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-08 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-07 10:13  king

	* Modules/: CMakeCCompilerId.c.in, CMakeCXXCompilerId.cpp.in,
	  CMakeFortranCompilerId.F.in, Compiler/VisualAge-C.cmake,
	  Compiler/VisualAge-CXX.cmake, Compiler/VisualAge-Fortran.cmake,
	  Compiler/XL-C.cmake, Compiler/XL-CXX.cmake,
	  Compiler/XL-Fortran.cmake, Platform/Linux-VisualAge-C.cmake,
	  Platform/Linux-VisualAge-Fortran.cmake,
	  Platform/Linux-XL-C.cmake, Platform/Linux-XL-Fortran.cmake: Teach
	  compiler id about VisualAge -> XL rebranding

	  IBM rebranded its VisualAge compiler to XL starting at version
	  8.0.	We use the compiler id "XL" for newer versions and
	  "VisualAge" for older versions.  We now also recognize the "z/OS"
	  compiler, which is distinct from XL.

2009-08-07 10:12  king

	* Modules/: Compiler/VisualAge-Fortran.cmake,
	  Platform/AIX-VisualAge-Fortran.cmake,
	  Platform/Linux-VisualAge-Fortran.cmake, Platform/xlf.cmake: Move
	  flag to Compiler/VisualAge-Fortran module

	  The CMAKE_Fortran_DEFINE_FLAG value applies to the IBM Fortran
	  compilers on all platforms.  This moves the setting to the
	  platform-independent compiler information file.

2009-08-07 09:56  king

	* Modules/Platform/OpenBSD.cmake: Use NetBSD to initialize OpenBSD
	  configuration

	  We teach Modules/Platform/OpenBSD.cmake to load NetBSD first
	  since the platforms are so similar.  This enables RPATH support
	  on OpenBSD.

2009-08-07 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-06 19:01  partyd

	* Source/kwsys/SystemTools.cxx: COMP: attempt to fix more 'hidden
	  by' warnings.

2009-08-06 07:53  king

	* Modules/FortranCInterface/CMakeLists.txt: Teach FortranCInterface
	  about g77 mangling

	  The old GNU g77 Fortran compiler uses the suffix '__' for symbols
	  containing an underscore in their name.

2009-08-06 07:53  king

	* Modules/FortranCInterface/CMakeLists.txt: Sort FortranCInterface
	  global mangling symbols

	  This just cleans up the list ordering so more entries can be
	  added while keeping everything organized.

2009-08-06 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-05 17:07  king

	* Modules/FortranCInterface/: CMakeLists.txt, my_module_.c,
	  mymodule_.c: Cleanup FortranCInterface for PGI and GCC 4.2

	  This documents the purpose of the extra my_module_.c and
	  mymodule.c source files, and sorts the symbols.

2009-08-05 16:55  hoffman

	* Modules/FortranCInterface/: CMakeLists.txt, my_module_.c,
	  mymodule_.c: Teach FortranC interface for Intel, PGI, and gcc 4.2

2009-08-05 15:39  david.cole

	* Modules/AddExternalProject.cmake: Remove
	  AddExternalProject.cmake. ExternalProject.cmake
	  supercedes/replaces it.

2009-08-05 14:59  david.cole

	* Modules/: BundleUtilities.cmake, GetPrerequisites.cmake: Overhaul
	  GetPrerequisites and BundleUtilities: make fixup_bundle do
	  something useful on Windows and Linux.

	  Formerly, fixup_bundle was useful only on the Mac for making
	  standalone bundle applications that could be drag-n-drop moved to
	  anyplace in the file system. fixup_bundle is not just for the Mac
	  any more. It will now analyze executable files on Windows and
	  Linux, too, and copy necessary non-system dlls to the same folder
	  that the executable is in. This should work with dlls that you
	  build as part of your build and also with 3rd-party dlls as long
	  as you give fixup_bundle the right list of directories to search
	  for those dlls. Many thanks to Clinton Stimpson for his help in
	  ironing out the details involved in making this work.

2009-08-05 13:40  king

	* Modules/FortranCInterface.cmake, Modules/FortranCInterface.h.in,
	  Modules/FortranCInterface/CMakeLists.txt,
	  Modules/FortranCInterface/Input.cmake.in,
	  Modules/FortranCInterface/Macro.h.in,
	  Modules/FortranCInterface/Output.cmake.in,
	  Modules/FortranCInterface/call_mod.f90,
	  Modules/FortranCInterface/call_sub.f,
	  Modules/FortranCInterface/main.F,
	  Modules/FortranCInterface/my_module.f90,
	  Modules/FortranCInterface/my_sub.f,
	  Modules/FortranCInterface/mymodule.f90,
	  Modules/FortranCInterface/mysub.f,
	  Modules/FortranCInterface/symbol.c.in,
	  Tests/Fortran/CMakeLists.txt, Tests/Fortran/myc.c: Rewrite
	  FortranCInterface module

	  This is a new FortranCInterface.cmake module to replace the
	  previous prototype.  All module support files lie in a
	  FortranCInterface directory next to it.

	  This module uses a new approach to detect Fortran symbol
	  mangling.  We build a single test project which defines symbols
	  in a Fortran library (one per object-file) and calls them from a
	  Fortran executable.  The executable links to a C library which
	  defines symbols encoding all known manglings (one per
	  object-file).  The C library falls back to the Fortran library
	  for symbols it cannot provide.  Therefore the executable will
	  always link, but prefers the C-implemented symbols when they
	  match.  These symbols store string literals of the form
	  INFO:symbol[<name>] so we can parse them out of the executable.

	  This module also provides a simpler interface.  It always detects
	  the mangling as soon as it is included.  A single macro is
	  provided to generate mangling macros and optionally pre-mangled
	  symbols.

2009-08-05 10:45  hoffman

	* Source/cmVisualStudio10TargetGenerator.cxx: Allow for static
	  libraries to depend on other targets so that the MSBuild runs
	  build things in the correct order

2009-08-05 10:14  king

	* Source/CMakeLists.txt, Tests/CMakeLists.txt,
	  Utilities/Doxygen/doxyfile.in: Remove WXDialog source code

	  The QtDialog is our supported cross-platform GUI, so the WXDialog
	  source is no longer needed.

2009-08-05 10:13  king

	* Source/CMakeLists.txt: Remove FLTKDialog source code

	  The QtDialog is our supported cross-platform GUI, so the
	  FLTKDialog source is no longer needed.

2009-08-05 09:56  king

	* Source/cmFindPackageCommand.cxx: Fix find_package for cmake-gui
	  registry entry

	  The find_package commands looks at the "WhereBuild" registry
	  entries created by CMakeSetup and cmake-gui hoping that the
	  project was recently built.  CMakeSetup created
	  WhereBuild1..WhereBuild10 but cmake-gui creates
	  WhereBuild0-WhereBuild9.

	  This fixes find_package to look at WhereBuild0 so that the most
	  recently configured project can be found.  It is important in the
	  case that the package to be found was the last one configured in
	  cmake-gui but the current project that is finding it is
	  configured from the command line.

2009-08-05 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-04 15:41  martink

	* Source/cmLocalGenerator.cxx: ENH: minor cleanup of test

2009-08-04 14:37  king

	* Source/cmCoreTryCompile.cxx, Source/cmGlobalGenerator.cxx,
	  Source/cmGlobalGenerator.h, Source/cmMakefile.cxx,
	  Source/cmMakefile.h, Tests/TryCompile/CMakeLists.txt,
	  Tests/TryCompile/Inner/CMakeLists.txt,
	  Tests/TryCompile/Inner/innerexe.c,
	  Tests/TryCompile/Inner/innerlib.c: No /fast targets in
	  try_compile project mode

	  The try_compile command builds the cmTryCompileExec executable
	  using the cmTryCompileExec/fast target with Makefile generators
	  in order to save time since dependencies are not needed.
	  However, in project mode the command builds an entire source tree
	  that may have dependencies.  Therefore we can use the /fast
	  target approach only in one-source mode.

2009-08-04 14:06  king

	* Tests/Fortran/: CMakeLists.txt, foo.c, foo.cxx, mainc.c,
	  maincxx.c, myc.c, mycxx.cxx: Test C, C++, Fortran interface
	  combinations

	  Previously the Fortran test created a single executable
	  containing C, C++, and Fortran sources.  This commit divides the
	  executable into three libraries corresponding to each language,
	  and two executables testing Fortran/C only and Fortran/C/C++
	  together.  The result tests more combinations of using the
	  languages together, and that language requirements propagate
	  through linking.

2009-08-04 13:16  martink

	* Source/cmTest.cxx: ENH: change to CDASH

2009-08-04 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-03 13:37  king

	* Source/cmGlobalGenerator.cxx, Source/cmGlobalGenerator.h,
	  Tests/TryCompile/Inner/CMakeLists.txt: Fix recursive try_compile
	  calls

	  When building an entire source tree with try_compile instead of
	  just a single source file, it is possible that the CMakeLists.txt
	  file in the try-compiled project invokes try_compile.  This
	  commit fixes propagation of language-initialization results from
	  the outer-most project into any number of try-compile levels.

2009-08-03 13:37  king

	* Tests/TryCompile/: CMakeLists.txt, Inner/CMakeLists.txt: Test
	  try_compile project mode

	  The try_compile command project mode builds an entire source tree
	  instead of one source file.  It uses an existing CMakeLists.txt
	  file in the given source tree instead of generating one.  This
	  commit creates a test for the mode in the TryCompile test.

2009-08-03 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-02 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-08-01 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-07-31 16:11  alex

	* Source/cmake.cxx: DOCS: fix typo (#9231)

	  Alex

2009-07-31 09:19  king

	* Source/CTest/cmCTestScriptHandler.cxx: Set current directory
	  variables in CTest scripts

	  The commit "Fix get_filename_component ABSOLUTE mode" broke the
	  code

	    get_filename_component(cwd . ABSOLUTE)

	  because CTest scripts did not make
	  cmMakefile::GetCurrentDirectory() available.	This commit fixes
	  the problem by setting the proper information on CTest script
	  instances of cmMakefile.

	  This also makes CMAKE_CURRENT_SOURCE_DIR and
	  CMAKE_CURRENT_BINARY_DIR available to CTest scripts.	They are
	  set to the working directory at script startup.

2009-07-31 08:27  king

	* CMakeLists.txt, Source/QtDialog/CMakeLists.txt: Fix installation
	  when built by CMake 2.4

	  CMake 2.4 generates old-style cmake_install.cmake code including
	  calls to the file(INSTALL) command with the COMPONENTS argument.
	  We need to set CMAKE_INSTALL_SELF_2_4 for the whole install tree
	  to prevent the command from complaining in this special case.
	  Previously this was needed only in the QtDialog directory, but
	  now it is needed in the entire tree.

2009-07-31 06:22  alex

	* Source/: cmFunctionCommand.h, cmMacroCommand.h: DOCS: fix typo
	  (see #9308)

	  Alex

2009-07-31 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: KWSys Nightly Date Stamp

2009-07-30 13:46  king

	* Modules/: CMakeFortranCompiler.cmake.in,
	  CMakeTestFortranCompiler.cmake: Pass Fortran90 test result to
	  try-compile

	  This stores CMAKE_Fortran_COMPILER_SUPPORTS_F90 in the Fortran
	  compiler information file CMakeFiles/CMakeFortranCompiler.cmake
	  instead of in CMakeCache.txt.  This file makes the result
	  available to try-compile projects.

2009-07-30 10:59  king

	* Modules/CMakeCXXCompiler.cmake.in,
	  Source/cmDocumentVariables.cxx, Source/cmTarget.cxx: Do not
	  always propagate linker language preference

	  The commit "Consider link dependencies for link language" taught
	  CMake to propagate linker language preference from languages
	  compiled into libraries linked by a target.  It turns out this
	  should only be done for some languages, such as C++, because
	  normally the language of the program entry point (main) should be
	  used.

	  We introduce variable CMAKE_<LANG>_LINKER_PREFERENCE_PROPAGATES
	  to tell CMake whether a language should propagate its linker
	  preference across targets.  Currently it is true only for C++.

2009-07-30 10:59  king

	* Source/cmTarget.cxx: Refactor target linker language selection

	  This factors the decision logic out of
	  cmTarget::ComputeLinkClosure into dedicated class
	  cmTargetSelectLinker.  We replace several local variables with a
	  single object instance, and organize code into methods.

2009-07-30 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-07-29 16:40  king

	* Source/: cmGlobalXCodeGenerator.cxx, cmGlobalXCodeGenerator.h:
	  Separate Xcode flag escaping code from defines

	  Generalize the core Xcode generator preprocessor flag escaping
	  code to be useful for escaping all flags.

2009-07-29 16:39  king

	* Source/cmGlobalXCodeGenerator.cxx: Re-order
	  cmGlobalXCodeGenerator implementation

	  This defines class
	  cmGlobalXCodeGenerator::BuildObjectListOrString early in the
	  source file so it can be used in more places.

2009-07-29 16:38  king

	* Tests/CMakeTests/ImplicitLinkInfoTest.cmake.in: Check PGI linker
	  lines in ImplicitLinkInfo test

	  This adds sample linker invocation lines for the PGI compiler on
	  Linux.

2009-07-29 16:38  king

	* Modules/Compiler/: PGI-C.cmake, PGI-CXX.cmake, PGI-Fortran.cmake:
	  Set CMAKE_<LANG>_VERBOSE_FLAG variables for PGI

	  We set the variables to contain "-v", the verbose front-end
	  output option for PGI compilers.  This enables detection of
	  implicit link libraries and directories for these compilers.

2009-07-29 16:07  king

	* Tests/CMakeTests/ImplicitLinkInfoTest.cmake.in: Check Intel
	  linker lines in ImplicitLinkInfo test

	  This adds sample linker invocation lines for the Intel compiler
	  on Linux.  In particular, this exercises the case when "ld"
	  appears without a full path.

2009-07-29 16:07  king

	* Modules/Compiler/: Intel-C.cmake, Intel-CXX.cmake,
	  Intel-Fortran.cmake: Set CMAKE_<LANG>_VERBOSE_FLAG variables for
	  Intel

	  We set the variables to contain "-v", the verbose front-end
	  output option for Intel compilers.  This enables detection of
	  implicit link libraries and directories for these compilers.

2009-07-29 16:07  king

	* Modules/CMakeParseImplicitLinkInfo.cmake: Recognize linker
	  commands without paths

	  This teaches the implicit link line parsing code to recognize
	  link lines that do not have a full path to the linker executable.
	   At least one version of the Intel compiler on Linux invokes the
	  linker as just "ld" instead of "/usr/bin/ld".

2009-07-29 11:29  king

	* Source/: CMakeLists.txt, cmIDEOptions.cxx, cmIDEOptions.h,
	  cmVisualStudioGeneratorOptions.cxx,
	  cmVisualStudioGeneratorOptions.h: ENH: Separate option mapping
	  from VS generators

	  Split cmVisualStudioGeneratorOptions core functionality out into
	  a base class cmIDEOptions.  It will be useful for other
	  generators.

2009-07-29 11:28  king

	* Source/: CMakeLists.txt, cmGlobalVisualStudio7Generator.cxx,
	  cmGlobalVisualStudio7Generator.h,
	  cmGlobalVisualStudio8Generator.cxx,
	  cmGlobalVisualStudio8Generator.h, cmIDEFlagTable.h,
	  cmLocalVisualStudio7Generator.h,
	  cmVisualStudioGeneratorOptions.h: ENH: Separate VS flag table
	  type

	  Move the cmVS7FlagTable type out of the VS generators and rename
	  it to cmIDEFlagTable.  It will be useful for other generators.

2009-07-29 08:39  king

	* Tests/Properties/CMakeLists.txt: Test cache entry property
	  "STRINGS"

	  The STRINGS property tells cmake-gui to create a drop-down
	  selection list.  This teaches the Properties test to set and
	  verify its value.

2009-07-29 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-07-28 14:30  hoffman

	* Source/: cmLocalVisualStudio7Generator.cxx,
	  cmLocalVisualStudio7Generator.h: ENH: remove code duplication and
	  use cmVisualStudioGeneratorOptions for all versions of vs 7 and
	  greater.

2009-07-28 10:46  king

	* Source/: CPack/cmCPackGenerator.cxx,
	  CTest/cmCTestScriptHandler.cxx, CTest/cmCTestTestHandler.cxx,
	  cmCTest.cxx, cmake.cxx: BUG: Do not double-initialize local
	  generators

	  All global generator CreateLocalGenerator methods automatically
	  initialize the local generator instances with SetGlobalGenerator.
	   In several places we were calling SetGlobalGenerator again after
	  receiving the return value from CreateLocalGenerator.  The
	  double-initializations leaked the resources allocated by the
	  first call to SetGlobalGenerator.  This fix removes the
	  unnecessary calls.

2009-07-28 08:36  king

	* Source/cmComputeLinkInformation.cxx: BUG: Do not filter
	  non-library implicit link items

	  We list implicit link items of languages linked into a target but
	  filter them by the implicit libraries known to be passed by the
	  main linker language.  Implicit link flags like "-z..." should
	  not be filtered out because they are not libraries.

2009-07-28 08:36  king

	* Modules/CMakeParseImplicitLinkInfo.cmake,
	  Tests/CMakeTests/ImplicitLinkInfoTest.cmake.in: BUG: Parse
	  implicit link editor -z*extract options

	  The Sun Fortran compiler passes -zallextract and -zdefaultextract
	  to the linker so that all objects from one of its archives are
	  included in the link.  This teaches the implicit options parser
	  to recognize the flags.  We need to pass them explicitly on C++
	  link lines when Fortran code is linked.

2009-07-28 08:08  king

	* Source/cmComputeLinkInformation.cxx: BUG: Always pass linker
	  flags untouched

	  In cmComputeLinkInformation we recognize link options that look
	  like library file names, but pass flags starting in '-' through
	  untouched.  This fixes the ordering of the check to recognize '-'
	  flags first in case the rest of the option looks like a library
	  file name, as in the case of "-l:libfoo.a".

2009-07-28 08:07  king

	* Source/cmComputeLinkInformation.cxx: BUG: Do not recognize ':' in
	  a library name

	  In cmComputeLinkInformation we construct regular expressions to
	  recognize library file names.  This fixes the expressions to not
	  allow a colon (':') in the file name so that "-l:libfoo.a" is
	  left alone.

2009-07-28 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-07-27 16:45  king

	* Source/kwsys/: CMakeLists.txt, kwsysPlatformTestsCXX.cxx: BUG:
	  Enable large files only if <cstdio> works

	  Some AIX/gcc version combinations the <cstdio> header breaks when
	  large file support is enabled.  See this GCC issue for details:

	    http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20366

	  We work around the problem by enhancing the configuration check
	  for large file support to include <cstdio> when available.  This
	  will cause LFS to be disabled when the above problem occurs.

2009-07-27 14:17  hoffman

	* Source/CTest/cmCTestTestHandler.cxx: ENH: add test times and a
	  total time to the output of command line ctest

2009-07-27 12:43  king

	* Tests/Fortran/: CMakeLists.txt, foo.c, foo.cxx: ENH: Test Fortran
	  and C++ in one executable

	  This extends the Fortran-to-C interface test to add a C++ source
	  file.  The executable can only link with the C++ linker and with
	  the proper Fortran runtime libraries.  These libraries should be
	  detected by CMake automatically, so this tests verifies the
	  detection functionality.

2009-07-27 12:43  king

	* Tests/Fortran/CMakeLists.txt: ENH: Remove EXTRA_FORTRAN_C_LIBS
	  Fortran test hack

	  This hack was created to help the Fortran test executables link
	  to the implicit C libraries added by BullsEye.  Now that implicit
	  libraries from all languages are detected and included
	  automatically the hack is no longer needed.

2009-07-27 12:43  king

	* Source/: cmComputeLinkInformation.cxx,
	  cmComputeLinkInformation.h, cmOrderDirectories.cxx,
	  cmOrderDirectories.h: ENH: Link runtime libraries of all
	  languages

	  This adds implicit libraries and search directories for languages
	  linked into a target other than the linker language to its link
	  line.  For example, when linking an executable containing both
	  C++ and Fortran code the C++ linker is used but we need to add
	  the Fortran libraries.

	  The variables

	    CMAKE_<LANG>_IMPLICIT_LINK_LIBRARIES
	    CMAKE_<LANG>_IMPLICIT_LINK_DIRECTORIES

	  contain the implicit libraries and directories for each language.
	   Entries for the linker language are known to be implicit in the
	  generated link line.	Entries for other languages that do not
	  appear in the known implicit set are listed explicitly at the end
	  of the link line.

2009-07-27 12:35  king

	* Tests/SystemInformation/DumpInformation.cxx: ENH: Report CMake
	  logs in SystemInformation test

	  This teaches the SystemInformation test to report the CMake log
	  files CMakeOutput.log and CMakeError.log from the CMake build
	  tree and from the SystemInformation test build tree.	These logs
	  may help diagnose dashboard problems remotely.

2009-07-27 12:04  david.cole

	* Tests/CMakeTests/: CMakeLists.txt, CheckSourceTreeTest.cmake.in:
	  ENH: Make the CheckSourceTree test emit a warning (but pass
	  instead of fail) when there is an in-source build on a dashboard
	  machine.

2009-07-27 11:56  king

	* Tests/Fortran/mysub.f: ENH: Require language libs in Fortran/C
	  test

	  This extends the Fortran/C interface test to require that the
	  executable link to the fortran language runtime libraries.  We
	  must verify that the proper linker is chosen.

2009-07-27 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-07-26 01:01  partyd

	* Source/kwsys/SystemTools.cxx: ENH: try and see if using
	  string.append instead of += will make valgrind not complaing that
	  JoinPath is leaking.

2009-07-26 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-07-25 13:32  david.cole

	* Tests/CMakeTests/CheckSourceTreeTest.cmake.in: ENH: Improvements
	  to the new CheckSourceTree test: ignore Thumbs.db and .DS_Store
	  files. Force all output to stderr by not using STATUS with
	  message. Better error text.

2009-07-25 08:11  king

	* Tests/CMakeTests/ImplicitLinkInfoTest.cmake.in: BUG: Further
	  avoid ImplicitLinkInfo case change

	  The commit "Avoid case change in ImplicitLinkInfo test" did not
	  change all of the paths to mingw, so some case change still
	  occurs.  This changes more of them.

2009-07-25 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-07-24 18:30  david.cole

	* Tests/CMakeLists.txt: BUG: One last attempt for today to get the
	  new CheckSourceTree test running on dashboards driven by CMake
	  2.4... Good night now.

2009-07-24 17:33  king

	* CMakeLists.txt: ENH: Allow empty endif() and such with CMake 2.4

	  This allows us to use empty endif() and similar block terminators
	  when building with CMake 2.4.  It is allowed by default with 2.6
	  already.

2009-07-24 17:28  david.cole

	* Tests/CMakeTests/CMakeLists.txt: BUG: Close endif statements with
	  same string as if so that it still configures with CMake 2.4. One
	  more time. Encore, encore.

2009-07-24 17:12  david.cole

	* Tests/CMakeTests/CheckSourceTreeTest.cmake.in: BUG: Improve
	  CheckSourceTree test so that it ignores 'U ' output from cvs
	  update. Also: improve failure logic for dashboard runs and
	  developer runs.

2009-07-24 16:57  king

	* Tests/CMakeTests/VariableWatchTest.cmake.in: BUG: Teach
	  VariableWatch test to check results

	  Previously this test was only a smoke test for manual
	  verification.  This teaches the test to actually check that the
	  variable watch succeeds.

2009-07-24 16:53  king

	* Source/cmVariableWatchCommand.h: BUG: Keep variable_watch()
	  commands in memory

	  The "Keep only FinalPass commands in memory" commit caused
	  instances of this command to be deleted after the InitialPass.
	  Even though the variable_watch command does not have a final
	  pass, it does need to stay alive because it owns the callback
	  information.

2009-07-24 16:31  david.cole

	* Tests/CMakeLists.txt: BUG: Close endif statements with same
	  string as if so that it still configures with CMake 2.4 -- also
	  check for existence of FindCVS.cmake before doing
	  find_package(CVS QUIET) also for CMake 2.4 sake...

2009-07-24 16:15  david.cole

	* Tests/CMakeLists.txt: BUG: Oops. Left chunk of junk at the bottom
	  of the main Tests CMakeLists.txt file with the last commit...
	  Sorry.

2009-07-24 15:58  david.cole

	* Source/cmGlobalXCodeGenerator.cxx, Tests/CMakeLists.txt,
	  Tests/CMakeTests/CMakeLists.txt,
	  Tests/CMakeTests/CheckSourceTreeTest.cmake.in: BUG: Additional
	  fix necessary for issue #8481 so that Xcode builds do not write
	  files into the source tree. Also add a test that runs last to
	  check for local modifications in CMake_SOURCE_DIR based on
	  whether 'cvs -q -n up -dP' output is empty. Test fails on
	  dashboard runs when there are local modifications. Test passes on
	  non-dashboard runs with local modifications so that CMake
	  developers may have mods when running the test locally.

2009-07-24 13:31  king

	* Source/: cmCommand.h, cmConfigureFileCommand.h,
	  cmExportLibraryDependencies.h, cmFLTKWrapUICommand.h,
	  cmInstallFilesCommand.h, cmInstallProgramsCommand.h,
	  cmLoadCommandCommand.cxx, cmMakefile.cxx: ENH: Keep only
	  FinalPass commands in memory

	  In cmMakefile we save all invoked commands so that FinalPass can
	  be called on them later.  Most commands have no final pass, so we
	  should keep only the few that do.

2009-07-24 13:17  king

	* CMakeLists.txt, Modules/CMakeLists.txt,
	  Modules/Platform/CMakeLists.txt, Templates/CMakeLists.txt: ENH:
	  Install all Modules and Templates

	  This removes the file-wise installation rules for Modules and
	  Templates and instead installs the whole directories.  This
	  approach is much less error-prone.  The old approach was left
	  from before CMake had the install(DIRECTORY) command.

2009-07-24 12:55  king

	* Modules/CMakeLists.txt: BUG: Install new fortran compiler id
	  source.

	  The extension of the id source file was changed from .F90 to .F
	  so this fixes the install rule.

2009-07-24 12:15  malaterre

	* Source/kwsys/SharedForward.h.in: COMP: Fix compilation of VTK on
	  debian/sparc (sparc is a CPU not an OS)

2009-07-24 07:34  king

	* Tests/CMakeTests/ImplicitLinkInfoTest.cmake.in: BUG: Avoid case
	  change in ImplicitLinkInfo test

	  Since "get_filename_component(... ABSOLUTE)" retrieves the actual
	  case for existing paths on windows, we need to use an obscure
	  path for mingw.  Otherwise the test can fail just because the
	  case of the paths changes.

2009-07-24 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-07-23 16:19  king

	* Modules/CMakeDetermineCompilerABI.cmake: BUG: Skip implicit link
	  information on Xcode

	  Xcode adds extra link directories that point at the build tree,
	  so detection of implicit link directories is not reliable.  Since
	  Fortran is not supported in Xcode we will not need implicit link
	  information yet anyway.

2009-07-23 10:07  king

	* Tests/CMakeTests/: CMakeLists.txt, ImplicitLinkInfoTest.cmake.in:
	  ENH: Create ImplicitLinkInfo test

	  This tests the internal CMakeParseImplicitLinkInfo.cmake module
	  to ensure that implicit link information is extracted correctly.
	  The test contains many manually verified examples from a variety
	  of systems.

2009-07-23 10:07  king

	* Modules/CMakeCCompiler.cmake.in,
	  Modules/CMakeCXXCompiler.cmake.in,
	  Modules/CMakeDetermineCompilerABI.cmake,
	  Modules/CMakeFortranCompiler.cmake.in,
	  Modules/CMakeParseImplicitLinkInfo.cmake,
	  Modules/Compiler/GNU-C.cmake, Modules/Compiler/GNU-CXX.cmake,
	  Modules/Compiler/GNU-Fortran.cmake, Modules/Compiler/HP-C.cmake,
	  Modules/Compiler/HP-CXX.cmake, Modules/Compiler/HP-Fortran.cmake,
	  Modules/Compiler/MIPSpro-C.cmake,
	  Modules/Compiler/MIPSpro-CXX.cmake,
	  Modules/Compiler/MIPSpro-Fortran.cmake,
	  Modules/Compiler/SunPro-C.cmake,
	  Modules/Compiler/SunPro-CXX.cmake,
	  Modules/Compiler/SunPro-Fortran.cmake,
	  Modules/Compiler/VisualAge-C.cmake,
	  Modules/Compiler/VisualAge-CXX.cmake,
	  Modules/Compiler/VisualAge-Fortran.cmake,
	  Source/cmDocumentVariables.cxx,
	  Tests/SystemInformation/SystemInformation.in: ENH: Implicit link
	  info for C, CXX, and Fortran

	  This teaches CMake to detect implicit link information for C,
	  C++, and Fortran compilers.  We detect the implicit linker search
	  directories and implicit linker options for UNIX-like
	  environments using verbose output from compiler front-ends.  We
	  store results in new variables called

	    CMAKE_<LANG>_IMPLICIT_LINK_LIBRARIES
	    CMAKE_<LANG>_IMPLICIT_LINK_DIRECTORIES

	  The implicit libraries can contain linker flags as well as
	  library names.

2009-07-23 10:06  king

	* Modules/: CMakeCInformation.cmake, CMakeCXXInformation.cmake,
	  CMakeFortranInformation.cmake: ENH: Load platform-independent
	  per-compiler files

	  This teaches the language configuration modules to load
	  per-compiler information for each language using the compiler id
	  but no system name.  They look for modules named
	  "Compiler/<id>-<lang>.cmake".  Such modules may specify compiler
	  flags that do not depend on the platform.

2009-07-23 08:10  king

	* Source/cmGetFilenameComponentCommand.cxx: BUG: Fix
	  get_filename_component ABSOLUTE mode

	  This teaches the command to recognize full windows paths when
	  built on UNIX.  CollapseFullPath knows when the input path is
	  relative better than FileIsFullPath because the latter is only
	  meant for paths from the host platform.

2009-07-23 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-07-22 14:22  king

	* bootstrap, Source/CMakeLists.txt, Source/cmDefinitions.cxx,
	  Source/cmDefinitions.h, Source/cmMakefile.cxx,
	  Source/cmMakefile.h: ENH: Improve dynamic variable scope
	  implementation

	  Previously each new variable scope (subdirectory or function
	  call) in the CMake language created a complete copy of the
	  key->value definition map.  This avoids the copy using transitive
	  lookups up the scope stack.  Results of queries answered by
	  parents are stored locally to maintain locality of reference.

	  The class cmDefinitions replaces cmMakefile::DefinitionsMap, and
	  is aware of its enclosing scope.  Each scope stores only the
	  definitions set (or unset!) inside it relative to the enclosing
	  scope.

2009-07-22 13:42  king

	* Tests/FunctionTest/SubDirScope/CMakeLists.txt: ENH: Improve
	  strictness of Function test

	  The command "set(... PARENT_SCOPE)" should never affect the
	  calling scope.  This improves the Function test to check that
	  such calls in a subdirectory scope affect the parent but not the
	  child.

2009-07-22 12:06  david.cole

	* Source/cmCTest.cxx: BUG: Fix typo pointed out by Monsieur
	  Francois Bertel. Merci, Francois.

2009-07-22 11:14  david.cole

	* Source/cmGlobalXCodeGenerator.cxx: BUG: Fix issue #8481 -
	  generate Xcode projects such that breakpoints may be used from
	  the Xcode debugger without adjusting any settings within the
	  Xcode GUI first... Thanks to Doug Gregor for the patch.

2009-07-22 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-07-21 12:45  martink

	* Modules/FindPNG.cmake: ENH: just converted case to lower for the
	  book

2009-07-21 11:58  king

	* Source/cmLocalUnixMakefileGenerator3.cxx: BUG: Disable color
	  makefile inside try-compile

	  Generated makefiles for try-compile projects should never use
	  color output.  On MSYS the color escapes end up in the
	  try-compile output text because there is no way to identify
	  whether the output is going to a color-capable terminal.  Instead
	  we should just always skip color for try-compile projects.

2009-07-21 10:56  king

	* Tests/SystemInformation/DumpInformation.h.in: BUG: Fix
	  SystemInformation dump output

	  When this test was renamed from DumpInformation to
	  SystemInformation the configured header that points the dump
	  executable to the directory containing information files was
	  broken.  No information has been dumped by this test for 2 years!
	   This fixes it.

2009-07-21 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-07-20 12:08  david.cole

	* CMakeCPackOptions.cmake.in: BUG: Add CPACK_NSIS_PACKAGE_NAME to
	  the list of CPack variables that CMake overrides. We use the same
	  value as the CPack-provided default, but do it here such that
	  configuring with an older CMake will still give us this new
	  variable. Necessary so that the CMake release process works with
	  the new variable: CMake is configured with a previous CMake, but
	  packaged with the freshly built CPack. (This fix is necessary
	  because the fix for issue #8682 caused the side effect of having
	  an empty CPACK_NSIS_PACKAGE_NAME for the CMake nightly package.)

2009-07-20 10:58  hoffman

	* Tests/CMakeLists.txt: ENH: set expected failure for tests

2009-07-20 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-07-19 13:40  hoffman

	* Source/CTest/cmCTestTestHandler.cxx: ENH: fix warning

2009-07-19 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-07-18 01:05  lowman

	* Modules/FindSDL.cmake: BUG: Fix include path detection with
	  SDLDIR env var (issue #9086).  Also removed some superfluous
	  search paths.

2009-07-18 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-07-17 23:51  lowman

	* Modules/FindPerlLibs.cmake: ENH: Also add ARCHLIB/CORE to include
	  search paths so perl.h can be found on non-standard install
	  prefixes

2009-07-17 23:31  lowman

	* Modules/FindPerlLibs.cmake: ENH: Improve detection of
	  perl.h/libperl, issue #7898

2009-07-17 16:15  hoffman

	* Source/CTest/cmCTestTestHandler.cxx: ENH: fix warning

2009-07-17 14:51  clinton

	* Source/QtDialog/CMakeSetupDialog.cxx: ENH:  Edit button label for
	  new changes dialog.

2009-07-17 14:38  clinton

	* Source/QtDialog/: CMakeSetupDialog.cxx, CMakeSetupDialog.h,
	  QCMakeCacheView.cxx, QCMakeCacheView.h:
	  ENH:	Add a "Show my changes" to the Tools menu.	  Changes
	  by the user are recorded and when requested, it shows        -D
	  arguments for commandline or contents for a cache file.

2009-07-17 10:06  hoffman

	* Source/CTest/cmCTestTestHandler.cxx: ENH: compute the max test
	  name width based on the length of the tests

2009-07-17 10:05  hoffman

	* Source/: cmGlobalGenerator.h, cmGlobalVisualStudioGenerator.h,
	  cmLocalGenerator.cxx, cmMakefile.cxx: ENH: make sure GUIDs for
	  filters are cached

2009-07-17 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-07-16 18:53  clinton

	* Modules/FindQt4.cmake: BUG: fix relative paths from different
	  drives on Windows

2009-07-16 11:48  david.cole

	* Modules/: CPack.cmake, NSIS.template.in: BUG: Re-fix issue #8682.
	  Use new variable CPACK_NSIS_PACKAGE_NAME in appropriate places
	  rather than CPACK_NSIS_DISPLAY_NAME. CPACK_NSIS_DISPLAY_NAME is
	  the Add/Remove control panel's description string for the
	  installed package. Using it as the "Name" of the NSIS installer
	  package made the CMake installer itself use really long strings
	  in the installer GUI. This fix still allows for the original
	  intent of the first fix for #8682 -- the ability to separate the
	  installer name from the default install directory, but it uses a
	  new/different variable to achieve the separation.

2009-07-16 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-07-15 12:43  hoffman

	* Modules/Platform/Windows-cl.cmake: ENH: remove debug message

2009-07-15 12:18  hoffman

	* Modules/Platform/Windows-cl.cmake: ENH: do not use
	  /INCREMENTAL:YES with VS 10 compiler

2009-07-15 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-07-14 19:34  clinton

	* Source/QtDialog/CMakeSetup.cxx:
	  BUG:	Don't let Qt suppress error dialogs.  Add call to
	  SetErrorMode(0);   See #9258.

2009-07-14 16:06  hoffman

	* Source/cmIncludeExternalMSProjectCommand.cxx: ENH: fix vsexternal
	  test on vs 71

2009-07-14 15:17  king

	* Modules/: CMakeCCompilerId.c.in, CMakeCXXCompilerId.cpp.in,
	  CMakeFortranCompilerId.F.in: ENH: Check _SGI_COMPILER_VERSION for
	  compiler id

	  Some SGI compilers define _SGI_COMPILER_VERSION in addition to
	  the old _COMPILER_VERSION preprocessor symbol.  It is more
	  distinctive, so we should check it in case the old one is ever
	  removed.

2009-07-14 15:16  king

	* Modules/CMakeFortranCompilerId.F.in: BUG: Avoid SGI preprocessor
	  bug for Fortran Id

	  The SGI preprocessor /usr/lib/cpp produces bad output on this
	  code:

	    #if 1
	    A
	    #elif 1
	    B
	    #else
	    C
	    #endif

	  Both 'A' and 'C' appear in the output!  We work around the
	  problem by using '#elif 1' instead of '#else'.

	  This fixes detection of the SGI Fortran compiler id in -o32 mode.

2009-07-14 14:44  alex

	* Modules/MacroAddFileDependencies.cmake: STYLE: add documentation
	  for MACRO_ADD_FILE_DEPENDENCIES()

	  Alex

2009-07-14 14:16  hoffman

	* Source/cmGlobalVisualStudio6Generator.cxx,
	  Source/cmGlobalVisualStudio6Generator.h,
	  Source/cmGlobalVisualStudio71Generator.cxx,
	  Source/cmGlobalVisualStudio71Generator.h,
	  Source/cmGlobalVisualStudio7Generator.cxx,
	  Source/cmGlobalVisualStudio7Generator.h,
	  Source/cmGlobalVisualStudioGenerator.cxx,
	  Source/cmGlobalVisualStudioGenerator.h,
	  Source/cmIncludeExternalMSProjectCommand.cxx,
	  Source/cmLocalGenerator.cxx,
	  Source/cmLocalVisualStudio10Generator.cxx,
	  Source/cmLocalVisualStudio6Generator.cxx,
	  Source/cmLocalVisualStudio7Generator.cxx,
	  Source/cmVisualStudio10TargetGenerator.cxx,
	  Tests/VSExternalInclude/CMakeLists.txt: ENH: remove
	  INCLUDE_EXTERNAL_MSPROJECT name hack, and use target properties
	  instead, fix VXExternalInclude test for VS10

2009-07-14 10:15  king

	* Source/cmSeparateArgumentsCommand.cxx,
	  Source/cmSeparateArgumentsCommand.h,
	  Tests/CMakeTests/CMakeLists.txt,
	  Tests/CMakeTests/SeparateArgumentsTest.cmake.in: ENH: Teach
	  separate_arguments() to parse commands

	  This adds UNIX_COMMAND and WINDOWS_COMMAND modes to the command.
	  These modes parse unix- and windows-style command lines.

2009-07-14 10:14  king

	* Source/: cmComputeLinkInformation.cxx,
	  cmComputeLinkInformation.h: STYLE: Factor
	  cmComputeLinkInformation constructor

	  This factors some code out of the constructor into a new method
	  cmComputeLinkInformation::LoadImplicitLinkInfo for readability.

2009-07-14 10:14  king

	* Source/: cmOrderDirectories.cxx, cmOrderDirectories.h: STYLE:
	  Factor CollectOriginalDirectories code

	  This factors code out of
	  cmOrderDirectories::CollectOriginalDirectories into
	  cmOrderDirectories::AddOriginalDirectories.  Later a new call
	  will be added, and this is more readable anyway.

2009-07-14 08:38  king

	* Tests/ExportImport/: CMakeLists.txt, InitialCache.cmake.in: COMP:
	  Shorten ExportImport test command lines

	  The ExportImport test drives its Export and Import projects using
	  the same compiler and flags.	This converts the ctest
	  --build-and-test command lines to use an initial cache file
	  instead of passing all settings on the command line.

	  We need a shorter command line to pass through VS 6 on Win98.
	  This approach reduces duplicate code anyway.

2009-07-14 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-07-13 17:35  king

	* Source/kwsys/System.c: BUG: Parse escapes in single-quoted unix
	  arguments

	  This fixes KWSys's unix-style command-line parsing to interpret
	  backslash escapes inside single-quoted strings.

2009-07-13 17:08  king

	* Source/cmSystemTools.cxx: COMP: Include <malloc.h> for 'free' on
	  QNX

2009-07-13 16:58  hoffman

	* Source/cmLocalVisualStudio10Generator.cxx,
	  Source/cmLocalVisualStudio10Generator.h,
	  Source/cmLocalVisualStudio7Generator.h,
	  Source/cmVisualStudio10TargetGenerator.cxx,
	  Source/cmVisualStudio10TargetGenerator.h,
	  Source/cmVisualStudioGeneratorOptions.cxx,
	  Tests/PrecompiledHeader/CMakeLists.txt,
	  Tests/Preprocess/CMakeLists.txt,
	  Tests/VSExternalInclude/CMakeLists.txt: ENH:	almost all tests
	  passing in vs 10, commit fixes preprocess and starts vs external
	  project

2009-07-13 16:46  king

	* Source/cmSystemTools.cxx: COMP: Include <stdlib.h> for 'free'

2009-07-13 16:22  king

	* Source/: cmSystemTools.cxx, cmSystemTools.h: ENH: Add
	  cmSystemTools::ParseUnixCommandLine

	  This method is a C++ wrapper around the KWSys System library
	  function to parse unix-style command lines.

2009-07-13 16:22  king

	* Source/kwsys/: ProcessUNIX.c, System.c, System.h.in: ENH: Provide
	  unix-sytle command line parsing

	  Add System_Parse_CommandForUnix to the KWSys System interface as
	  a utility to parse a unix-style command line.  Move the existing
	  implementation out of ProcessUNIX.  Add a flags argument reserved
	  for future use in providing additional behavior.

2009-07-13 11:24  king

	* Modules/: CMakeFortranCompilerABI.F,
	  CMakeTestFortranCompiler.cmake: ENH: Create Fortran ABI detection
	  framework

	  This invokes CMakeDetermineCompilerABI.cmake for Fortran at the
	  same place it is already done for C and CXX.

2009-07-13 10:46  king

	* Modules/ExternalProject.cmake: ENH: Check tarball filename in
	  ep_add

	  This teaches the ExternalProject module to check the download URL
	  file name.  If it is not a tarball (.tar, .tgz, .tar.gz) it is an
	  error because UntarFile does not yet understand other archive
	  formats.

2009-07-13 10:46  king

	* Modules/UntarFile.cmake: BUG: Teach UntarFile to delete dir on
	  error

	  When tarball extraction fails we should still cleanup the
	  temporary extraction directory.  Otherwise the next attempt will
	  create a new directory and the first one will never be removed.

2009-07-13 10:40  king

	* Modules/Platform/Linux-SunPro-CXX.cmake: BUG: Fix rpath-link flag
	  for SunPro C++ on Linux

	  This teaches Modules/Platform/Linux-SunPro-CXX.cmake the
	  -rpath-link flag.  The SunPro C++ compiler does not have a '-Wl,'
	  option, so we just pass the flag directly.

	  This problem was exposed by the ExportImport test now that it
	  links an executable through the C++ compiler with the -rpath-link
	  flag.

2009-07-13 09:20  king

	* Tests/ExportImport/Export/: CMakeLists.txt, testLib6.c,
	  testLib6c.c: COMP: Fix ExportImport testLib6 on VS6

	  The compiler does not support multiple source files differing
	  only by extension in one target.  This renames the C source file
	  in the test.

2009-07-13 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-07-12 14:52  alex

	* Tests/CMakeLists.txt: BUG: disable the test for now, will make it
	  work correctly later

	  Alex

2009-07-12 04:51  alex

	* Source/CTest/cmCTestScriptHandler.cxx, Tests/CMakeLists.txt,
	  Modules/CTestScriptMode.cmake,
	  Tests/CTestScriptMode/CTestTestScriptMode.cmake.in: STYLE: don't
	  load CMakeDetermineSystem and CMakeSystemSpecific directly from
	  cmCTestScriptHandler, but have it load the new script
	  CTestScriptMode.cmake -> that makes it more flexible, also add a
	  simple test that the system name has been determined correctly

	  Alex

2009-07-12 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-07-11 16:30  alex

	* Source/CTest/: cmCTestScriptHandler.cxx, cmCTestScriptHandler.h:
	  STYLE: move the code for writing the initial cache into its own
	  separate function, makes the long ProcessHandler() a little bit
	  shorter

	  Alex

2009-07-11 16:27  alex

	* Source/CTest/: cmCTestScriptHandler.cxx, cmCTestScriptHandler.h:
	  STYLE: rename InitCache to InitialCache, since it contains the
	  contents for the initial cache and is not e.g. a flag which shows
	  whether the cache should be initialized

	  Alex

2009-07-11 10:12  king

	* Source/: cmExportFileGenerator.cxx, cmTarget.cxx: ENH: Export and
	  import link interface languages

	  Now that languages are part of the link interface of a target we
	  need to export/import the information.  A new
	  IMPORTED_LINK_INTERFACE_LANGUAGES property and per-config
	  IMPORTED_LINK_INTERFACE_LANGUAGES_<CONFIG> property specify the
	  information for imported targets.  The export() and
	  install(EXPORT) commands automatically set the properties.

2009-07-11 10:10  king

	* Tests/ExportImport/: CMakeLists.txt, Export/CMakeLists.txt,
	  Export/testLib6.c, Export/testLib6.cxx, Import/CMakeLists.txt,
	  Import/A/CMakeLists.txt, Import/A/imp_testExe1.c: ENH: Test
	  export/import of link interface languages

	  This extends the ExportImport test.  The Export project creates a
	  C++ static library and exports it.  Then the Import project links
	  the library into a C executable.  On most platforms the
	  executable will link only if the C++ linker is chosen correctly.

2009-07-11 00:05  hoffman

	* Source/cmLocalGenerator.h, Source/cmMakefile.cxx,
	  Source/cmSourceGroup.cxx, Source/cmSourceGroup.h,
	  Source/cmVisualStudio10TargetGenerator.cxx,
	  Source/cmVisualStudio10TargetGenerator.h,
	  Tests/SourceGroups/CMakeLists.txt, Tests/SourceGroups/README.txt:
	  ENH: add group support and fix borland error

2009-07-11 00:01  kwrobot

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-07-10 16:51  king

	* Source/: cmGlobalGenerator.h, cmGlobalXCodeGenerator.cxx,
	  cmGlobalXCodeGenerator.h: BUG: Fix Xcode linker language

	  Xcode does not seem to support direct requests for using the
	  linker for a particular language.  It always infers the linker
	  using the languages in the source files.  When no user source
	  files compile with target's linker language we add one to help
	  Xcode pick the linker.

	  A typical use case is when a C executable links to a C++ archive.
	   The executable has no C++ source files but we need to use the
	  C++ linker.

2009-07-10 13:53  king

	* Source/cmTarget.cxx: ENH: Update LINKER_LANGUAGE and HAS_CXX docs

	  This updates the documentation of these properties to account for
	  the new automatic linker language computation.

2009-07-10 13:53  king

	* Tests/: CMakeLists.txt, LinkLanguage/CMakeLists.txt,
	  LinkLanguage/LinkLanguage.c, LinkLanguage/foo.cxx: ENH: Test
	  transitive link languages

	  This test creates a C executable that links to a C++ static
	  library.  On most platforms the executable will not link unless
	  the C++ linker is chosen correctly.

2009-07-10 13:53  king

	* Source/: cmTarget.cxx, cmTarget.h: ENH: Consider link
	  dependencies for link language

	  This teaches cmTarget to account for the languages compiled into
	  link dependencies when determining the linker language for its
	  target.

	  We list the languages compiled into a static archive in its link
	  interface.  Any target linking to it knows that the runtime
	  libraries for the static archive's languages must be available at
	  link time.  For now this affects only the linker language
	  selection, but later it will allow CMake to automatically list
	  the language runtime libraries.

2009-07-10 13:08  king

	* Source/CTest/cmCTestHG.cxx: COMP: Fix cmCTestHG for old HP
	  compiler

	  The compiler does not have a fully compliant std::string.

2009-07-10 12:26  hoffman

	* Source/cmVisualStudio10TargetGenerator.cxx: ENH: change so rules
	  show up in GUI, must be windows path

2009-07-10 11:07  king

	* Modules/CTest.cmake, Source/CMakeLists.txt,
	  Source/CTest/cmCTestHG.cxx, Source/CTest/cmCTestHG.h,
	  Source/CTest/cmCTestUpdateCommand.cxx,
	  Source/CTest/cmCTestUpdateHandler.cxx,
	  Source/CTest/cmCTestUpdateHandler.h, Tests/CMakeLists.txt,
	  Tests/CTestUpdateHG.cmake.in: ENH: Teach CTest to handle
	  Mercurial repositories

	  This creates cmCTestHG to drive CTest Update handling on hg-based
	  work trees.  Currently we always update to the head of the remote
	  tracking branch (hg pull), so the nightly start time is ignored
	  for Nightly builds.  A later change will address this.

	  See issue #7879.  Patch from Emmanuel Christophe.  I modified the
	  patch slightly for code style, to finish up some parsing details,
	  and to fix the test.

2009-07-10 11:07  king

	* Source/cmProcessTools.h: ENH: New OutputParser::Process()
	  signature

	  This overload accepts a null-terminated string instead of
	  requiring a length.  It is useful to pass some fake process
	  output before and after the real process output.

2009-07-10 09:53  david.cole

	* CTestCustom.cmake.in: COMP: Mask out shadowed declaration
	  warnings that always follow already masked Utilities/cmtar
	  warnings.

2009-07-10 09:12  hoffman

	* Modules/CMakeVS10FindMake.cmake, Source/cmCTest.cxx,
	  Source/cmGlobalVisualStudio10Generator.cxx,
	  Source/cmGlobalVisualStudio10Generator.h,
	  Source/cmGlobalVisualStudio71Generator.cxx,
	  Source/cmGlobalVisualStudio7Generator.cxx,
	  Source/cmGlobalVisualStudio7Generator.h,
	  Source/cmGlobalVisualStudioGenerator.cxx,
	  Source/cmLocalVisualStudio10Generator.cxx,
	  Source/cmLocalVisualStudio7Generator.cxx,
	  Source/cmLocalVisualStudio7Generator.h,
	  Source/cmLocalVisualStudioGenerator.cxx,
	  Source/cmLocalVisualStudioGenerator.h, Source/cmTarget.cxx,
	  Source/cmVisualStudio10TargetGenerator.cxx,
	  Source/cmVisualStudio10TargetGenerator.h,
	  Tests/Complex/Library/CMakeLists.txt,
	  Tests/ComplexOneConfig/Library/CMakeLists.txt,
	  Tests/ComplexRelativePaths/Library/CMakeLists.txt: ENH: only 5
	  failing tests for VS 10

2009-07-10 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-07-09 14:15  king

	* Source/kwsys/SharedForward.h.in: COMP: More KWSys SharedForward
	  pointer const-ness

	  This adds another cast to avoid pointer conversion warnings.
	  Unfortunately C does not recognize implicit conversions that add
	  cv-qualifiers as well as C++ does.

2009-07-09 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-07-08 16:18  david.cole

	* Source/kwsys/MD5.c: COMP: Eliminate "conversion may change sign
	  of result" warnings by using size_t where appropriate. (Missed
	  one warning with last commit: add a cast to md5_word_t.)

2009-07-08 16:15  david.cole

	* Source/kwsys/MD5.c: COMP: Eliminate "conversion may change sign
	  of result" warnings by using size_t where appropriate.

2009-07-08 15:09  king

	* Source/kwsys/SharedForward.h.in: COMP: Fix KWSys SharedForward
	  sign conversion

	  This uses size_t where necessary to avoid size_t/int conversion
	  warnings.

2009-07-08 15:09  king

	* Source/kwsys/SharedForward.h.in: COMP: Fix KWSys SharedForward
	  pointer const-ness

	  This adds const-ness and casts where necessary to avoid pointer
	  conversion warnings.

2009-07-08 14:43  david.cole

	* CTestCustom.cmake.in: COMP: Suppress warnings from the
	  Utilities/cmtar code in dashboard results.

2009-07-08 14:33  king

	* Source/: cmDocumentVariables.cxx, cmTarget.cxx: BUG: Use link
	  language for target name computation

	  The commit "Do not compute link language for LOCATION" was wrong.
	   The variables

	    CMAKE_STATIC_LIBRARY_PREFIX_Java
	    CMAKE_STATIC_LIBRARY_SUFFIX_Java

	  are used for building Java .jar files.  This commit re-enables
	  the feature and documents the variables:

	    CMAKE_EXECUTABLE_SUFFIX_<LANG>
	    CMAKE_IMPORT_LIBRARY_PREFIX_<LANG>
	    CMAKE_IMPORT_LIBRARY_SUFFIX_<LANG>
	    CMAKE_SHARED_LIBRARY_PREFIX_<LANG>
	    CMAKE_SHARED_LIBRARY_SUFFIX_<LANG>
	    CMAKE_SHARED_MODULE_PREFIX_<LANG>
	    CMAKE_SHARED_MODULE_SUFFIX_<LANG>
	    CMAKE_STATIC_LIBRARY_PREFIX_<LANG>
	    CMAKE_STATIC_LIBRARY_SUFFIX_<LANG>

	  Instead of making separate, repetitive entries for the _<LANG>
	  variable documentation, we just mention the per-language name in
	  the text of the platform-wide variable documentation.  Internally
	  we keep undocumented definitions of these properties to satisfy
	  CMAKE_STRICT mode.

2009-07-08 13:03  king

	* Source/: cmComputeLinkInformation.cxx,
	  cmGlobalXCodeGenerator.cxx, cmLocalVisualStudio7Generator.cxx,
	  cmMakefileExecutableTargetGenerator.cxx,
	  cmMakefileLibraryTargetGenerator.cxx, cmTarget.cxx, cmTarget.h,
	  cmVisualStudio10TargetGenerator.cxx: ENH: Pass config to
	  cmTarget::GetLinkerLanguage

	  This passes the build configuration to most GetLinkerLanguage
	  calls.  In the future the linker language will account for
	  targets linked in each configuration.

2009-07-08 13:03  king

	* Source/: cmComputeLinkInformation.cxx,
	  cmGlobalUnixMakefileGenerator3.cxx, cmInstallTargetGenerator.cxx,
	  cmLocalUnixMakefileGenerator3.cxx,
	  cmMakefileExecutableTargetGenerator.cxx,
	  cmMakefileLibraryTargetGenerator.cxx, cmTarget.cxx, cmTarget.h:
	  ENH: Pass config to cmTarget RPATH install methods

	  This passes the build configuration to cmTarget methods
	  IsChrpathUsed and NeedRelinkBeforeInstall.  Later these methods
	  will use the value.

2009-07-08 13:03  king

	* Source/cmGlobalXCodeGenerator.cxx: ENH: Use fixed header file
	  type mapping for Xcode

	  This simplifies computation of the lastKnownFileType attribute
	  for header files in Xcode projects.  We now use a fixed mapping
	  from header file extension to attribute value.  The value is just
	  a hint to the Xcode editor, so computing the target linker
	  language is overkill.

2009-07-08 13:03  king

	* Source/: cmDocumentVariables.cxx, cmTarget.cxx: ENH: Do not
	  compute link language for LOCATION

	  The LOCATION property requires the full file name of a target to
	  be computed.	Previously we computed the linker language for a
	  target to look up variables such as
	  CMAKE_SHARED_LIBRARY_SUFFIX_<LANG>.  This led to locating all the
	  source files immediately instead of delaying the search to
	  generation time.  In the future even more computation will be
	  needed to get the linker language, so it is better to avoid it.

	  The _<LANG> versions of these variables are undocumented, not set
	  in any platform file we provide, and do not produce hits in
	  google.  This change just removes the unused feature outright.

2009-07-08 12:04  king

	* Source/: cmComputeLinkDepends.cxx, cmTarget.cxx, cmTarget.h: ENH:
	  Introduce cmTarget::LinkImplementation API

	  The new method centralizes loops that process raw
	  OriginalLinkLibraries to extract the link implementation
	  (libraries linked into the target) for each configuration.
	  Results are computed on demand and then cached.  This simplifies
	  link interface computation because the default case trivially
	  copies the link implementation.

2009-07-08 11:41  king

	* Tests/: Complex/CMakeLists.txt, ComplexOneConfig/CMakeLists.txt,
	  ComplexRelativePaths/CMakeLists.txt,
	  Complex/Executable/CMakeLists.txt,
	  ComplexOneConfig/Executable/CMakeLists.txt,
	  ComplexRelativePaths/Executable/CMakeLists.txt,
	  CustomCommand/CMakeLists.txt, Dependency/CMakeLists.txt,
	  Dependency/Case4/CMakeLists.txt,
	  ExportImport/Export/CMakeLists.txt,
	  ExportImport/Import/CMakeLists.txt, FunctionTest/CMakeLists.txt,
	  LoadCommand/CMakeCommands/CMakeLists.txt,
	  LoadCommandOneConfig/CMakeCommands/CMakeLists.txt,
	  MacroTest/CMakeLists.txt, MakeClean/CMakeLists.txt,
	  Plugin/CMakeLists.txt, Preprocess/CMakeLists.txt,
	  ReturnTest/CMakeLists.txt, RuntimePath/CMakeLists.txt,
	  SourceGroups/CMakeLists.txt: ENH: Remove CMAKE_ANSI_CFLAGS from
	  tests

	  As of CMake 2.6 this variable is not defined, and the ANSI flags
	  for the HP compiler are simply hard-coded in the default C flags.

2009-07-08 09:14  king

	* Modules/CMakeDetermineCCompiler.cmake: ENH: Identify HP C
	  compiler

	  This compiler does not enable ANSI mode by default.  When
	  identifying the C compiler we try passing -Aa in case it is the
	  HP compiler.

2009-07-08 08:31  king

	* Source/: cmTarget.cxx, cmTarget.h: COMP: Pimplize cmTarget
	  ImportInfo and OutputInfo

	  These member structures are accessed only in the cmTarget
	  implementation so they do not need to be defined in the header.
	  This cleanup also aids Visual Studio 6 in compiling them.

2009-07-08 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-07-07 14:02  alex

	* Source/cmExtraCodeBlocksGenerator.cxx: ENH: get the build type
	  specific location

	  Alex

2009-07-07 11:30  king

	* Source/cmTarget.cxx: BUG: Do not recompute link interfaces

	  The config-to-interface map in cmTarget should use
	  case-insensitive configuration names.  The change avoids
	  repeating work if the given configuration has a different case
	  than one already computed.

2009-07-07 10:57  king

	* Source/cmTarget.cxx: BUG: Fix CMP0003 wrong-config link dir
	  support

	  This fixes a dumb logic error introduced by the centralization of
	  link interface computation.  It prevented link directories from
	  alternate configurations from getting listed by the OLD behavior
	  of CMP0003 for targets linked as transitive dependencies.

2009-07-07 10:56  king

	* Source/cmTarget.h: STYLE: Fix comment on cmTarget::LinkInterface

	  The comment had a typo and was longer than necessary.

2009-07-07 09:45  king

	* Source/: cmComputeLinkDepends.cxx, cmExportFileGenerator.cxx,
	  cmTarget.cxx, cmTarget.h: ENH: Simplify cmTarget link interface
	  storage

	  This makes the LinkInterface struct a member of cmTarget,
	  pimplizes the config-to-interface map, and stores interface
	  instances by value.

2009-07-07 07:44  king

	* Source/: cmComputeLinkInformation.cxx,
	  cmGlobalXCodeGenerator.cxx, cmLocalGenerator.cxx,
	  cmLocalVisualStudio6Generator.cxx,
	  cmLocalVisualStudio7Generator.cxx,
	  cmMakefileExecutableTargetGenerator.cxx,
	  cmMakefileLibraryTargetGenerator.cxx, cmTarget.cxx, cmTarget.h,
	  cmVisualStudio10TargetGenerator.cxx: ENH: Simpler
	  cmTarget::GetLinkerLanguage signature

	  This method previously required the global generator to be
	  passed, but that was left from before cmTarget had its Makefile
	  member.  Now the global generator can be retrieved automatically,
	  so we can drop the method argument.

2009-07-07 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-07-06 16:25  king

	* Source/: cmComputeLinkDepends.cxx, cmComputeLinkDepends.h,
	  cmExportFileGenerator.cxx, cmExportFileGenerator.h, cmTarget.cxx,
	  cmTarget.h: ENH: Centralize default link interface computation

	  When LINK_INTERFACE_LIBRARIES is not set we use the link
	  implementation to implicitly define the link interface.  These
	  changes centralize the decision so that all linkable targets
	  internally have a link interface.

2009-07-06 16:24  king

	* Source/: cmComputeLinkDepends.cxx, cmComputeLinkDepends.h,
	  cmTarget.cxx, cmTarget.h: ENH: Move CMP0004 check into cmTarget

	  This moves code implementing policy CMP0004 into
	  cmTarget::CheckCMP0004.  The implementation is slightly simpler
	  and can be re-used outside of cmComputeLinkDepends.

2009-07-06 16:24  king

	* Source/: cmTarget.cxx, cmTarget.h: ENH: Exception safe link
	  interface computation

	  This fixes cmTarget::GetLinkInterface to compute and return the
	  link interface in an exception-safe manner.  We manage the link
	  interface returned by cmTarget::ComputeLinkInterface using
	  auto_ptr.

2009-07-06 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-07-05 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-07-04 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-07-03 10:34  king

	* Source/: cmMakefileExecutableTargetGenerator.cxx,
	  cmMakefileLibraryTargetGenerator.cxx,
	  cmMakefileTargetGenerator.cxx: ENH: Pass config to
	  cmTarget::GetDirectory()

	  This teaches the makefile generators to always pass the
	  configuration name to the cmTarget::GetDirectory method.  Later
	  this will allow per-configuration target output directories, and
	  it cleans up use of the current API.

2009-07-03 10:33  king

	* Source/: cmTarget.cxx, cmTarget.h: ENH: Refactor target output
	  dir computation

	  This creates cmTarget::GetOutputInfo to compute, cache, and
	  lookup target output directory information on a per-configuration
	  basis.  It avoids re-computing the information every time it is
	  needed.

2009-07-03 10:33  king

	* Source/cmLocalVisualStudio6Generator.cxx,
	  Source/cmLocalVisualStudio7Generator.cxx,
	  Templates/UtilityHeader.dsptemplate: BUG: Avoid
	  cmTarget::GetDirectory for utilities

	  Since utility targets have no main output files like executables
	  or libraries, they do not define an output directory.  This
	  removes a call to cmTarget::GetDirectory from
	  cmLocalVisualStudio{6,7}Generator for such targets.

2009-07-03 10:33  king

	* Source/: cmLocalVisualStudio6Generator.cxx,
	  cmLocalVisualStudio7Generator.cxx: STYLE: Replace large if() with
	  named boolean

	  In cmLocalVisualStudio{6,7}Generator this replaces a large if()
	  test with a re-usable result stored in a boolean variable named
	  accordingly.

2009-07-03 08:41  king

	* Source/: cmMakefileExecutableTargetGenerator.cxx,
	  cmMakefileLibraryTargetGenerator.cxx,
	  cmMakefileTargetGenerator.cxx, cmMakefileTargetGenerator.h: ENH:
	  Create cmMakefileTargetGenerator::ConfigName

	  This member stores the build configuration for which Makefiles
	  are being generated.	It saves repeated lookup of the equivalent
	  member from cmLocalUnixMakefileGenerator3, making code shorter
	  and more readable.

2009-07-03 08:40  king

	* Source/: cmInstallTargetGenerator.cxx,
	  cmInstallTargetGenerator.h: ENH: Cleanup per-config target
	  install generation

	  This cleans up cmInstallTargetGenerator's code that computes the
	  build tree location of a target under each configuration.

2009-07-03 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-07-02 17:38  david.cole

	* Modules/ExternalProject.cmake: BUG: Allow arbitrary text in
	  values for some keywords. (And avoid warning that the arbitrary
	  text is an unknown keyword.)

2009-07-02 16:13  king

	* Source/CTest/cmCTestTestHandler.cxx: ENH: Reports "Passed" for
	  WILL_FAIL tests

	  Previously tests marked with WILL_FAIL have been reported by
	  CTest as

	    ...............***Failed  - supposed to fail

	  when they correctly failed.  Now we just report ".....Passed"
	  because there is no reason to draw attention to something that
	  works as expected.

2009-07-02 14:14  king

	* Source/: cmGlobalXCodeGenerator.cxx, cmGlobalXCodeGenerator.h:
	  BUG: Do not generate "global" Xcode config

	  Xcode 2.0 and below supported only one configuration, but 2.1 and
	  above support multiple configurations.  In projects for the
	  latter version we have been generating a "global" set of
	  buildSettings for each target in addition to the
	  per-configuration settings.  These global settings are not used
	  by Xcode 2.1 and above, so we should not generate them.

2009-07-02 14:13  king

	* Source/: cmGlobalXCodeGenerator.cxx, cmGlobalXCodeGenerator.h:
	  ENH: Simplify Xcode CreateBuildSettings method

	  The cmGlobalXCodeGenerator::CreateBuildSettings had the three
	  arguments productName, productType, and fileType that returned
	  information used by only one of the call sites.  This change
	  refactors that information into separate methods named
	  accordingly.

2009-07-02 14:13  king

	* Source/cmGlobalXCodeGenerator.cxx: ENH: Use logical target names
	  in Xcode projects

	  Previously we named Xcode targets using the output file name from
	  one of the configurations.  This is not very friendly, especially
	  because it changes with CMAKE_BUILD_TYPE.  Instead we should use
	  the original logical target names for the Xcode target names.
	  This is also consistent with the way the other IDE generators
	  work.

2009-07-02 13:17  david.cole

	* Modules/ExternalProject.cmake: BUG: cmd_set logic was missing
	  from update and patch steps. Fix it so that UPDATE_COMMAND ""
	  means "no update step even though this is a CVS/SVN
	  repository..."

2009-07-02 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-07-01 14:29  king

	* Tests/CMakeLists.txt: BUG: Skip CTest.Update* for cygwin tools on
	  Windows

	  These tests cannot run with cygwin tools unless testing cygwin
	  CTest.  The version control tools do not understand all Windows
	  paths.

2009-07-01 13:48  david.cole

	* Tests/ExternalProject/CMakeLists.txt: BUG: Exclude svn portions
	  of ExternalProject test when: svn client version is less than 1.2
	  or cygwin/non-cygwin mismatch detected -- avoids ExternalProject
	  test failures on dash5 and dash22-cygwin. Also, non-code change:
	  allow cvslock through Windows firewall to prevent ExternalProject
	  test failure on dash1vista32.

2009-07-01 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-06-30 09:10  king

	* Source/cmVS10CLFlagTable.h: STYLE: Fix line-too-long style
	  violation.

2009-06-30 09:05  king

	* Source/cmDocumentVariables.cxx: BUG: Fix documentation of
	  CMAKE_CFG_INTDIR

	  The documentation of this variable was out-dated and misleading.
	  See issue #9219.

2009-06-30 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-06-29 14:27  alex

	* Source/cmExtraCodeBlocksGenerator.cxx: COMP: don't use
	  vector::at(), this doesn't seem to exist everyhwere
	  (http://www.cdash.org/CDash/viewBuildError.php?buildid=366375)

	  Alex

2009-06-29 13:02  king

	* Source/: cmGlobalXCode21Generator.cxx,
	  cmGlobalXCodeGenerator.cxx, cmGlobalXCodeGenerator.h: ENH:
	  Generate native Xcode 3.0 and 3.1 projects

	  CMake previously generated Xcode project files labeled as
	  2.4-compatible by recent versions of Xcode (3.0 and 3.1).  It is
	  better to generate native Xcode 3.0 and 3.1 projects.  In
	  particular, this can improve build times by using the "Build
	  independent targets in parallel" feature.

	  Patch from Doug Gregor.  See issue #9216.

2009-06-29 10:46  david.cole

	* Tests/ExternalProject/CMakeLists.txt: BUG: Avoid running the cvs
	  portions of the ExternalProject test on non-cygwin builds that
	  are using cygwin cvs.exe.

2009-06-29 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-06-28 09:46  hoffman

	* Source/cmVisualStudio10TargetGenerator.h: ENH: add rest of lib
	  check

2009-06-28 08:59  hoffman

	* Source/cmVisualStudio10TargetGenerator.cxx: ENH: fix line length

2009-06-28 08:06  alex

	* Source/cmConfigureFileCommand.h: STYLE: document #cmakedefine01
	  (see #9189 , there's also a test for it in Tests/Complex/ )

	  Alex

2009-06-28 08:05  alex

	* Source/cmDocumentationFormatterText.cxx: STYLE: don't print the
	  section name "SingleItem" if the documentation for just a single
	  item is printed

	  Alex

2009-06-28 05:59  alex

	* Modules/CMakeFindEclipseCDT4.cmake: BUG: recognize system include
	  paths also when the languages are set to something different from
	  "C", by resetting them to "C" (#9122)

	  Alex

2009-06-28 04:58  alex

	* Source/cmExtraCodeBlocksGenerator.cxx: ENH: create a "Virtual
	  Folder" in CodeBlocks, which contains all the cmake files of the
	  project, i.e. there is now a "CMake Files" folder additionally to
	  the "Sources", "Headers" and "Others" folders which already
	  existed.  Patch by Daniel Teske.

	  Alex

2009-06-28 04:30  alex

	* Source/cmExtraCodeBlocksGenerator.cxx: ENH: also support nmake
	  and msvc for use with CodeBlocks under Windows, patch by Daniel
	  Teske

	  Alex

2009-06-28 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-06-27 11:17  alex

	* Source/cmDocumentVariables.cxx: STYLE: document
	  CMAKE_SKIP_INSTALL_ALL_DEPENDENCY variable

	  Alex

2009-06-27 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-06-26 13:00  david.cole

	* Tests/ExternalProject/: CMakeLists.txt, svnrepo.tgz: BUG:
	  Downgrade svn repository to be created with an svn 1.2
	  installation (rather than 1.4) so that it works (hopefully) with
	  more svn clients in the wild. Change time stamps of test projects
	  in CMakeLists.txt to reflect times available in newly created
	  repository. Add UPDATE_COMMAND "" for checkouts that are
	  tag-based or date-stamp-based to avoid unnecessary update steps.

2009-06-26 11:50  hoffman

	* Source/: cmGlobalVisualStudio10Generator.h, cmVS10CLFlagTable.h,
	  cmVS10LibFlagTable.h, cmVS10LinkFlagTable.h,
	  cmVisualStudio10TargetGenerator.cxx, cmparseMSBuildXML.py: ENH:
	  fix line length issues

2009-06-26 11:32  david.cole

	* Tests/ExternalProject/CMakeLists.txt: ENH: Do not unzip the local
	  repositories unless CVS and SVN executables are available. Add
	  'configure' step to the repository extraction 'projects' to print
	  the version number of CVS and SVN in the dashboard test/build
	  output.

2009-06-26 10:18  hoffman

	* CMakeCPackOptions.cmake.in,
	  Source/QtDialog/QtDialogCPack.cmake.in: ENH: do not create a
	  desktop link for CMakeSetup

2009-06-26 10:00  hoffman

	* Utilities/KWStyle/CMake.kws.xml.in: ENH: 80 is fine, i guess not

2009-06-26 09:59  hoffman

	* Utilities/KWStyle/CMake.kws.xml.in: ENH: 80 is fine

2009-06-26 09:55  david.cole

	* Tests/ExternalProject/CMakeLists.txt: ENH: Revise the
	  ExternalProject test to use local CVS and SVN repositories to
	  avoid network activity. Also: stop building KWStyle and kwsys as
	  part of this test to reduce the amount of time spent running the
	  test. Instead, build TutorialStep1 as retrieved from the new
	  local repositories with various tags, date stamps and revision
	  numbers.

2009-06-26 00:07  hoffman

	* Source/cmVisualStudio10TargetGenerator.cxx: ENH: remove debug
	  print

2009-06-26 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-06-25 22:53  hoffman

	* Source/: cmVisualStudio10TargetGenerator.cxx,
	  cmVisualStudio10TargetGenerator.h: ENH: add obj file support and
	  remove a warning

2009-06-25 16:41  hoffman

	* CompileFlags.cmake, Modules/CMakeVS10FindMake.cmake,
	  Source/CMakeLists.txt, Source/cmGlobalGenerator.cxx,
	  Source/cmGlobalVisualStudio10Generator.cxx,
	  Source/cmGlobalVisualStudio10Generator.h,
	  Source/cmGlobalVisualStudio71Generator.cxx,
	  Source/cmListFileLexer.c, Source/cmLocalGenerator.h,
	  Source/cmLocalVisualStudio10Generator.cxx,
	  Source/cmLocalVisualStudio10Generator.h,
	  Source/cmLocalVisualStudio7Generator.h,
	  Source/cmLocalVisualStudioGenerator.h, Source/cmMakefile.cxx,
	  Source/cmVS10CLFlagTable.h, Source/cmVS10LibFlagTable.h,
	  Source/cmVS10LinkFlagTable.h,
	  Source/cmVisualStudio10TargetGenerator.cxx,
	  Source/cmVisualStudio10TargetGenerator.h,
	  Source/cmVisualStudioGeneratorOptions.cxx,
	  Source/cmVisualStudioGeneratorOptions.h, Source/cmake.cxx,
	  Source/cmparseMSBuildXML.py, Source/kwsys/ProcessWin32.c: ENH:
	  first pass at VS 10, can bootstrap CMake, but many tests still
	  fail

2009-06-25 16:39  hoffman

	* Source/CTest/cmCTestScriptHandler.cxx: ENH: add reminder comment

2009-06-25 16:38  hoffman

	* Source/CTest/cmCTestSubmitHandler.cxx: ENH: set an upload speed
	  limit for ctest

2009-06-25 12:03  david.cole

	* Tests/ExternalProject/: cvsrepo.tgz, svnrepo.tgz: ENH: Add *.tgz
	  files of cvs and svn repositories containing the TutorialStep1
	  project to test cvs and svn capabilities of ExternalProject
	  without requiring network activity.

2009-06-25 10:51  king

	* Tests/CMakeLists.txt: BUG: Fix CTest.UpdateBZR tests to run in
	  parallel

	  The UpdateBZR and UpdateBZR.CLocale tests should run in different
	  directories so that they can be executed in parallel.

2009-06-25 09:58  king

	* Source/: cmGlobalUnixMakefileGenerator3.cxx,
	  cmGlobalUnixMakefileGenerator3.h,
	  cmLocalUnixMakefileGenerator3.cxx,
	  cmLocalUnixMakefileGenerator3.h, cmMakefileTargetGenerator.cxx,
	  cmMakefileTargetGenerator.h: ENH: Cleanup make progress rule
	  generation code

	  This cleans up the Makefile generator's progress rule code.
	  Instead of keeping every cmMakefileTargetGenerator instance alive
	  to generate progress, we keep only the information necessary in a
	  single table.  This approach keeps most of the code in
	  cmGlobalUnixMakefileGenerator3, thus simplifying its public
	  interface.

2009-06-25 09:43  king

	* Source/cmLocalUnixMakefileGenerator3.cxx: STYLE: Remove unused
	  variable

2009-06-25 08:45  king

	* Modules/: CMakeDetermineFortranCompiler.cmake,
	  CMakeFortranCompilerId.F.in, CMakeFortranCompilerId.F90.in: ENH:
	  Identify Fortran compilers with fixed format

	  This enhances the Fortran compiler id detection by using a source
	  that can compile either as free or fixed format.  As long as the
	  compiler knows it should preprocess the source file (.F) the
	  identification can work.  Even free-format compilers may try
	  fixed-format parsing if the user specifies certain flags, so we
	  must support both.

2009-06-25 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-06-24 16:50  clinton

	* Source/QtDialog/CMakeSetupDialog.cxx:
	  ENH:	Save/restore splitter sizes.  Fixes #9070.

2009-06-24 15:09  king

	* Source/: cmSystemTools.cxx, cmSystemTools.h: ENH: Remove unused
	  cmSystemTools::RemoveEscapes

	  The RemoveEscapes method is no longer used anywhere.	All uses of
	  it have been replaced by a real lexer.  We can remove the method.

2009-06-24 15:03  king

	* Modules/ExternalProject.cmake,
	  Tests/ExternalProject/CMakeLists.txt: ENH: New
	  ExternalProject.cmake module interface

	  This creates new module ExternalProject.cmake to replace the
	  prototype AddExternalProject.cmake module.  The interface is more
	  refined, more flexible, and better documented than the prototype.

	  This also converts the ExternalProject test to use the new
	  module.  The old module will be removed (it was never in a CMake
	  release) after projects using it have been converted to the new
	  module.

2009-06-24 14:48  king

	* Tests/CMakeLists.txt: BUG: Extend timeout of ExternalProject test

	  This test requires a long time on slower machines, so we need to
	  extend its timeout.  It is an important test, so it does not fall
	  under the CMAKE_RUN_LONG_TESTS option.  In the future we should
	  try to shorten the test by building simpler external projects.

2009-06-24 13:24  king

	* Source/cmTargetLinkLibrariesCommand.h: ENH: Mention cycles in
	  target_link_libraries docs

	  This documents CMake's support for cycles in the dependency graph
	  of STATIC libraries.

2009-06-24 09:36  king

	* Source/: cmMakefile.cxx, cmSourceFile.cxx, cmTarget.cxx: ENH:
	  Clarify COMPILE_DEFINITIONS separator in docs

	  The COMPILE_DEFINITIONS properties are semicolon-separated lists.
	   Make this clear in the documentation.  See issue #9199.

2009-06-24 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-06-23 16:40  hoffman

	* Modules/FindBoost.cmake: ENH: boost lib is often found under the
	  boost include dir

2009-06-23 16:31  hoffman

	* Modules/FindBoost.cmake: ENH: add additional place to look for
	  boost so it works out of the box on windows

2009-06-23 12:58  martink

	* Tests/Tutorial/: Step5/MathFunctions/MakeTable.cxx,
	  Step6/MathFunctions/MakeTable.cxx,
	  Step7/MathFunctions/MakeTable.cxx: ENH: fix spelling mistake

2009-06-23 09:06  king

	* Source/CTest/cmCTestCVS.cxx: BUG: Fix CVS update parsing for
	  TortoiseCVS

	  The TortoiseCVS version of cvs.exe includes the '.exe' in cvs
	  update messages for files removed from the repository.  This
	  change accounts for it in the regular expressions that match such
	  lines.  Now removed files are properly reported by ctest_update()
	  when using TortoiseCVS.

2009-06-23 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-06-22 16:25  king

	* Tests/: CMakeLists.txt, CTestUpdateCVS.cmake.in: ENH: Auto-enable
	  CTest.UpdateCVS test on Windows

	  The test needs to create a cvs repository with 'cvs init', but
	  the CVSNT client on Windows needs 'cvs init -n' to avoid
	  administrator access.  Previously we required users to explicitly
	  enable CTEST_TEST_UPDATE_CVS to activate the test on Windows.

	  This teaches the test to use the '-n' option when necessary.	Now
	  we can enable the test in all cases except when trying to use a
	  cygwin cvs.exe without cygwin paths.

2009-06-22 14:19  king

	* Source/kwsys/Configure.h.in: COMP: Quiet aggressive Borland
	  warnings in KWSys

	  This disables Borland warning 8027 while compiling KWSys source
	  files.  It provides no useful information.

2009-06-22 14:19  king

	* Source/kwsys/SystemTools.cxx: COMP: Remove useless variable
	  assignment

	  This removes an assignment whose result is never used, thus
	  quieting a warning from Borland.

2009-06-22 10:02  hoffman

	* Modules/CMakeTestCCompiler.cmake: BUG: remove warning in test of
	  compiler so -Werror does not fail

2009-06-22 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-06-21 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-06-20 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-06-19 17:09  king

	* Modules/Platform/HP-UX.cmake: BUG: Look in arch-specific HPUX
	  implicit link dirs

	  On HP-UX machines some system libraries appear in
	  architecture-specific implicit linker search paths.  We need to
	  add these paths to our system library search path.  However, at
	  the time we construct the search path we do not know the target
	  architecture.

	  A full solution requires re-organizing platform configuration
	  files so that the target architecture can be known when needed.
	  Until that happens we can avoid the problem by searching in both
	  32-bit and 64-bit implicit link directories.	By telling CMake
	  that they are implicit directories the generated link lines will
	  never pass the paths, leaving the linker free to find the library
	  of the proper architecture even if the find_library call finds
	  the wrong one.

2009-06-19 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-06-18 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-06-17 14:18  king

	* Source/cmPolicies.cxx: ENH: Improve CMP0012 doc and message
	  formatting

	  This fixes the CMP0012 description to have a one-line summary in
	  the 'brief' section and the rest of the explanation in the 'full'
	  section.  It makes the warning message shorter and improves
	  formatting of the policy documentation, especially in the HTML
	  pages.  The convention is already used by all other policies.

2009-06-17 14:18  king

	* Source/cmIfCommand.cxx: ENH: Improve format of if() command
	  messages

	  Errors and warnings from the if() command always display the
	  argument list given to the command followed by an explanation of
	  the problem.	This moves the argument list into a pre-formatted
	  block and follows it with a paragraph-form explanation.  The
	  result looks cleaner.

2009-06-17 13:40  king

	* Source/: cmMakefile.cxx, cmMakefile.h, cmPolicies.cxx,
	  cmPolicies.h: ENH: Create CMP0013 to disallow duplicate dirs

	  In CMake 2.6.3 and below we silently accepted duplicate build
	  directories whose build files would then conflict.  At first this
	  was considured purely a bug that confused beginners but would not
	  be used in a real project.  In CMake 2.6.4 we explicitly made it
	  an error.

	  However, some real projects took advantage of this as a "feature"
	  and got lucky that the subtle build errors it can cause did not
	  occur.  Therefore we need a policy to deal with the case more
	  gracefully.  See issue #9173.

2009-06-17 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-06-16 11:57  king

	* Source/cmLocalVisualStudio6Generator.cxx: BUG: Create an exe's
	  implib output dir for VS 6

	  VS 6 forgets to create the output directory for an executable's
	  import library in case the exe dllexport-s symbols.  We work
	  around this VS bug by creating a pre-link event on the executable
	  target to make the directory.

2009-06-16 11:57  king

	* Source/: cmLocalVisualStudio6Generator.cxx,
	  cmLocalVisualStudio6Generator.h: ENH: Refactor VS 6 build event
	  generation

	  In cmLocalVisualStudio6Generator we generate pre-build, pre-link,
	  and post-build events into project files.  This refactors the
	  generation code for the three event types into a private
	  EventWriter class to avoid duplicate code.

2009-06-16 11:44  king

	* Source/cmLocalVisualStudio7Generator.cxx: ENH: Create exe implib
	  dir in VS pre-link rule

	  This moves creation of an executable's import library directory
	  in VS projects from the pre-build step to the pre-link step.	It
	  makes sense to create the directory at the last moment.

2009-06-16 11:44  king

	* Source/: cmLocalVisualStudio7Generator.cxx,
	  cmLocalVisualStudio7Generator.h,
	  cmLocalVisualStudioGenerator.cxx, cmLocalVisualStudioGenerator.h:
	  ENH: Generalize exe implib dir creation for VS

	  In VS 7,8,9 executable targets we generate a build event to
	  create the output directory for the import library in case the
	  executable marks symbols with dllexport (VS forgets to create
	  this directory).  This generalizes computation of the custom
	  command line to support future use with other VS versions.

2009-06-16 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-06-15 16:12  king

	* Source/: cmDefinePropertyCommand.cxx, cmDefinePropertyCommand.h:
	  ENH: Simplify docs args for define_property

	  This teaches the define_property command signature to accept
	  multiple arguments after the BRIEF_DOCS and FULL_DOCS keywords.
	  We append the arguments together, making specification of long
	  documentation easier.

2009-06-15 14:22  hoffman

	* Source/CTest/cmCTestBuildAndTestHandler.cxx: STYLE: fix warning

2009-06-15 13:51  hoffman

	* Source/CTest/cmCTestBuildAndTestHandler.cxx: BUG: fix crash when
	  running ctest coverage for VTK

2009-06-15 13:22  hoffman

	* Modules/FindOpenGL.cmake: ENH: add path for 64 bit on old hp

2009-06-15 13:17  hoffman

	* Modules/Platform/HP-UX.cmake: ENH: put the 64 bit paths first

2009-06-15 12:39  hoffman

	* Modules/: Platform/HP-UX.cmake, FindOpenGL.cmake: ENH: add more
	  search paths on HPUX

2009-06-15 12:33  martink

	* Source/cmPolicies.cxx: COMP: fix line length

2009-06-15 10:55  king

	* Source/cmLocalVisualStudio7Generator.cxx,
	  Source/cmLocalVisualStudio7Generator.h,
	  Tests/Plugin/CMakeLists.txt: BUG: Create an exe's implib output
	  dir for VS

	  If an executable marks symbols with __declspec(dllexport) then VS
	  creates an import library for it.  However, it forgets to create
	  the directory that will contain the import library if it is
	  different from the location of the executable.  We work around
	  this VS bug by creating a pre-build event on the executable
	  target to make the directory.

2009-06-15 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-06-14 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-06-13 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-06-12 15:44  king

	* Source/kwsys/ProcessUNIX.c: COMP: Do not compile VMS-specific
	  code on non-VMS

	  This helps avoid fixing VMS-specific code for non-VMS compilers
	  where it isn't needed anyway.

2009-06-12 15:28  king

	* Source/: cmLocalVisualStudio7Generator.cxx,
	  cmLocalVisualStudio7Generator.h: ENH: Refactor VS 7,8,9 build
	  event generation

	  In cmLocalVisualStudio7Generator we generate pre-build, pre-link,
	  and post-build events into project files.  This refactors the
	  generation code for the three event types into a private
	  EventWriter class to avoid duplicate code.

2009-06-12 13:33  fbertel

	* Source/kwsys/ProcessUNIX.c: COMP:Fixed warning with gcc 4.3.3:
	  passing argument 1 of kwsysProcessSetVMSFeature discards
	  qualifiers from pointer target type.

2009-06-12 13:25  martink

	* Source/: cmIfCommand.h, cmPolicies.cxx: ENH: clean up some help
	  text

2009-06-12 11:10  martink

	* Source/cmIfCommand.cxx: ENH: warning fix

2009-06-12 11:05  king

	* Source/cmStandardIncludes.h: COMP: Block warnings in Borland
	  system headers

	  In Release builds the Borland compiler warns about code in its
	  own system headers.  This blocks the warnings by disabling them
	  where the headers are included.

2009-06-12 10:46  king

	* Source/: cmDependsFortranParser.cxx, cmDependsFortranParser.y,
	  cmDependsFortranParserTokens.h: ENH: Use KWSys String strcasecmp
	  to parse Fortran

	  This replaces the Fortran dependency parser source's custom
	  strcasecmp implementation with one from KWSys String.  It removes
	  duplicate code and avoids a Borland warning about inlining
	  functions with 'while'.

2009-06-12 10:46  king

	* Source/kwsys/String.c: COMP: Avoid double-initialization in KWSys
	  String

	  The KWSys String implementation of strcasecmp initialized
	  'result' immediately before assigning to it.	Borland produces a
	  warning in this case, so this commit removes the extra
	  initialization.

2009-06-12 10:46  king

	* Source/: cmDependsFortranLexer.cxx, cmDependsFortranLexer.in.l:
	  COMP: Remove useless assignment in Fortran lexer

	  The generated Fortran dependency scanning lexer includes an
	  assignment to a local variable that is unused.  Borland warns, so
	  we remove the assignment.

2009-06-12 10:07  martink

	* Source/: cmIfCommand.cxx, cmIfCommand.h, cmPolicies.cxx,
	  cmPolicies.h, cmWhileCommand.cxx: ENH: modified the if command to
	  address bug 9123 some

2009-06-12 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-06-11 15:25  hoffman

	* Modules/Platform/OpenVMS.cmake, Source/kwsys/SystemTools.cxx:
	  ENH: use .exe on vms

2009-06-11 15:18  king

	* CMakeLists.txt: COMP: We now require CMake 2.4.5 or higher to
	  build

	  We use the CMakeDependentOption module unconditionally, so we
	  must require a version of CMake new enough to provide it.

2009-06-11 14:57  king

	* Source/cmComputeLinkInformation.cxx: BUG: Do not create empty
	  build-tree RPATH

	  The fix for issue #9130 appends ':' to the end of the build-tree
	  RPATH unconditionally.  This changes the fix to add ':' only when
	  the RPATH is not empty so that we do not create a build-tree
	  RPATH with just ':'.	An empty RPATH produces no string at all,
	  so there is no chance of merging with a symbol name anyway.

2009-06-11 11:24  king

	* CMakeLists.txt, CTestCustom.cmake.in,
	  Source/CTest/cmCTestSubmitHandler.cxx,
	  Utilities/cmThirdParty.h.in, Utilities/cm_xmlrpc.h: ENH: Disable
	  the xmlrpc drop method by default

	  We've chosen to drop our default dependence on xmlrpc.  Thus we
	  disable the corresponding CTest submission method and remove the
	  sources for building xmlrpc locally.	Users can re-enable the
	  method by setting the CTEST_USE_XMLRPC option to use a
	  system-installed xmlrpc library.

2009-06-11 09:04  king

	* CMakeLists.txt, Utilities/cmThirdParty.h.in, Utilities/cm_curl.h:
	  ENH: Remove option to build cmcurl-7.19.0

	  This version of curl was added experimentally but does not
	  address the problem we were hoping it fixed (an occasional upload
	  hang).  Importing a new curl can wait until the problem is fully
	  diagnosed and addressed.

2009-06-11 09:04  king

	* CMakeLists.txt: ENH: Simplify decision to use system libraries

	  Previously we disallowed use of system libraries if
	  FindXMLRPC.cmake was not available.  Now that CMake 2.4 is
	  required to build, the module is always available.  This change
	  simplifies the logic accordingly.

2009-06-11 09:03  king

	* Source/cmXMLParser.cxx: COMP: Fix build with system-installed
	  expat 2.0.1

	  In cmXMLParser::ReportXmlParseError we were accidentally passing
	  a value of type 'XML_Parser*' to expat methods instead of
	  'XML_Parser'.  It was not caught because XML_Parser was just
	  'void*' in the cmexpat version.  Newer system-installed expat
	  versions catch the error because XML_Parser is now a pointer to a
	  real type.  This correct the type.

2009-06-11 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-06-10 14:11  king

	* Source/cmComputeLinkInformation.cxx: BUG: Do not mangle symbols
	  when editing RPATHs

	  In ELF binaries the .dynstr string table is used both for the
	  RPATH string and for program symbols.  If a symbol name happens
	  to match the end of the build-tree RPATH string the linker is
	  allowed to merge the symbols.

	  We must not allow this when the RPATH string will be replaced
	  during installation because it will mangle the symbol.  Therefore
	  we always pad the end of the build-tree RPATH with ':' if it will
	  be replaced.	Tools tend not to use ':' at the end of symbol
	  names, so it is unlikely to conflict.  See issue #9130.

2009-06-10 14:11  king

	* Source/cmDocumentVariables.cxx: ENH: Document variable
	  CMAKE_NO_BUILTIN_CHRPATH

	  This adds documentation for the variable which was previously
	  missing.  See issue #9130.

2009-06-10 13:39  king

	* bootstrap: BUG: Fix bootstrap for Debian Almquist Shell

	  The Debian Almquist Shell (dash) provides minimal POSIX
	  compliance instead of the power of bash.  It converts literal
	  '\n' to a real newline even in a single-quoted string.  This
	  works around the problem by avoiding the literal.  We can no
	  longer use HEREDOC.

2009-06-10 13:04  king

	* bootstrap: ENH: Make bootstrap script work on VMS bash

	  A few sweeping changes were needed:

	    - Avoid use of HEREDOC, which does not seem to work.
	    - Avoid extra '.' in paths by using '_cmk' and '_tmp'
	      instead of '.cmk' and '.tmp'.

2009-06-10 13:04  king

	* Modules/Platform/OpenVMS.cmake,
	  Source/cmGlobalUnixMakefileGenerator3.cxx: ENH: Enable basic
	  OpenVMS platform support

	  This adds the Modules/Platform/OpenVMS.cmake platform file for
	  OpenVMS.  We just use Unix-like rules to work with the GNV
	  compiler front-end.

	  A problem with process execution currently prevents CMake link
	  scripts from working, so we avoid using them.

2009-06-10 13:03  king

	* Source/cmLocalUnixMakefileGenerator3.cxx: ENH: Skip 'SHELL =
	  /bin/sh' in Makefiles on VMS

	  This shell does not exist on VMS, so we leave it out.

2009-06-10 13:03  king

	* Source/: cmGeneratedFileStream.cxx,
	  cmLocalUnixMakefileGenerator3.cxx, cmTarget.cxx: ENH: On VMS use
	  _dir and _tmp, not .dir and .tmp

	  The VMS posix path emulation does not handle multiple '.'
	  characters in file names in all cases.  This avoids adding extra
	  '.'s to file and directory names for target directories and
	  generated files.

2009-06-10 13:02  king

	* Source/kwsys/SystemTools.cxx: ENH: Teach KWSys SystemTools about
	  VMS paths

	  This teaches ConvertToUnixSlashes to convert VMS paths into
	  posix-style paths.  We also set the DECC$FILENAME_UNIX_ONLY
	  feature so the process always sees posix-style paths on disk.

2009-06-10 13:02  king

	* Source/cmGlobalUnixMakefileGenerator3.cxx: BUG: Avoid std::unique
	  algorithm on VMS

	  The Compaq compiler's std::unique algorithm followed by deletion
	  of the extra elements seems to crash.  For now we'll accept the
	  duplicate dependencies on this platform.

2009-06-10 11:49  king

	* Utilities/cmtar/extract.c: COMP: Fix cmtar build on VMS

	  The mknod and mkfifo functions are not available on VMS.

2009-06-10 11:49  king

	* Utilities/cmcurl/setup.h: COMP: Fix cmcurl build on VMS

	  This defines IOCTL_3_ARGS in 'cmcurl/setup.h' to teach curl
	  sources about the three-argument ioctl() on VMS.

2009-06-10 11:49  king

	* Utilities/cmtar/: append.c, decode.c, extract.c, libtar.c,
	  util.c, wrapper.c: COMP: Use HAVE_SYS_PARAM_H properly in libtar

	  The value is computed by a try-compile for libtar.  This teaches
	  the sources to actually use the result.

2009-06-10 11:48  king

	* Source/kwsys/ProcessUNIX.c: ENH: Teach KWSys Process basic VMS
	  support

	  This achieves basic process execution on OpenVMS.  We use
	  work-arounds for different fork()/exec() behavior and a lack of
	  select().

	  VMS emulates fork/exec using setjmp/longjmp to evaluate the child
	  and parent return cases from fork.  Therefore both must be
	  invoked from the same function.

	  Since select() works only for sockets we use the BeOS-style
	  polling implementation.  However, non-blocking reads on empty
	  pipes cannot be distinguished easily from the last read on a
	  closed pipe.	Therefore we identify end of data by an empty read
	  after the child terminates.

2009-06-10 11:46  king

	* Source/kwsys/ProcessUNIX.c: BUG: Fix non-select process impl
	  without timeout

	  This avoids use of an uninitialized value in the KWSys
	  ProcessUNIX polling implementation when no timeout is given.

2009-06-10 11:46  king

	* Source/kwsys/CMakeLists.txt, bootstrap, Source/kwsys/String.c,
	  Source/kwsys/kwsysPrivate.h: COMP: Avoid String.c inclusion by
	  Compaq templates

	  The Compaq compiler (on VMS) includes 'String.c' in source files
	  that use the stl string while looking for template definitions.
	  This was the true cause of double-inclusion of the
	  'kwsysPrivate.h' header.  We work around the problem by
	  conditionally compiling the entire source file on a condition
	  only true when really building the source.

2009-06-10 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-06-09 15:58  hoffman

	* Source/cmStandardIncludes.h: STYLE: suppress warnings for borland

2009-06-09 15:44  hoffman

	* Source/kwsys/testAutoPtr.cxx: STYLE: suppress warnings for
	  borland

2009-06-09 15:18  hoffman

	* Source/: cmStandardIncludes.h, kwsys/hashtable.hxx.in,
	  kwsys/testAutoPtr.cxx: STYLE: suppress warnings for borland

2009-06-09 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-06-08 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-06-07 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-06-06 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-06-05 14:59  partyd

	* Source/kwsys/hashtable.hxx.in: COMP: Hopefully fix hashmap on
	  VS6, Thanks Brad K!

2009-06-05 13:17  hoffman

	* Source/kwsys/SystemTools.cxx: ENH: fix warning on borland

2009-06-05 12:01  hoffman

	* Source/: cmSystemTools.cxx, cmSystemTools.h,
	  kwsys/SystemTools.hxx.in, kwsys/SystemTools.cxx: ENH: move PutEnv
	  to SystemTools

2009-06-05 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-06-04 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-06-03 15:08  king

	* Modules/Platform/HP-UX.cmake,
	  Source/cmComputeLinkInformation.cxx,
	  Source/cmDocumentVariables.cxx: BUG: Recognize .so shared
	  libraries on HP-UX

	  HP-UX uses both .sl and .so as extensions for shared libraries.
	  This teaches CMake to recognize .so shared libraries so they are
	  treated properly during link dependency analysis.

2009-06-03 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-06-02 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-06-01 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-31 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-30 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-29 16:09  alex

	* Modules/CPackRPM.cmake: BUG: fix #9031: newer rpm versions
	  complain about the "#%" lines

	  Alex

2009-05-29 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-28 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-27 11:33  king

	* Modules/Platform/CYGWIN.cmake, bootstrap: ENH: Auto-import
	  symbols for cygwin executables

	  This enables the --enable-auto-import linker flag on Cygwin when
	  linking executables.	It works with the old gcc 3.x compiler and
	  is necessary for the new gcc 4.x compiler.  See issue #9071.

2009-05-27 11:14  hoffman

	* Source/CTest/cmCTestMemCheckHandler.cxx: BUG: fix for bug #8153
	  add purify suppression file and fix output to not be one big line

2009-05-27 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-26 09:55  david.cole

	* Modules/: CMakeVS8FindMake.cmake, CMakeVS9FindMake.cmake: BUG:
	  Rearrange paths to find correct installations of Visual Studio.
	  Patch devenv.modified_search_order.patch came from issue #7919.

2009-05-26 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-25 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-24 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-23 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-22 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-21 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-20 09:50  hoffman

	* Source/kwsys/SystemInformation.cxx: ENH: make this work for older
	  versions of OSX

2009-05-20 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-19 21:50  hoffman

	* Source/kwsys/SystemInformation.cxx: ENH: revert back because it
	  does not build on older macs for now

2009-05-19 16:56  hoffman

	* Source/kwsys/SystemInformation.cxx: ENH: remove warning

2009-05-19 16:46  hoffman

	* Source/kwsys/SystemInformation.cxx: ENH: make this build on other
	  machines besides the mac

2009-05-19 16:35  hoffman

	* Source/kwsys/: SystemInformation.cxx, testSystemInformation.cxx:
	  ENH: fix system info for mac

2009-05-19 11:38  clinton

	* Modules/FindQt4.cmake: ENH:  Better error message for those who
	  switch from Qt3 to Qt4 and don't clean their cache file.

2009-05-19 11:25  hoffman

	* Source/cmCoreTryCompile.cxx: BUG: fix for #0009051 CMake does not
	  pass CMAKE_OSX_SYSROOT and CMAKE_OSX_DEPLOYMENT_TARGET when
	  running TRY_COMPILE

2009-05-19 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-18 15:27  alex

	* Source/cmFindFileCommand.cxx: STYLE: fix docs: it must replace
	  "find_path" instead of "FIND_PATH" with "find_file", otherwise
	  the docs talk about find_path() instead of find_file (patch from
	  Michael Wild, #9047)

	  Alex

2009-05-18 10:34  king

	* Source/CTest/cmCTestBZR.cxx, Tests/CMakeLists.txt: BUG: Parse
	  more bzr xml output encodings

	  The BZR xml output plugin can use some encodings that are not
	  recognized by expat, which leads to "Error parsing bzr log xml:
	  unknown encoding".  This works around the problem by giving expat
	  a mapping, and adds a test.  Patch from Tom Vercauteren.  See
	  issue #6857.

2009-05-18 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-17 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-16 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-15 15:39  king

	* Modules/CTest.cmake, Source/CTest/cmCTestSubmitCommand.cxx: ENH:
	  Remove CTest public.kitware.com drop default

	  Previously CTest would drop dashboard submissions at
	  public.kitware.com on the PublicDashboard project if there was no
	  configuration.  The server no longer supports forwarding to
	  cdash.org, so there is no point in this default.  Furthermore,
	  there should be no default at all because it could leak
	  information about proprietary projects that are not configured
	  correctly.

2009-05-15 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-14 16:13  king

	* Modules/CTest.cmake, Source/CMakeLists.txt,
	  Source/CTest/cmCTestBZR.cxx, Source/CTest/cmCTestBZR.h,
	  Source/CTest/cmCTestUpdateCommand.cxx,
	  Source/CTest/cmCTestUpdateHandler.cxx,
	  Source/CTest/cmCTestUpdateHandler.h, Tests/CMakeLists.txt,
	  Tests/CTestUpdateBZR.cmake.in: ENH: Teach CTest to handle Bazaar
	  repositories

	  This creates cmCTestBZR to drive CTest Update handling on
	  bzr-based work trees.  Currently we always update to the head of
	  the remote tracking branch (bzr pull), so the nightly start time
	  is ignored for Nightly builds.  A later change will address this.
	   Patch from Tom Vercauteren.	See issue #6857.

2009-05-14 15:31  alex

	* Modules/CPackRPM.cmake: STYLE: add documentation for CPackRPM
	  (#9029)

	  Alex

2009-05-14 09:27  king

	* Source/cmDocumentVariables.cxx: ENH: Make
	  CMAKE_<LANG>_SIZEOF_DATA_PTR public

	  The variable was previously documented for internal-use only.
	  This officially documents it for general use by projects.

2009-05-14 09:27  king

	* Source/kwsys/kwsysPrivate.h: STYLE: Simplify and document VMS
	  workarounds

	  The kwsysPrivate header double-inclusion check hits a false
	  positive on VMS for an undetermined reason.  This simplifies the
	  workaround and documents it.

2009-05-14 09:26  king

	* Source/kwsys/kwsysPrivate.h: STYLE: Remove trailing whitespace

2009-05-14 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-13 11:08  hoffman

	* Source/: cmForEachCommand.cxx, cmWhileCommand.cxx: BUG: fix for
	  #9014, FATAL_ERROR not ending loops

2009-05-13 10:30  king

	* Source/kwsys/SystemTools.cxx: BUG: Fix removal of read-only
	  directories

	  Read-only directories must be given write permission before we
	  can remove files and subdirectories from them.

2009-05-13 10:30  king

	* Tests/StringFileTest/CMakeLists.txt: BUG: file(COPY) test should
	  not make read-only dir

	  CMake directory removal code cannot remove content from read-only
	  directories (a separate bug which will be fixed).  Therefore we
	  should not create them in the StringFileTest.  This tweaks the
	  file(COPY) call to test not giving OWNER_WRITE to files rather
	  than directories.

2009-05-13 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-12 15:17  alex

	* Modules/: CMakeEclipseCDT4.cmake, CMakeCodeBlocks.cmake,
	  CMakeKDevelop3.cmake: STYLE: remove these files now that I added
	  them with a more consistent name as CMakeFind<GENERATOR>.cmake
	  (should have been in the same commit...)

	  Alex

2009-05-12 15:13  alex

	* Modules/CPackRPM.cmake: BUG: apply patch from Eric Noulard, so
	  cpack works with rpmbuild 4.6.0, #8967

	  Alex

2009-05-12 15:11  alex

	* Modules/: CMakeFindCodeBlocks.cmake, CMakeFindEclipseCDT4.cmake,
	  CMakeFindKDevelop3.cmake, CMakeLists.txt,
	  CMakeSystemSpecificInformation.cmake: STYLE: rename the files
	  from CMake<GENERATOR>.cmake to CMakeFind<GENERATOR>.cmake, so it
	  is more consistent e.g. with CMakeFindXcode.cmake

	  Alex

2009-05-12 15:06  king

	* Readme.txt: STYLE: Remove trailing whitespace

2009-05-12 15:03  king

	* cmake.1: BUG: Remove manual man-page from CMake-SourceFile2-b
	  branch

2009-05-12 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-11 13:58  king

	* Source/cmCTest.cxx: COMP: Avoid operator precedence warning

	  GCC warns that parens should be used for nested and/or operators.

2009-05-11 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-10 16:07  alex

	* Source/cmSetCommand.cxx: STYLE: cacheStart is used only locally
	  in the if-branch

	  Alex

2009-05-10 06:01  alex

	* Modules/CTest.cmake: STYLE: first lower-casing the string makes
	  comparing its contents easier

	  Alex

2009-05-10 06:00  alex

	* Modules/: CMakeCodeBlocks.cmake, CMakeEclipseCDT4.cmake,
	  CMakeKDevelop3.cmake, CMakeSystemSpecificInformation.cmake: ENH:
	  move the code which queries gcc for the system include dirs from
	  CMakeSystemSpecificInformation.cmake into a separate file,
	  CMakeEclipseCDT4.cmake -if CMAKE_EXTRA_GENERATOR is set, i.e.
	  either CodeBlocks or KDevelop3 or EclipseCDT4, load a matching
	  cmake script file, which can do things specific for this
	  generator - added such files for Eclipse, KDevelop and
	  CodeBlocks, one thing they all do is they try to find the
	  respective IDE and store it in the
	  CMAKE_(KDEVELOP3|CODEBLOCKS|ECLIPSE)_EXECUTABLE variable.  This
	  could be used by cmake-gui to open the project it just generated
	  with the gui (not sure this is possible with eclipse).

	  Alex

2009-05-10 05:29  alex

	* Source/cmGlobalUnixMakefileGenerator3.cxx: BUG: don't report
	  changed compiler variables if the path to the compiler differs
	  only e.g. a double slash somewhere instead only one slash as
	  directory separator (#8890)

	  Alex

2009-05-10 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-09 17:25  alex

	* Source/cmDocumentVariables.cxx: STYLE: document
	  CMAKE_INCLUDE_CURRENT_DIR

	  Alex

2009-05-09 08:15  alex

	* Modules/: CMakeVS8FindMake.cmake, CMakeVS9FindMake.cmake: ENH:
	  when cross compiling, e.g. for WinCE, don't use VCExpress, since
	  this doesn't support it This is the first patch to add support
	  for WinCE to cmake (#7919)

	  Alex

2009-05-09 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-08 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-07 18:22  hoffman

	* Source/ctest.cxx: ENH: add docs for command line ctest

2009-05-07 18:20  hoffman

	* Source/cmCTest.cxx: BUG: 8898 fix date in ctest nightly time

2009-05-07 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-06 11:21  clinton

	* Modules/FindQt4.cmake: BUG:  Fix spaces in file paths for lupdate
	  command

2009-05-06 09:42  clinton

	* Modules/: FindQt4.cmake, UseQt4.cmake:
	  ENH:	Add support for QtScriptTools in Qt 4.5.

2009-05-06 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-05 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-04 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-03 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-02 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-05-01 10:39  king

	* Source/: cmTarget.cxx, cmTarget.h: ENH: Remove cmTarget internal
	  type arguments

	  Internally cmTarget was passing the target type in several name
	  computation signatures to support computation of both shared and
	  static library names for one target.	We no longer need to
	  compute both names, so this change simplifies the internals by
	  using the GetType method and dropping the type from method
	  signatures.

2009-05-01 10:39  king

	* Source/: cmMakefileExecutableTargetGenerator.cxx, cmTarget.cxx,
	  cmTarget.h: ENH: Remove cmTarget::GetExecutableCleanNames

	  This method was redundant with GetExecutableNames.

2009-05-01 10:38  king

	* Source/cmMakefileLibraryTargetGenerator.cxx,
	  Source/cmSetTargetPropertiesCommand.h, Source/cmTarget.cxx,
	  Source/cmTarget.h, Tests/Complex/Library/CMakeLists.txt,
	  Tests/ComplexOneConfig/Library/CMakeLists.txt,
	  Tests/ComplexRelativePaths/Library/CMakeLists.txt: ENH: Always
	  imply CLEAN_DIRECT_OUTPUT target prop

	  This property was left from before CMake always linked using full
	  path library names for targets it builds.  In order to safely
	  link with "-lfoo" we needed to avoid having both shared and
	  static libraries in the build tree for targets that switch on
	  BUILD_SHARED_LIBS.  This meant cleaning both shared and static
	  names before creating the library, which led to the creation of
	  CLEAN_DIRECT_OUTPUT to disable the behavior.

	  Now that we always link with a full path we do not need to clean
	  old library names left from an alternate setting of
	  BUILD_SHARED_LIBS.  This change removes the CLEAN_DIRECT_OUTPUT
	  property and instead uses its behavior always.  It removes some
	  complexity from cmTarget internally.

2009-05-01 09:45  king

	* Source/cmTarget.cxx, Source/cmTarget.h,
	  Tests/ExportImport/Export/CMakeLists.txt,
	  Tests/SimpleInstall/CMakeLists.txt,
	  Tests/SimpleInstallS2/CMakeLists.txt: ENH: Allow more
	  specification of target file names

	  This creates target properties ARCHIVE_OUTPUT_NAME,
	  LIBRARY_OUTPUT_NAME, and RUNTIME_OUTPUT_NAME, and
	  per-configuration equivalent properties
	  ARCHIVE_OUTPUT_NAME_<CONFIG>, LIBRARY_OUTPUT_NAME_<CONFIG>, and
	  RUNTIME_OUTPUT_NAME_<CONFIG>.  They allow specification of target
	  output file names on a per-type, per-configuration basis.  For
	  example, a .dll and its .lib import library may have different
	  base names.

	  For consistency and to avoid ambiguity, the old
	  <CONFIG>_OUTPUT_NAME property is now also available as
	  OUTPUT_NAME_<CONFIG>.

	  See issue #8920.

2009-05-01 09:45  king

	* Source/: cmTarget.cxx, cmTarget.h: ENH: Refactor target output
	  file type computation

	  This creates method cmTarget::GetOutputTargetType to compute the
	  output file type 'ARCHIVE', 'LIBRARY', or 'RUNTIME' from the
	  platform and target type.  It factors out logic from the target
	  output directory computation code for later re-use.

2009-05-01 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-04-30 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-04-29 15:07  king

	* Modules/UntarFile.cmake: ENH: Teach UntarFile to preserve file
	  timestamps

	  After extracting the tarball in a temporary directory we copy the
	  tree to the destination directory.  The 'cmake -E copy_directory'
	  command does not preserve file timestamps, so we use file(COPY)
	  instead.

2009-04-29 14:50  king

	* Source/cmFileCommand.cxx: COMP: Avoid unused arg warnings in
	  cmFileCommand

	  The default cmFileCopier::ReportCopy implementation is empty, so
	  we should leave out the argument names.

2009-04-29 14:20  king

	* Source/CTest/cmCTestCVS.cxx: BUG: Remove '-d<now' from 'cvs log'
	  commands

	  When CTest runs 'cvs log' to get revision information for updated
	  files, we were passing '-d<now'.  The option seems useless since
	  revisions cannot be created in the future, and can lose revisions
	  if the client machine clock is behind the server.

2009-04-29 14:02  king

	* Tests/CMakeTests/FileTest.cmake.in: BUG: Fix CMake.File test for
	  deep dir name

	  This fixes the regex checking expected output of Copy-NoFile to
	  account for line wrapping when the input directory name is long.

2009-04-29 13:57  king

	* Source/cmFileCommand.cxx: COMP: Fix nested class member access

	  Nested classes have no special access to other members of their
	  enclosing class.  In cmFileCopier the nested class MatchRule must
	  use MatchProperties, so we grant friendship to it.

2009-04-29 13:33  king

	* Source/cmFileCommand.cxx: COMP: Fix non-virtual destructor
	  warning

	  This gives cmFileCopier a virtual destructor since it has virtual
	  methods.  While we never actually delete through a base pointer
	  (or dynamically at all), the compiler doesn't know and warns
	  anyway.

2009-04-29 13:13  king

	* Tests/CMakeTests/: CMakeLists.txt, File-Copy-BadArg.cmake,
	  File-Copy-BadPerm.cmake, File-Copy-BadRegex.cmake,
	  File-Copy-EarlyArg.cmake, File-Copy-LateArg.cmake,
	  File-Copy-NoDest.cmake, File-Copy-NoFile.cmake,
	  FileTest.cmake.in: ENH: Test file(COPY) failure cases

	  This tests some cases of bad arguments to the file(COPY)
	  signature.  It checks that the proper error messages are
	  produced.

2009-04-29 13:13  king

	* Source/cmFileCommand.cxx, Source/cmFileCommand.h,
	  Tests/StringFileTest/CMakeLists.txt: ENH: Create file(COPY)
	  command signature

	  The file(INSTALL) command has long been undocumented and used
	  only to implement install() scripts.	We now document it and
	  provide a similar file(COPY) signature which is useful in
	  general-purpose scripts.  It provides the capabilities of
	  install(DIRECTORY) and install(FILES) but operates immediately
	  instead of contributing to install scripts.

2009-04-29 13:13  king

	* Source/cmFileCommand.cxx: ENH: Teach file(INSTALL) relative paths

	  This teaches the undocumented file(INSTALL) command to deal with
	  relative paths.  Relative input file paths are evaluated with
	  respect to the current source directory.  Relative output file
	  paths are evaluated with respect to the current binary directory.

	  While this command is currently used only in cmake_install.cmake
	  scripts (in -P script mode), this cleans up its interface in
	  preparation for a documented signature.

2009-04-29 13:12  king

	* Source/: cmFileCommand.cxx, cmFileCommand.h: ENH: Refactor
	  file(INSTALL) implementation

	  The undocumented file(INSTALL) is implemented by a
	  cmFileInstaller class inside cmFileCommand.  This refactors the
	  class to split out code not specific to installation into a
	  cmFileCopier base class.

2009-04-29 08:47  king

	* Source/: cmFileCommand.cxx, cmFileCommand.h: ENH: Send all file
	  installations through one path

	  This creates a single cmFileInstaller method to dispatch
	  installation of symlinks, directories, and files.  The change
	  removes duplicate tests of input file type and makes the decision
	  more consistent.

2009-04-29 08:47  king

	* Source/cmFileCommand.cxx: ENH: Better error on file perm or time
	  failure

	  This improves the error message produced during installation when
	  CMake cannot set file modification time or permissions.

2009-04-29 08:46  king

	* Source/cmFileCommand.cxx: BUG: Error when install dir cannot be
	  created

	  This teaches the undocumented file(INSTALL) command to report an
	  error when it cannot create the destination directory.

2009-04-29 08:46  king

	* Source/cmFileCommand.cxx: ENH: Simplify CMAKE_INSTALL_ALWAYS
	  implementation

	  This simplifies cmFileInstaller internally by storing the
	  'always' mark as an instance variable instead of passing it
	  through all method signatures.

2009-04-29 08:46  king

	* Source/cmFileCommand.cxx: ENH: Simplify construction of
	  cmFileInstaller

	  This cleans up the cmFileInstaller constructor signature.

2009-04-29 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-04-28 14:58  hoffman

	* CMakeLists.txt: ENH: final 2.6.4 release

2009-04-28 08:19  king

	* Source/cmFileCommand.cxx: BUG: Fix required permissions check
	  again

	  While copying a directory the destination must have owner rwx
	  permissions.	This corrects our check, this time with correct
	  operator precedence using parenthesis.

2009-04-28 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-04-27 13:20  king

	* Source/: cmFileCommand.cxx, cmFileCommand.h,
	  cmInstallDirectoryGenerator.cxx, cmInstallExportGenerator.cxx,
	  cmInstallFilesGenerator.cxx, cmInstallGenerator.cxx,
	  cmInstallGenerator.h, cmInstallTargetGenerator.cxx: ENH: Remove
	  unused PROPERTIES from file(INSTALL)

	  The undocumented file(INSTALL) command used to support a
	  PROPERTIES option, but no install code still uses it.  This
	  removes the option.

2009-04-27 13:20  king

	* Source/cmFileCommand.cxx: BUG: Fix required permissions check for
	  dir copy

	  While copying a directory the destination must have owner rwx
	  permissions.	This corrects our check.

2009-04-27 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-04-26 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-04-25 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-04-24 11:44  hoffman

	* Source/cmSystemTools.cxx: ENH: vms fix

2009-04-24 11:21  king

	* Tests/Preprocess/CMakeLists.txt: ENH: Test spaces in non-string
	  preprocessor values

	  This extends the Preprocessor test to put spaces in the value of
	  a definition that is not a quoted string.  In particular this
	  tests that VS6 supports values with spaces if they do not have
	  '"', '$', or ';'.  See issue #8779.

2009-04-24 11:17  king

	* Source/cmLocalGenerator.cxx,
	  Source/cmLocalVisualStudio6Generator.cxx, Source/cmMakefile.cxx,
	  Tests/Preprocess/CMakeLists.txt: ENH: Support more preprocessor
	  values in VS6

	  Previously we rejected all preprocessor definition values
	  containing spaces for the VS6 IDE generator.	In fact VS6 does
	  support spaces but not in combination with '"', '$', or ';', and
	  only if we use the sytnax '-DNAME="value with spaces"' instead of
	  '-D"NAME=value with spaces"'.  Now we support all definition
	  values that do not have one of these invalid pairs.  See issue
	  #8779.

2009-04-24 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-04-23 11:09  hoffman

	* Source/kwsys/: ProcessUNIX.c, System.h.in, SystemTools.cxx,
	  kwsysPrivate.h: ENH: check in almost building VMS stuff with
	  VMSBuild directory since the bootstrap script will not work on
	  VMS

2009-04-23 09:10  king

	* Tests/CTestUpdateGIT.cmake.in: BUG: Fix CTest.UpdateGIT test for
	  older git

	  Older git versions do not support 'git init --bare', so we
	  instead use the more proper 'git --bare init'.

2009-04-23 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-04-22 10:22  king

	* Source/CTest/cmCTestGIT.cxx: COMP: Fix class reference for HP aCC

2009-04-22 09:18  king

	* Source/CMakeLists.txt, Source/CTest/cmCTestGIT.cxx,
	  Source/CTest/cmCTestGIT.h, Source/CTest/cmCTestUpdateCommand.cxx,
	  Source/CTest/cmCTestUpdateHandler.cxx,
	  Source/CTest/cmCTestUpdateHandler.h, Tests/CMakeLists.txt,
	  Tests/CTestUpdateGIT.cmake.in: ENH: Teach CTest to handle git
	  repositories

	  This creates cmCTestGIT to drive CTest Update handling on
	  git-based work trees.  Currently we always update to the head of
	  the remote tracking branch (git pull), so the nightly start time
	  is ignored for Nightly builds.  A later change will address this.
	   See issue #6994.

2009-04-22 09:18  king

	* Source/: CMakeLists.txt, CTest/cmCTestGlobalVC.cxx,
	  CTest/cmCTestGlobalVC.h, CTest/cmCTestSVN.cxx,
	  CTest/cmCTestSVN.h: ENH: Factor global-VC parts out of cmCTestSVN

	  This factors parts of the svn update implementation that are
	  useful for any globally-versioning vcs tool into cmCTestGlobalVC.
	   It will allow the code to be shared among the support classes
	  for most vcs tools.

2009-04-22 09:11  king

	* Source/cmSystemTools.cxx: COMP: Fix calls to superclass methods
	  for Borland

	  The superclass of cmSystemTools is cmsys::SystemTools, which
	  should be referencable by just SystemTools from inside the class.
	   Borland C++ does not seem to support this, so we use
	  cmSystemTools instead.

2009-04-22 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-04-21 18:23  alex

	* Source/kwsys/Terminal.c: ENH: also recognize rxvt-256color as a
	  color terminal (#8913, patch from Deewiant)

	  Alex

2009-04-21 18:18  alex

	* Modules/FindMPEG2.cmake: ENH: search also for mpeg2dec/mpeg2.h,
	  as the documentation says, and as it is also installed by plain
	  libmpeg2 (#8455) Also mark the variables as advanced.

	  Alex

2009-04-21 17:18  hoffman

	* Tests/X11/CMakeLists.txt: ENH: sneak a test into RC 5

2009-04-21 17:15  hoffman

	* Tests/X11/CMakeLists.txt: ENH: make sure tests for cpack are run
	  correctly

2009-04-21 17:12  hoffman

	* Tests/X11/: CMakeLists.txt: ENH: make sure tests for cpack are
	  run correctly

2009-04-21 17:12  alex

	* Modules/FindJNI.cmake: ENH: add even more search directories for
	  debian-like systems (see #8821)

	  Alex

2009-04-21 17:09  alex

	* Modules/FindJNI.cmake: ENH: add one more search directory (see
	  #8919)

	  Alex

2009-04-21 16:48  hoffman

	* CMakeLists.txt, ChangeLog.manual,
	  Modules/CPack.OSXScriptLauncher.in,
	  Modules/CPack.OSXScriptLauncher.rsrc.in,
	  Modules/CPack.OSXX11.main.scpt.in,
	  Modules/CPack.background.png.in, Modules/CPack.cmake: ENH: move
	  over more CPack files into 2.6

2009-04-21 14:12  hoffman

	* CMakeLists.txt, ChangeLog.manual,
	  Modules/CPack.OSXX11.main.scpt.in,
	  Source/QtDialog/CMakeSetupDialog.ui: ENH: merge in changes and
	  create RC 5

2009-04-21 11:37  king

	* Source/cmSystemTools.cxx: BUG: Avoid infinite loop at directory
	  tree root

	  The system tools GetParentDirectory method no longer removes the
	  root path component.	This fixes
	  cmSystemTools::FileExistsInParentDirectories to not infinitely
	  loop at when GetParentDirectory stops at the root.

2009-04-21 11:36  king

	* Source/: cmSystemTools.cxx, cmSystemTools.h,
	  kwsys/SystemTools.cxx, kwsys/SystemTools.hxx.in: ENH: Remove
	  obscure method from KWSys SystemTools

	  This removes SystemTools::FileExistsInParentDirectories from
	  KWSys since it is a special-purpose method that is not generally
	  useful.

2009-04-21 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-04-20 08:42  king

	* Source/kwsys/SystemTools.cxx: BUG: Fix
	  SystemTools::IsSubDirectory on bad input

	  When SystemTools::GetParentDirectory was fixed to never remove
	  the root path component from a full path we violated an
	  assumption made by IsSubDirectory that eventually
	  GetParentDirectory returns an empty string.  This led to an
	  infinite loop if the potential parent directory is empty, so we
	  explicitly avoid that case.

2009-04-20 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-04-19 12:46  alex

	* Modules/FindBLAS.cmake, Modules/FindBoost.cmake,
	  Modules/FindLAPACK.cmake, Modules/FindMotif.cmake,
	  Modules/FindRTI.cmake, Modules/FindwxWidgets.cmake,
	  Modules/SquishTestScript.cmake, Modules/Use_wxWindows.cmake,
	  Source/cmDocumentVariables.cxx, Source/cmFindPackageCommand.cxx,
	  Source/cmake.cxx, Source/cmakemain.cxx: STYLE: fix typos in the
	  docs

	  Alex

2009-04-19 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-04-18 14:37  hoffman

	* Modules/: CMakeTestCCompiler.cmake, CMakeTestCXXCompiler.cmake:
	  BUG: fix cmake so that if you configure with a bad env for cl,
	  then with a good path, it will configure correctly

2009-04-18 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-04-17 14:44  hoffman

	* Modules/DartConfiguration.tcl.in,
	  Source/CTest/cmCTestSubmitCommand.cxx: ENH: make sure
	  CTEST_CURL_OPTIONS work from script mode

2009-04-17 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-04-16 12:25  clinton

	* Source/QtDialog/CMakeSetupDialog.ui:
	  BUG:	Path lengths in combo box for binary directory was forcing
	  a minimum size       on the main window.  Fixed that.

2009-04-16 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-04-15 13:03  king

	* Source/kwsys/SystemTools.cxx: BUG: Replace brittle
	  GetParentDirectory impl

	  The previous change to this method broke cases where the input
	  path does not exist.	The SystemTools::GetParentDirectory method
	  is redundant with the more robust SystemTools::GetFilenamePath.
	  This replaces its implementation to just call GetFilenamePath.

2009-04-15 11:00  king

	* Source/cmSystemTools.cxx: COMP: Fix BOOL to bool conversion
	  warning

	  The cmSystemTools::RenameFile method returns type bool, but its
	  implementation on Windows returns the result of an API function
	  that returns BOOL.  This change avoids the compiler warning.

2009-04-15 10:45  yumin

	* Source/kwsys/SystemTools.cxx: BUG:
	  SystemTools::GetParentDirectory() will crash if "/" is passed in
	  as argement. Valid check is added to make sure the input argment
	  exists, and if "/" is passed in, empty string will be returned.

2009-04-15 09:58  king

	* Source/cmake.cxx: ENH: Create command line api "cmake -E rename"

	  This extends the "-E" command line mode with a "rename old new"
	  signature.  The new command atomically renames a file or
	  directory within a single disk volume.

2009-04-15 09:58  king

	* Source/cmFileCommand.cxx, Source/cmFileCommand.h,
	  Tests/StringFileTest/CMakeLists.txt: ENH: Create file(RENAME)
	  command mode

	  This creates command "file(RENAME <oldname> <newname>)" to rename
	  a file or directory within a single disk volume.

2009-04-15 09:57  king

	* Source/: cmGeneratedFileStream.cxx, cmSystemTools.cxx,
	  cmSystemTools.h: ENH: Move RenameFile to cmSystemTools

	  This moves the cmGeneratedFileStream::RenameFile method
	  implementation into cmSystemTools.  It works only within a single
	  filesystem volume, but is atomic when the operating system
	  permits.

2009-04-15 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-04-14 09:35  king

	* Source/kwsys/: Base64.h.in, Configure.h.in, Configure.hxx.in,
	  FundamentalType.h.in, MD5.h.in, Process.h.in, String.h.in,
	  System.h.in, Terminal.h.in: ENH: Skip KWSys name maros in case of
	  identity

	  All KWSys C symbol names begin with the KWSYS_NAMESPACE defined
	  at configuration time.  For ease of editing we write canonical
	  names with the prefix 'kwsys' and use macros to map them to the
	  configured prefix at preprocessing time.  In the case of
	  standalone KWSys, the prefix is 'kwsys', so the macros were
	  previously defined to their own names.

	  We now skip defining the macros in the identity case so that the
	  final symbol names are never themselves macros.  This will allow
	  the symbols to be further transformed behind the scenes to help
	  linkers in special cases on some platforms.

2009-04-14 00:50  lowman

	* Modules/CMakeDetermineVSServicePack.cmake: ENH: New function for
	  determining Visual Studio service pack

2009-04-14 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-04-13 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-04-12 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-04-11 09:29  hoffman

	* Source/CTest/cmCTestSubmitHandler.cxx: ENH: remove warning and
	  improve message

2009-04-11 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-04-10 13:00  hoffman

	* Source/CTest/cmCTestSubmitHandler.cxx: ENH: remove cerr call

2009-04-10 12:15  hoffman

	* Modules/DartConfiguration.tcl.in,
	  Source/CTest/cmCTestSubmitHandler.cxx: ENH: add ability to
	  control ssl cert checking

2009-04-10 11:59  hoffman

	* CMakeLists.txt, Utilities/cmcurl/CMakeLists.txt: ENH: allow for
	  shared build of libcurl and fix build with openssl option (ssl
	  tested on linux and windows

2009-04-10 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-04-09 13:56  king

	* Modules/AddExternalProject.cmake,
	  Tests/ExternalProject/CMakeLists.txt,
	  Tests/ExternalProject/Step1Patch.cmake: ENH: Allow lists in
	  AddExternalProject arguments

	  The add_external_project function separates its arguments with
	  ';' separators, so previously no command line argument could
	  contain one.	When specifying CMAKE_ARGS, some -D argument values
	  may need to contain a semicolon to form lists in the external
	  project cache.

	  This adds add_external_project argument LIST_SEPARATOR to specify
	  a list separator string.  The separator is replaced by ';' in
	  arguments to any command created to drive the external project.
	  For example:

	    add_external_project(...
	      LIST_SEPARATOR ::
	      CMAKE_ARGS -DSOME_LIST:STRING=A::B::C
	      ...)

	  passes "-DSOME_LIST:STRING=A;B;C" to CMake for the external
	  project.

2009-04-09 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-04-08 16:29  king

	* Source/cmTarget.cxx, Tests/ExportImport/Export/CMakeLists.txt,
	  Tests/ExportImport/Export/testLib5.c,
	  Tests/ExportImport/Import/A/CMakeLists.txt,
	  Tests/ExportImport/Import/A/imp_testExe1.c: ENH: Allow
	  IMPORTED_IMPLIB w/o IMPORTED_LOCATION

	  Linking to a Windows shared library (.dll) requires only its
	  import library (.lib).  This teaches CMake to recognize SHARED
	  IMPORTED library targets that set only IMPORTED_IMPLIB and not
	  IMPORTED_LOCATION.

2009-04-08 16:28  king

	* Source/cmTarget.cxx: BUG: Fix imported target config guess

	  When an IMPORTED target provides no generic configuration and no
	  match for a desired configuration then we choose any available
	  configuration.  This change corrects the choice when the first
	  listed available configuration does not really have a location.

2009-04-08 09:22  king

	* Tests/: CTestUpdateCVS.cmake.in, CTestUpdateSVN.cmake.in: ENH:
	  Teach Update* tests to report local mod step

	  The CTest.UpdateCVS/SVN tests report every step with a message.
	  This adds a message for the local modification step.

2009-04-08 09:21  king

	* Tests/CTestUpdateCVS.cmake.in: ENH: Make UpdateCVS test robust to
	  1s file time res

	  CVS clients recognize file modifications only if a file's
	  timestamp is newer than its CVS/Entries line.  This fixes
	  intermittent failure of the test on filesystems with low
	  timestamp resolution by delaying before creating a local
	  modification.

2009-04-08 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-04-07 15:32  hoffman

	* CMakeLists.txt, ChangeLog.manual,
	  Source/cmAddCustomCommandCommand.h,
	  Source/cmAddCustomTargetCommand.h,
	  Source/cmComputeLinkDepends.cxx, Source/cmComputeLinkDepends.h,
	  Source/kwsys/SystemInformation.cxx,
	  Tests/ExportImport/Import/CMakeLists.txt,
	  Tests/ExportImport/Import/imp_mod1.c,
	  Tests/ExportImport/Import/imp_testExe1.c,
	  Tests/ExportImport/Import/imp_testTransExe1.c,
	  Tests/ExportImport/Import/A/CMakeLists.txt,
	  Tests/ExportImport/Import/A/imp_lib1.c,
	  Tests/ExportImport/Import/A/imp_mod1.c,
	  Tests/ExportImport/Import/A/imp_testExe1.c: ENH: merge in changes
	  for RC 4

2009-04-07 15:31  david.cole

	* Modules/NSIS.template.in: BUG: Fix issue #8682. Use
	  CPACK_NSIS_DISPLAY_NAME in appropriate places rather than
	  CPACK_PACKAGE_INSTALL_DIRECTORY. Clean separation of these two
	  variables (which have the same value by default) allows an easy
	  workaround for issue #7881, too.

2009-04-07 15:13  david.cole

	* Source/cmLocalGenerator.cxx: BUG: Fix invalid array access
	  discovered during investigation of issue #7832.

2009-04-07 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-04-06 14:55  king

	* Source/kwsys/SystemInformation.cxx: BUG: Fix parsing of linux 2.6
	  /proc/meminfo format

	  Previously KWSys SystemInformation parsed this file assuming a
	  strict order and set of fields, but the order is not reliable.
	  This generalizes the implementation to support any order and
	  extra fields.

2009-04-06 11:11  hoffman

	* Tests/ExportImport/Import/imp_testTransExe1.c: file
	  imp_testTransExe1.c was added on branch CMake-2-6 on 2009-04-07
	  19:32:08 +0000

2009-04-06 11:11  hoffman

	* Tests/ExportImport/Import/A/imp_testExe1.c: file imp_testExe1.c
	  was added on branch CMake-2-6 on 2009-04-07 19:32:08 +0000

2009-04-06 11:11  hoffman

	* Tests/ExportImport/Import/A/imp_mod1.c: file imp_mod1.c was added
	  on branch CMake-2-6 on 2009-04-07 19:32:08 +0000

2009-04-06 11:11  hoffman

	* Tests/ExportImport/Import/A/imp_lib1.c: file imp_lib1.c was added
	  on branch CMake-2-6 on 2009-04-07 19:32:08 +0000

2009-04-06 11:11  hoffman

	* Tests/ExportImport/Import/A/CMakeLists.txt: file CMakeLists.txt
	  was added on branch CMake-2-6 on 2009-04-07 19:32:08 +0000

2009-04-06 11:11  king

	* Tests/ExportImport/Import/: A/CMakeLists.txt, A/imp_lib1.c,
	  A/imp_mod1.c, A/imp_testExe1.c, CMakeLists.txt, imp_mod1.c,
	  imp_testExe1.c, imp_testTransExe1.c: ENH: Test transitive link to
	  subdir-imported lib

	  This tests linking to an imported target that is not visible but
	  is a transitive dependency of a target that is visible.  See
	  issue #8843.

2009-04-06 11:10  king

	* Source/: cmComputeLinkDepends.cxx, cmComputeLinkDepends.h: BUG:
	  Lookup transitive link deps in depender scope

	  The transitive link dependencies of a linked target must be
	  followed in its own scope, not in the scope of the original
	  target that depends on it.  This is necessary since imported
	  targets do not have global scope.  See issue #8843.

2009-04-06 03:39  malaterre

	* Source/kwsys/testIOS.cxx: BUG: comment out faulty seekp which
	  make kwsys::*stringstream fails on platform with no
	  std::*stringstream implementation

2009-04-06 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-04-05 06:55  malaterre

	* Source/kwsys/testIOS.cxx: ENH: hopefully seekp is the call making
	  kwsys::stringstream behaves oddly on sunos

2009-04-05 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-04-04 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-04-03 13:12  david.cole

	* Source/CPack/cmCPackDragNDropGenerator.cxx: BUG: Fix issue #8759
	  - add support for setting dmg volume name and compression type by
	  CPack variables. Also add custom .DS_Store and background image
	  support. Thanks to Mike Arthur for the patches.

2009-04-03 11:41  david.cole

	* Source/cmTest.cxx: BUG: Fix documentation deficiency noted in
	  issue #7885. Thanks to Philip Lowman for the gist of the patch.

2009-04-03 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-04-02 06:12  malaterre

	* Source/kwsys/testIOS.cxx: ENH: trying to reproduce issue on sunos

2009-04-02 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-04-01 10:31  king

	* Source/: cmAddCustomCommandCommand.h, cmAddCustomTargetCommand.h:
	  ENH: Clarify VERBATIM option documentation

	  The previous wording of the VERBATIM option documentation in the
	  add_custom_command and add_custom_target commands was confusing.
	  It could be interpreted as the opposite of what the option means
	  (no escaping instead of escaping).  This clarifies the
	  documentation to explicitly state that it escapes.

2009-04-01 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-31 16:15  david.cole

	* Modules/FindVTK.cmake: BUG: Fix issue #8804. Add vtk-5.4 lib path
	  to the FindVTK.cmake module.

2009-03-31 15:30  hoffman

	* Source/CTest/cmCTestSubmitHandler.cxx: ENH: use 0 not FALSE

2009-03-31 15:24  hoffman

	* Source/CTest/: cmCTestSubmitHandler.cxx, cmCTestSubmitHandler.h:
	  ENH: add submit via cp mode

2009-03-31 13:50  david.cole

	* Tests/CMakeTests/GetPrerequisitesTest.cmake.in: STYLE: White
	  space only change to see if continuous is working on new
	  dashboard machine...

2009-03-31 13:16  david.cole

	* Tests/CMakeTests/GetPrerequisitesTest.cmake.in: STYLE: White
	  space only change to see if continuous is working on new
	  dashboard machine...

2009-03-31 10:28  hoffman

	* CMakeLists.txt, ChangeLog.manual, Modules/FindQt4.cmake,
	  Source/cmAddCustomCommandCommand.h,
	  Source/cmAddCustomTargetCommand.h,
	  Source/CTest/cmCTestSubmitCommand.cxx,
	  Source/QtDialog/CMakeSetupDialog.cxx,
	  Source/QtDialog/QCMakeCacheView.cxx: ENH: next RC

2009-03-31 10:27  hoffman

	* Utilities/Release/vogon_release.cmake: ENH: use a newer cmake

2009-03-31 10:13  king

	* Modules/AddExternalProject.cmake: BUG: Fix AddExternalProject
	  config command id

	  This fixes the get_configure_command_id function to not mistake
	  CONFIGURE_COMMAND values that run "cmake -P" or "cmake -E" for a
	  CMake project configuration.	These values just help run scripts.

2009-03-31 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-30 16:34  clinton

	* Source/QtDialog/QCMake.cxx:
	  BUG:	Fix inconsistency with lowercase drive letters on Windows.

2009-03-30 11:38  king

	* Modules/AddExternalProject.cmake: ENH: Simpler AddExternalProject
	  install step

	  This simplifies the implementation with
	  add_external_project_step.

2009-03-30 11:38  king

	* Modules/AddExternalProject.cmake: ENH: Simpler AddExternalProject
	  build step

	  This simplifies the implementation with
	  add_external_project_step.

2009-03-30 11:38  king

	* Modules/AddExternalProject.cmake: ENH: Simpler AddExternalProject
	  configure step

	  This simplifies the implementation with
	  add_external_project_step.

2009-03-30 11:37  king

	* Modules/AddExternalProject.cmake: ENH: Simpler AddExternalProject
	  patch step

	  This simplifies the implementation with
	  add_external_project_step.

2009-03-30 11:37  king

	* Modules/AddExternalProject.cmake: ENH: Simpler AddExternalProject
	  update step

	  This simplifies the implementation with
	  add_external_project_step.

2009-03-30 11:37  king

	* Modules/AddExternalProject.cmake: ENH: Simpler AddExternalProject
	  download step

	  This simplifies the implementation with
	  add_external_project_step.

2009-03-30 11:36  king

	* Modules/AddExternalProject.cmake,
	  Tests/ExternalProject/CMakeLists.txt: ENH: Generalize
	  AddExternalProject step creation

	  This creates function 'add_external_project_step' to centralize
	  creation of external project steps.  Users may call it to add
	  custom steps to external project builds.

2009-03-30 11:35  king

	* Modules/AddExternalProject.cmake: ENH: Factor argument parsing in
	  AddExternalProject

	  The add_external_project function parses its arguments and puts
	  them in properties of the target it creates.	This factors out
	  implementation of the behavior for use by other functions in the
	  module.

2009-03-30 11:35  king

	* Modules/AddExternalProject.cmake: ENH: Teach AddExternalProject a
	  'complete' step

	  This separates creation of the project completion sentinel file
	  from the 'install' step to allow more steps to be added in
	  between later.

2009-03-30 10:56  clinton

	* Source/QtDialog/CMakeSetupDialog.cxx:
	  ENH:	Add version info to about dialog, including Qt version.

2009-03-30 08:27  malaterre

	* Source/kwsys/testIOS.cxx: COMP: missing string.h header for
	  strlen.

2009-03-30 08:27  king

	* Source/: cmAddCustomCommandCommand.h, cmAddCustomTargetCommand.h:
	  ENH: Document scope of add_custom_command outputs

	  This explicitly states the scope of add_custom_command rules in
	  the documentation of add_custom_command and add_custom_target.
	  See issue #8815.

2009-03-30 04:10  malaterre

	* Source/kwsys/testIOS.cxx: ENH: remote debugging of sunos

2009-03-30 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-29 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-28 13:02  hoffman

	* Source/cmLocalVisualStudio7Generator.cxx: STYLE: fix line lenght

2009-03-28 10:23  hoffman

	* Utilities/Release/: vogon_release.cmake, vogon_release_qt.cmake:
	  ENH: change qt to 4.5

2009-03-28 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-27 21:57  hoffman

	* Tests/MacroTest/context.cmake: ENH: add missing file to branch

2009-03-27 17:11  alex

	* Modules/FindAVIFile.cmake: ENH: mark the two variables as
	  advanced -remove unnecessary deault search dirs

	  Alex

2009-03-27 12:33  hoffman

	* Source/cmLocalVisualStudio7Generator.cxx: BUG: fix for #8686 add
	  some more compiler flags

2009-03-27 11:55  hoffman

	* CMakeLists.txt, ChangeLog.manual,
	  Modules/CMakeSystemSpecificInformation.cmake,
	  Modules/CheckCSourceCompiles.cmake,
	  Modules/CheckCSourceRuns.cmake,
	  Modules/CheckCXXSourceCompiles.cmake,
	  Modules/CheckCXXSourceRuns.cmake, Modules/FindBoost.cmake,
	  Source/cmCommandArgumentParserHelper.cxx,
	  Source/cmExtraCodeBlocksGenerator.cxx,
	  Source/cmExtraEclipseCDT4Generator.cxx,
	  Source/cmExtraEclipseCDT4Generator.h,
	  Source/cmGlobalNMakeMakefileGenerator.cxx,
	  Source/cmGlobalUnixMakefileGenerator3.h,
	  Source/cmIncludeDirectoryCommand.cxx,
	  Source/cmLocalUnixMakefileGenerator3.cxx,
	  Source/cmLocalUnixMakefileGenerator3.h,
	  Source/cmLocalVisualStudio6Generator.cxx, Source/cmMakefile.cxx,
	  Source/cmProjectCommand.h, Source/cmSourceFile.cxx,
	  Source/cmStringCommand.h, Source/cmTarget.cxx,
	  Tests/MacroTest/CMakeLists.txt, Tests/Preprocess/CMakeLists.txt,
	  Tests/Preprocess/preprocess.c, Tests/Preprocess/preprocess.cxx:
	  ENH: merge in from main tree to create RC 2

2009-03-27 11:18  hoffman

	* Source/cmGlobalNMakeMakefileGenerator.cxx: ENH: LIBPATH is not
	  required for cl to work

2009-03-27 10:49  hoffman

	* Utilities/Release/vogon_release.cmake: ENH: fix spaces in path
	  escape

2009-03-27 10:37  hoffman

	* Utilities/Release/vogon_release.cmake: ENH: use a different cmake

2009-03-27 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-26 11:42  clinton

	* Source/QtDialog/QCMakeCacheView.cxx:
	  BUG:	Don't return checkable flag for item when in the middle of
	  configure/generate.

2009-03-26 11:04  clinton

	* Modules/FindQt4.cmake:
	  ENH:	Do a recheck of QT_MAC_USE_COCOA when qmake executable
	  changes.

2009-03-26 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-25 15:29  clinton

	* Modules/FindQt4.cmake:
	  ENH:	Support OUTPUT_LOCATION property for qm files.	      Fixes
	  #8492.

2009-03-25 10:37  hoffman

	* Tests/MacroTest/context.cmake: file context.cmake was added on
	  branch CMake-2-6 on 2009-03-28 01:57:34 +0000

2009-03-25 10:36  king

	* Source/cmCommandArgumentParserHelper.cxx,
	  Tests/MacroTest/CMakeLists.txt, Tests/MacroTest/context.cmake:
	  BUG: Fix CMAKE_CURRENT_LIST_FILE in macros

	  The value of CMAKE_CURRENT_LIST_FILE is supposed to be the list
	  file currently being executed.  Before macros were introduced
	  this was always the context of the argument referencing the
	  variable.

	  Our original implementation of macros replaced the context of
	  command arguments inside the macro with that of the arguments of
	  the calling context.	This worked recursively, but only worked
	  when macros had at least one argument.  Furthermore, it caused
	  parsing errors of the arguments to report the wrong location
	  (calling context instead of line with error).

	  The commit "Improve context for errors in macros" fixed the
	  latter bug by keeping the lexical context of command arguments in
	  macros.  It broke evaluation of CMAKE_CURRENT_LIST_FILE because
	  the calling context was no longer preserved in the argument
	  referencing the variable.  However, since our list file
	  processing now maintains the proper value of
	  CMAKE_CURRENT_LIST_FILE with dynamic scope we no longer need the
	  context of the argument and can just evaluate the variable
	  normally.

2009-03-25 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-24 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-23 15:46  hoffman

	* CMakeLists.txt: ENH: put an rc number other than 0 in

2009-03-23 14:48  king

	* Source/cmLocalVisualStudio6Generator.cxx, Source/cmMakefile.cxx,
	  Source/cmSourceFile.cxx, Source/cmTarget.cxx,
	  Tests/Preprocess/CMakeLists.txt, Tests/Preprocess/preprocess.c,
	  Tests/Preprocess/preprocess.cxx: ENH: Support preprocessor def
	  values in VS6

	  The add_definitions() command and COMPILE_DEFINITIONS dir/tgt/src
	  properties support preprocessor definitions with values.
	  Previously values were not supported in the VS6 generator even
	  though the native tool supports them.  It is only values with
	  spaces that VS6 does not support.  This enables support and
	  instead complains only for values with spaces.  See issue #8779.

2009-03-23 14:04  hoffman

	* Tests/: CMakeTests/GetFilenameComponentRealpathTest.cmake.in,
	  Fortran/include/test_preprocess.h: ENH: add missing files

2009-03-23 13:58  hoffman

	* CMakeLists.txt, ChangeLog.manual, Docs/cmake-mode.el,
	  Modules/CMakeASMInformation.cmake,
	  Modules/Platform/Darwin-icc.cmake, Modules/Platform/Darwin.cmake,
	  Modules/Platform/UnixPaths.cmake, Source/cmCPluginAPI.cxx,
	  Source/cmDependsFortran.cxx, Source/cmDependsFortranParser.cxx,
	  Source/cmDependsFortranParser.y, Source/cmDocumentVariables.cxx,
	  Source/cmDocumentationFormatterMan.cxx, Source/cmFileCommand.cxx,
	  Source/cmGetFilenameComponentCommand.cxx,
	  Source/cmGetFilenameComponentCommand.h,
	  Source/cmGlobalGenerator.cxx, Source/cmGlobalGenerator.h,
	  Source/cmGlobalXCodeGenerator.cxx,
	  Source/cmGlobalXCodeGenerator.h, Source/cmLocalGenerator.cxx,
	  Source/cmLocalGenerator.h,
	  Source/cmLocalUnixMakefileGenerator3.cxx,
	  Source/cmMakeDepend.cxx, Source/cmMakeDepend.h,
	  Source/cmMakefile.cxx, Source/cmMakefileTargetGenerator.cxx,
	  Source/cmSourceFile.cxx, Source/cmTarget.cxx, Source/cmake.cxx,
	  Source/CTest/cmCTestUpdateHandler.cxx,
	  Source/kwsys/SystemTools.cxx, Source/kwsys/SystemTools.hxx.in,
	  Tests/CMakeTests/CMakeLists.txt, Tests/Fortran/CMakeLists.txt,
	  Tests/Fortran/test_preprocess.F90: ENH: check in changes to
	  branch, most importantly the header file do not compile fix

2009-03-23 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-22 17:13  lowman

	* Modules/FindGTK2.cmake: ENH: NEW: FindGTK2 module

2009-03-22 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-21 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-20 23:52  lowman

	* Modules/FindBoost.cmake: BUG: LIST(REMOVE_ITEM...) was being
	  called on a variable that could be empty.

2009-03-20 14:19  king

	* Source/CTest/: cmCTestUpdateCommand.h, cmCTestUpdateHandler.cxx:
	  BUG: Fix return value of ctest_update

	  The CTest version control refactoring broke the value returned
	  for the ctest_update command's RETURN_VALUE argument.  The value
	  is supposed to be the number of files updated, but the
	  refactoring accidentally made it the number of locally modified
	  files after the update.

2009-03-20 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-19 22:48  fbertel

	* Source/kwsys/: SystemInformation.cxx, SystemInformation.hxx.in:
	  COMP:Fixed warnings with gcc 4.3.2.

2009-03-19 15:44  clinton

	* Modules/FindQt4.cmake:
	  BUG:	Need to fix find of qtmain library when qmake executable is
	  changed.

2009-03-19 11:48  fbertel

	* Source/kwsys/CommandLineArguments.cxx: COMP:Try to fix error on
	  HP.

2009-03-19 10:53  king

	* Source/cmTarget.cxx: ENH: Mention CMAKE_* variables in RPATH
	  properties

	  The RPATH target properties are initialized by CMAKE_<prop>
	  variables at target creation time.  This notes the feature in the
	  property documentation.  It is already noted in the variable
	  documentation.

2009-03-19 10:03  fbertel

	* Source/kwsys/RegularExpression.hxx.in: COMP:try to fix error on
	  qnx-V3.3.5-gcc_ntox86.

2009-03-19 09:20  fbertel

	* Source/kwsys/CommandLineArguments.cxx: COMP:Fixed warnings.

2009-03-19 09:09  fbertel

	* Source/kwsys/RegularExpression.hxx.in: COMP:Fixed VS 64-bit
	  warning C4267 line 432 of RegularExpression.cxx

2009-03-19 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-18 11:01  king

	* Modules/AddExternalProject.cmake: STYLE: Reminder note for
	  add_external_project work

2009-03-18 11:00  king

	* Modules/AddExternalProject.cmake,
	  Tests/ExternalProject/CMakeLists.txt,
	  Tests/ExternalProject/Step1Patch.cmake: ENH: Add patch step for
	  add_external_project

	  The patch step runs parallel to the update step since it does not
	  make sense to have both.  Configuration of the step requires
	  specification of a PATCH_COMMAND argument to
	  add_external_project.

2009-03-18 11:00  king

	* Modules/AddExternalProject.cmake,
	  Tests/ExternalProject/CMakeLists.txt: ENH: Improve
	  add_external_project interface

	  This rewrites the keyword/argument parsing and handling in the
	  AddExternalProject module to use arguments more literally:

	    - The strict keyword-value pairing is gone in favor of keywords
	  with
	      arbitrary non-keyword values.  This avoids requiring users to
	  escape
	      spaces and quotes in command lines.

	    - Customized step command lines are now specified with a single
	      keyword <step>_COMMAND instead of putting the arguments in a
	      separate entry (previously called <step>_ARGS).

	    - Build step custom commands now use VERBATIM mode so that
	  arguments
	      are correctly escaped on the command line during builds.

2009-03-18 08:50  fbertel

	* Source/kwsys/SystemTools.cxx: COMP:Fixed warnings.

2009-03-18 07:57  fbertel

	* Source/kwsys/RegularExpression.cxx: STYLE:Empty commit just add
	  information about rev 1.15: the reason is that long is 64-bit on
	  gcc on Linux because it uses the LP64 data model whereas long is
	  32-bit on VS 64-bit because it uses the LLP64 model (ref:
	  http://en.wikipedia.org/wiki/64-bit#64-bit_data_models )

2009-03-18 07:32  fbertel

	* Source/kwsys/RegularExpression.cxx: COMP:Fix warning on VS 64bit.
	  Don't why gcc 4.3.2 didn't catch this one on a 64bit machine with
	  -Wconversion on.

2009-03-18 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-17 15:11  king

	* Source/cmLocalGenerator.cxx: BUG: Allow more shell ops in custom
	  commands

	  This extends the set of common shell operators to include "||",
	  "&&", "1>", and "2>".  See issue #6868.

2009-03-17 15:10  king

	* Source/cmForEachCommand.cxx, Source/cmForEachCommand.h,
	  Tests/StringFileTest/CMakeLists.txt: ENH: New foreach(<var> IN
	  ...) mode

	  This creates a new mode of the foreach command which allows
	  precise iteration even over empty elements.  This mode may be
	  safely extended with more keyword arguments in the future.  The
	  cost now is possibly breaking scripts that iterate over a list of
	  items beginning with 'IN', but there is no other way to extend
	  the syntax in a readable way.

2009-03-17 10:48  fbertel

	* Source/kwsys/: Glob.cxx, RegularExpression.cxx,
	  RegularExpression.hxx.in: COMP:Fixed warnings.

2009-03-17 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-16 22:28  lowman

	* Modules/FindBoost.cmake: BUG: Eliminates detection of Boost
	  system library prior to 1.35 (see issue #8734)

2009-03-16 17:38  fbertel

	* Source/kwsys/ProcessUNIX.c: COMP:Try to fix compile error with
	  qnx gcc.

2009-03-16 17:13  fbertel

	* Source/kwsys/ProcessUNIX.c: COMP:Fixed gcc 4.3.2 warning with -O1
	  and above: ignoring return value of read'), declared with
	  attribute warn_unused_result

2009-03-16 16:55  king

	* Modules/CMakeGenericSystem.cmake,
	  Source/cmMakefileExecutableTargetGenerator.cxx,
	  Source/cmMakefileLibraryTargetGenerator.cxx,
	  Source/cmMakefileTargetGenerator.cxx,
	  Source/cmMakefileTargetGenerator.h, Source/cmake.cxx,
	  Tests/Complex/CMakeLists.txt,
	  Tests/ComplexOneConfig/CMakeLists.txt,
	  Tests/ComplexRelativePaths/CMakeLists.txt: ENH: Allow projects to
	  disable per-rule echo lines

	  This creates global property RULE_MESSAGES which can be set to
	  disbale per-rule progress and action reporting.  On Windows,
	  these reports may cause a noticable delay due to the cost of
	  starting extra processes.  This feature will allow scripted
	  builds to avoid the cost since they do not need detailed
	  information anyway.  This replaces the RULE_PROGRESS property
	  created earlier as it is more complete.  See issue #8726.

2009-03-16 16:55  king

	* Source/cmMakefileLibraryTargetGenerator.cxx: STYLE: Separate
	  unrelated logic

	  This separates unrelated uses of a library-type switch into
	  separate switches.  An upcoming commit will conditionally enter
	  one of the switches.

2009-03-16 16:22  king

	* Modules/CMakeGenericSystem.cmake,
	  Source/cmMakefileTargetGenerator.cxx,
	  Source/cmMakefileTargetGenerator.h, Source/cmake.cxx,
	  Tests/Complex/CMakeLists.txt,
	  Tests/ComplexOneConfig/CMakeLists.txt,
	  Tests/ComplexRelativePaths/CMakeLists.txt: ENH: Allow projects to
	  disable per-rule progress

	  This creates global property RULE_PROGRESS which can be set to
	  disbale per-rule progress reporting.	On Windows, progress
	  reports may cause a noticable delay due to the cost of starting
	  an extra process.  This feature will allow scripted builds to
	  avoid the cost since they do not need detailed progress anyway.
	  See issue #8726.

2009-03-16 16:22  king

	* Source/: cmMakefileTargetGenerator.cxx,
	  cmMakefileTargetGenerator.h: ENH: Factor out makefile progress
	  rule commands

	  This factors duplicate progress rule code into a common method.

2009-03-16 15:02  fbertel

	* Source/kwsys/ProcessUNIX.c: COMP:Fixed warnings.

2009-03-16 14:30  king

	* Source/: cmCPluginAPI.cxx, cmGlobalXCodeGenerator.cxx,
	  cmGlobalXCodeGenerator.h, cmSourceFile.cxx: BUG: Do not
	  automatically set HEADER_FILE_ONLY

	  Long ago the native build system generators needed
	  HEADER_FILE_ONLY to be set on header files to stop them from
	  building.  The modern generators correctly handle headers without
	  the help of this property.  This removes automatic setting of the
	  property so that it can be used reliably as an indicator of
	  project author intention.  It fixes VS IDE project files to show
	  header files normally instead of excluded (broken by the fix for
	  issue #7845).

2009-03-16 14:30  king

	* Source/: cmMakeDepend.cxx, cmMakeDepend.h: ENH: Remove unused
	  code from cmMakeDepend

	  This class is the old-style dependency scanner.  It is needed
	  only to implement the output_required_files command.	This change
	  removes some code not needed for that purpose, including a
	  reference to the HEADER_FILE_ONLY property.

2009-03-16 10:51  king

	* Source/cmAddTestCommand.cxx, Source/cmAddTestCommand.h,
	  Source/cmTest.cxx, Source/cmTest.h, Source/cmTestGenerator.cxx,
	  Source/cmTestGenerator.h, Tests/Testing/CMakeLists.txt,
	  Tests/Testing/perconfig.c: ENH: Add NAME mode to ADD_TEST command

	  This creates command mode add_test(NAME ...).  This signature is
	  extensible with more keyword arguments later.  The main purpose
	  is to enable automatic replacement of target names with built
	  target file locations.  A side effect of this feature is support
	  for tests that only run under specific configurations.

2009-03-16 10:42  king

	* Source/: cmAddTestCommand.cxx, cmTest.cxx, cmTest.h,
	  cmTestGenerator.cxx: ENH: Refactor storage of test command lines

	  We used to separate the command executable from its argument
	  vector.  It is simpler to just store the whole command line in
	  one vector.

2009-03-16 10:40  king

	* Source/CMakeLists.txt, Source/cmAddTestCommand.cxx,
	  Source/cmLocalGenerator.cxx, Source/cmMakefile.cxx,
	  Source/cmMakefile.h, Source/cmTestGenerator.cxx,
	  Source/cmTestGenerator.h, bootstrap: ENH: Refactor generation of
	  CTestTestfile content

	  This moves code which generates ADD_TEST and SET_TESTS_PROPERTIES
	  calls into CTestTestfile.cmake files out of cmLocalGenerator and
	  into a cmTestGenerator class.  This will allow more advanced
	  generation without cluttering cmLocalGenerator.  The
	  cmTestGenerator class derives from cmScriptGenerator to get
	  support for per-configuration script generation (not yet
	  enabled).

2009-03-16 10:39  king

	* Source/CMakeLists.txt, Source/cmInstallGenerator.cxx,
	  Source/cmInstallGenerator.h, Source/cmInstallTargetGenerator.cxx,
	  Source/cmInstallTargetGenerator.h, Source/cmScriptGenerator.cxx,
	  Source/cmScriptGenerator.h, bootstrap: ENH: Refactor
	  cmInstallGenerator for re-use

	  A new cmScriptGenerator base class factors out the
	  non-install-specific part of cmInstallGenerator.  This will be
	  useful for other generators that want per-configuration
	  functionality.

2009-03-16 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-15 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-14 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-13 17:04  alex

	* Source/cmExtraEclipseCDT4Generator.cxx: ENH: don't enforce
	  VERBOSE Makefiles, but set the env. var VERBOSE to 1 in when make
	  is executed from within Eclipse. This way when building from the
	  command line one can build also in non-verbose mode.

	  Alex

2009-03-13 16:52  alex

	* Modules/CMakeSystemSpecificInformation.cmake,
	  Source/cmExtraEclipseCDT4Generator.cxx,
	  Source/cmExtraEclipseCDT4Generator.h: ENH: when using the Eclipse
	  project generator, run gcc so that it tells us its system include
	  directories. These are catched in
	  CMakeSystemSpecificInformation.cmake (only with the Eclipse
	  generator) and then written by the Eclipse generator in the
	  Eclipse project file. This way Eclipse can find the standard
	  headers (#7585) Not sure CMakeSystemSpecificInformation.cmake is
	  the best place to do this.

	  Alex

2009-03-13 14:58  alex

	* Source/cmStringCommand.h: STYLE: add line breaks to the
	  documentation for CMAKE_MATCH_(0..9), otherwise one might miss
	  this information

	  Alex

2009-03-13 10:53  king

	* Source/cmCacheManager.cxx: BUG: Document internal cache property
	  MODIFIED

	  All cmake-defined properties should be documented, even if they
	  are internal.  This fixes the DocTest when CMAKE_STRICT is
	  enabled.

2009-03-13 10:53  king

	* Source/: cmCacheManager.cxx, cmCacheManager.h, cmake.cxx: BUG:
	  Fix cache properties for CMAKE_STRICT build

	  All cmPropertyMap instances must have CMakeInstance set.  This
	  teaches cmCacheManager to set it on cache entries.

2009-03-13 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-12 21:06  lowman

	* Modules/FindBoost.cmake: STYLE: Moved functions/macros to top of
	  file so main is more readable.

2009-03-12 19:24  alex

	* Source/cmIncludeDirectoryCommand.cxx: BUG: fix #8704, sometimes
	  crash if include_directories() is called with a whitespace string

	  Alex

2009-03-12 18:43  alex

	* Source/cmProjectCommand.h: STYLE: document NONE for disabling any
	  languages, slightly change wording of the rest of the
	  documentation, so it is more similar to ENABLE_LANGUAGE() (#8718)

	  Alex

2009-03-12 14:54  hoffman

	* Source/CTest/cmCTestSubmitHandler.cxx: ENH: allow for https
	  submission if ctest is built with a curl that supports it

2009-03-12 13:11  king

	* Source/cmCacheManager.cxx: COMP: Do not use void returns

	  VS 6 does not support the C++ void returns feature.  This removes
	  an accidental use of it.

2009-03-12 11:19  clinton

	* Source/QtDialog/: QCMake.cxx, QCMake.h, QCMakeCacheView.cxx,
	  QCMakeCacheView.h, QCMakeWidgets.h:
	  ENH:	Add support for showing combo box for choosing from a list
	  of strings that a cache property can have.

2009-03-12 10:52  king

	* Source/: cmCacheManager.cxx, cmSetPropertyCommand.cxx: ENH:
	  Define STRINGS cache entry property

	  This property defines a list of values for a cache entry of type
	  STRING.  A CMake GUI may optionally use a drop-down selection
	  widget for the entry instead of a generic text entry field.  We
	  do not enforce that the value of the entry match one of the
	  strings listed.

2009-03-12 10:49  king

	* Source/: cmCacheManager.cxx, cmCacheManager.h: ENH: Refactor
	  cache entry writing and reading

	  This factors out duplicated code into reusable methods, thus
	  simplifying writing and reading of cache entry help strings,
	  keys, values, and properties.

2009-03-12 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-11 18:13  alex

	* Modules/: CheckCSourceCompiles.cmake, CheckCSourceRuns.cmake,
	  CheckCXXSourceCompiles.cmake, CheckCXXSourceRuns.cmake: STYLE:
	  fix documentation: the second short description discarded the
	  first one, but the first one was the correct one (i.e. the one
	  which mentioned that CheckC[XX]SourceRuns.cmake also tries to run
	  the executable)

	  Alex

2009-03-11 13:31  king

	* Source/CTest/cmCTestCoverageHandler.cxx: BUG: Do not produce
	  empty coverage log files

	  This moves the filtering of source files to before the production
	  of coverage log files in order to avoid producing a
	  CoverageLog-*.xml file for 100 filtered-out files.  The change
	  greatly reduces the number of submitted coverage files when using
	  label filters.

2009-03-11 13:31  king

	* Source/: CTest/cmCTestCoverageHandler.cxx, cmCTest.h: BUG: Do not
	  carry over file list between coverage

	  When performing multiple ctest_coverage() commands in a single
	  CTest instance we need to clear the list of CoverageLog-*.xml
	  files for submission.  Otherwise if the current coverage run
	  produces fewer log files than the previous run CTest will attempt
	  to submit non-existing files.

2009-03-11 12:03  king

	* Source/CTest/: cmCTestCoverageHandler.cxx,
	  cmCTestCoverageHandler.h: BUG: Avoid duplicate CTest coverage
	  submission

	  This teaches ctest_coverage() to remove any existing
	  CoverageLog-*.xml when it creates new coverage results.
	  Otherwise the next ctest_submit() may submit old coverage log
	  files which unnecessarily.

2009-03-11 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-10 17:34  alex

	* Source/cmExtraCodeBlocksGenerator.cxx: ENH: only check for the
	  existance of a header file if: -the original file is a C/C++
	  implementation file -the header file is not already part of the
	  sources

	  Alex

2009-03-10 11:11  king

	* Source/: cmCacheManager.cxx, cmCacheManager.h,
	  cmDocumentation.cxx, cmake.cxx: ENH: Document CACHE entry
	  properties

	  This adds a property documentation section for CACHE properties.
	  We document the ADVANCED, HELPSTRING, TYPE, and VALUE properties.

2009-03-10 11:10  king

	* Source/cmCacheManager.cxx, Source/cmCacheManager.h,
	  Source/cmGetPropertyCommand.cxx, Source/cmGetPropertyCommand.h,
	  Source/cmSetPropertyCommand.cxx, Source/cmSetPropertyCommand.h,
	  Tests/Properties/CMakeLists.txt: ENH: Teach set/get_property
	  about CACHE properties

	  This adds the CACHE option to set_property and get_property
	  commands.  This allows full control over cache entry information,
	  so advanced users can tweak their project cache as desired.  The
	  set_property command allows only pre-defined CACHE properties to
	  be set since others would not persist anyway.

2009-03-10 11:10  king

	* Source/: cmCacheManager.cxx, cmCacheManager.h, cmProperty.h,
	  cmPropertyDefinitionMap.cxx: ENH: Use cmPropertyMap for cache
	  properties

	  This re-implements cache entry property storage in cmCacheManager
	  to use cmPropertyMap so it can share the standard property
	  implementation.

2009-03-10 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-09 17:57  king

	* Source/cmGetPropertyCommand.cxx: BUG: Fix get_property result for
	  bad property

	  When a property does not exist we are supposed to return an empty
	  value.  Previously if a property did not exist we just left the
	  value of the output variable unchanged.  This teaches CMake to
	  remove the definition of the output variable in this case.

2009-03-09 12:19  king

	* Source/CTest/: cmCTestCoverageHandler.cxx,
	  cmCTestCoverageHandler.h: ENH: Efficiently filter CTest coverage
	  by label

	  This teaches CTest to process coverage information only for
	  object files in targets containing labels of interest.  This
	  change also improves loading of global coverage information by
	  globbing only in each target support directory instead of the
	  entire build tree.

2009-03-09 12:19  king

	* Source/: CTest/cmCTestCoverageHandler.cxx, cmGlobalGenerator.cxx,
	  cmGlobalGenerator.h, CTest/cmCTestCoverageHandler.h: ENH:
	  Generate a central list of target directories

	  This generalizes the previous CMakeFiles/LabelFiles.txt created
	  at the top of the build tree to a
	  CMakeFiles/TargetDirectories.txt file.  It lists the target
	  support directories for all targets in the project.  Labels can
	  still be loaded by looking for Labels.txt files in each target
	  directory.

2009-03-09 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-08 15:33  alex

	* Source/cmExtraCodeBlocksGenerator.cxx:
	  ENH: automatically add headers of implementation file to the
	  codeblocks project file

	  Alex

2009-03-08 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-07 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-06 14:29  david.cole

	* Tests/CMakeTests/GetPrerequisitesTest.cmake.in: STYLE: White
	  space only change to see if continuous is working on new
	  dashboard machine...

2009-03-06 12:06  king

	* Source/: cmMessageCommand.cxx, cmMessageCommand.h: BUG: Fix
	  message(SEND_ERROR) to continue

	  During testing of the new message() signatures I mistakenly
	  concluded that SEND_ERROR stops processing.  The corresponding
	  commit enforced this wrong behavior.	This restores the correct
	  behavior and fixes the documentation accordingly.

2009-03-06 10:04  king

	* Source/cmMessageCommand.cxx, Source/cmMessageCommand.h,
	  Tests/CMakeTests/CMakeLists.txt,
	  Tests/CMakeTests/MessageTest.cmake.in,
	  Tests/CMakeTests/MessageTestScript.cmake: ENH: Teach message()
	  how to display warnings

	  This adds message(WARNING) and message(AUTHOR_WARNING) command
	  modes and fully documents the command behavior in all modes.

2009-03-06 10:01  king

	* Source/cmDocumentationFormatterMan.cxx: BUG: Fix man-page
	  preformatted text paragraphing

	  Man page preformatted text needs an extra newline after the
	  ending marker to create a paragraph break.  This bug was
	  introduced by the patch from issue #7797 to place explicit ".nf"
	  and ".fi" markers around preformatted blocks.

2009-03-06 09:14  king

	* Source/cmFileCommand.cxx: ENH: Teach file(REMOVE) how to use
	  relative paths

	  This teaches the command to interpret relative paths with respect
	  to the location of the invoking CMakeLists.txt file.	The
	  convention is already used by most commands and won't change the
	  behavior in script mode.

2009-03-06 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-05 15:17  king

	* CMakeCPack.cmake, CMakeLists.txt, bootstrap,
	  Source/CMakeLists.txt, Source/cmCTest.cxx,
	  Source/cmCacheManager.cxx, Source/cmConfigure.cmake.h.in,
	  Source/cmDocumentVariables.cxx, Source/cmLocalGenerator.cxx,
	  Source/cmStandardIncludes.h, Source/cmVersion.cxx,
	  Source/cmVersion.h, Source/cmVersionConfig.h.in,
	  Source/cmVersionMacros.h, Source/cmake.cxx,
	  Source/CursesDialog/cmCursesLongMessageForm.cxx,
	  Source/CursesDialog/cmCursesMainForm.cxx,
	  Source/QtDialog/CMakeSetup.cxx, Tests/CMakeTests/CMakeLists.txt,
	  Tests/CMakeTests/VersionTest.cmake.in: ENH: Overhaul CMake
	  version numbering

	  This moves the version numbers into an isolated configured header
	  so that not all of CMake needs to rebuild when the version
	  changes.

	  Previously we had spaces, dashes and/or the word 'patch' randomly
	  chosen before the patch number.  Now we always report version
	  numbers in the traditional format
	  "<major>.<minor>.<patch>[-rc<rc>]".

	  We still use odd minor numbers for development versions.  Now we
	  also use the CCYYMMDD date as the patch number of development
	  versions, thus allowing tests for exact CMake versions.

2009-03-05 13:57  king

	* Source/: cmake.cxx, cmake.h: STYLE: Remove unused
	  cmake::CacheVersionMatches

	  This remove the method completely since nothing uses it.

2009-03-05 10:17  king

	* Source/CTest/: cmCTestCoverageCommand.cxx,
	  cmCTestCoverageCommand.h: BUG: Initialize ctest_coverage command
	  ivar

	  This initializes the LabelsMentioned ivar in
	  cmCTestCoverageCommand.

2009-03-05 10:08  david.cole

	* Modules/CPack.cmake: STYLE: Use $ style variable dereference
	  instead of @ style.

2009-03-05 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-04 15:39  king

	* Source/cmake.cxx, Source/cmake.h, Source/cmakemain.cxx,
	  Tests/CMakeBuildTest.cmake.in: ENH: Cleanup cmake --build
	  interface.

	  This cleans up the 'cmake --build' command-line interface:   -
	  Rename --clean to --clean-first to better describe it.    -
	  Replace --extra-options with a -- separator to simplify passing
	  of	  multiple native build tool options.	 - Document the
	  options in the main CMake man page description of the
	  --build option, and shares this with the usage message.    -
	  Require --build to be the first argument when present.    - Move
	  implementation into cmakemain where it belongs.

2009-03-04 15:38  king

	* Source/: cmGlobalGenerator.cxx, cmGlobalGenerator.h: ENH: Extend
	  GG::Build method for pre-parsed args

	  This adds an argument to the cmGlobalGenerator::Build method to
	  pass a vector of arguments for the native build tool
	  programatically.

2009-03-04 12:30  hoffman

	* Modules/CPack.background.png.in: ENH: add file back bug use cmake
	  image

2009-03-04 11:45  king

	* Modules/AddExternalProject.cmake,
	  Tests/ExternalProject/CMakeLists.txt: ENH: Better recursive make
	  in AddExternalProject

	  This teaches AddExternalProject to run "$(MAKE)" for build and
	  install steps of CMake-based external projects when using a
	  Makefile generator.  It allows the external project to
	  participate in a parallel make invoked on the superproject.

2009-03-04 11:24  hoffman

	* Source/CTest/cmCTestScriptHandler.cxx: BUG: make sure error
	  condition is reset before loading scripts

2009-03-04 09:21  king

	* Modules/AddExternalProject.cmake: ENH: Allow empty arguments in
	  external project API

	  This uses the get_property command to simplify property lookup in
	  the AddExternalProject module.  It distinguishes for build and
	  install argument properties the cases of unset and set to empty.

2009-03-04 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-03 07:56  hoffman

	* Modules/CPack.background.png.in: ENH: remove unused file

2009-03-03 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-02 21:09  lowman

	* Modules/FindBoost.cmake: STYLE: Fix documentation bug regarding
	  Boost_<COMPONENT>_LIBRARY (COMPONENT should be uppercase).

2009-03-02 20:29  lowman

	* Modules/FindCxxTest.cmake: ENH: Detect perl & python scripts
	  based on CXXTEST_INCLUDE_DIR (patch from Tyler Roscoe on mailing
	  list).

2009-03-02 16:27  king

	* Source/cmXMLSafe.cxx: BUG: Avoid encoding invalid XML chars in
	  CTest

	  CTest encodes test and tool output in XML for dashboard
	  submission.  This fixes the XML encoding implementation to not
	  encode an invalid character and instead put a human-readable tag
	  in its place.  See issue #8647.

2009-03-02 16:02  king

	* Source/cmake.cxx: BUG: Gracefully handle broken version symlinks

	  This teaches the helper commands 'cmake -E
	  cmake_symlink_executable' and 'cmake -E cmake_symlink_library' to
	  remove broken symlinks before creating a symlink and report an
	  error when the symlink cannot be created.  See issue #8654.

2009-03-02 15:33  king

	* Source/CTest/: cmCTestCoverageCommand.cxx,
	  cmCTestCoverageCommand.h, cmCTestCoverageHandler.cxx,
	  cmCTestCoverageHandler.h: ENH: Teach ctest_coverage to filter
	  with LABELS

	  This teaches ctest_coverage() to report only coverage of files
	  labeled with at least one label given by a new LABELS option.

2009-03-02 15:33  king

	* Source/CTest/cmCTestCoverageHandler.cxx: BUG: Fix coverage label
	  reports for Bullseye

	  This teaches CTest to report Labels elements in the Coverage.xml
	  file for Bullseye coverage results.

2009-03-02 15:32  king

	* Source/CTest/cmCTestCoverageHandler.cxx: BUG: Fix coverage
	  handler initialization

	  This resets coverage handler internal state on initialization so
	  that multiple coverage runs are independent.

2009-03-02 09:59  king

	* Source/cmXMLSafe.cxx: BUG: Hack for issue #8647

2009-03-02 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-03-01 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-02-28 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-02-27 16:28  hoffman

	* Source/CTest/cmCTestTestHandler.cxx: BUG: #8611 add pass fail
	  reasons into log file

2009-02-27 13:08  king

	* Modules/CMakeASMInformation.cmake: BUG: Fix ASM source file
	  extension default list

	  This replaces @ASM_DIALECT@ syntax with ${ASM_DIALECT} syntax so
	  it will be replaced correctly.  Patch from Derek Bruening.  See
	  issue #8639.

2009-02-27 12:59  king

	* Source/cmMakefileTargetGenerator.cxx: BUG: Pass shared library
	  export symbol in DEFINES

	  The <target>_EXPORTS macro defined for object files when built in
	  a shared library <target> should be put in the <DEFINES> make
	  rule replacement and not <FLAGS>.  Also, it should honor the
	  platform variable CMAKE_<LANG>_DEFINE_FLAG.  See issue #8107.

2009-02-27 11:23  king

	* Source/: cmGlobalGenerator.cxx, cmGlobalGenerator.h,
	  cmMakefile.cxx: ENH: Enforce unique binary directories

	  The second argument of add_subdirectory must name a unique binary
	  directory or the build files will clobber each other.  This
	  enforces uniqueness with an error message.

2009-02-27 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-02-26 13:28  king

	* Docs/cmake-mode.el: BUG: Fix cmake-mode.el indentation cursor
	  motion

	  This makes cursor motion in the indent function consistent with
	  emacs conventions.  Patch from Mike Wittman.	See issue #8625.

2009-02-26 09:22  king

	* Source/CTest/: cmCTestUpdateHandler.cxx, cmCTestVC.cxx,
	  cmCTestVC.h: ENH: Refactor initial checkout into cmCTestVC

	  This adds cmCTestVC::InitialCheckout and uses it in
	  cmCTestUpdateHandler to run the initial checkout command.  The
	  new implementation logs the command in the update log
	  consistently with the rest of the new update implementation.

2009-02-26 09:22  king

	* Tests/: CTestUpdateCVS.cmake.in, CTestUpdateCommon.cmake,
	  CTestUpdateSVN.cmake.in: ENH: Extend CTest.UpdateSVN to test
	  local mods

	  This teaches the test to create local modifications in the work
	  tree before updating.

2009-02-26 09:16  king

	* Source/: cmLocalGenerator.cxx, cmLocalGenerator.h: BUG: Use new
	  include dir suppresson for all gens

	  This fixes CMAKE_<LANG>_IMPLICIT_INCLUDE_DIRECTORIES to be used
	  for all generators instead of just those that construct their own
	  compiler command lines directly.  See issue #8598.

2009-02-26 08:49  king

	* Source/cmLocalGenerator.cxx: ENH: Simplify reverse
	  cmLocalGenerator::Convert

	  It does not make sense to call the reverse Convert signature (for
	  remote paths corresponding to CMake-managed directories) with
	  NONE or FULL since they have no path.  Patch from Modestas
	  Vainius.  See issue #7779.

2009-02-26 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-02-25 17:17  miguelf

	* Modules/FindwxWidgets.cmake: BUG: Fix copy/paste error in
	  previous commit that references wrong variable
	  (wxWidgets_INCLUDE_DIRS instead of wxWidgets_DEFINITIONS).

2009-02-25 16:29  alex

	* Modules/FindQt4.cmake: ENH: add patch from Debian, which adds
	  support lrelease-qt4 and lupdate-qt4
	  http://patch-tracking.debian.net/patch/series/view/cmake/2.6.3-1/FindQt4_qt4_lupdate_lrelease.diff

	  Alex

2009-02-25 15:45  king

	* Source/CTest/: cmCTestSVN.cxx, cmCTestVC.h: COMP: Fix cmCTestVC
	  member access for HP compiler

	  The HP C++ compiler needs some help to allow access to some
	  member classes of cmCTestVC.

2009-02-25 14:42  king

	* Source/CTest/: cmCTestCVS.cxx, cmCTestCVS.h, cmCTestSVN.cxx,
	  cmCTestSVN.h, cmCTestUpdateHandler.cxx, cmCTestVC.cxx,
	  cmCTestVC.h: ENH: Rewrite CTest Update implementation

	  This adds a new VCS update implementation to the cmCTestVC
	  hierarchy and removes it from cmCTestUpdateHandler.  The new
	  implementation has the following advantages:

	    - Factorized implementation instead of monolithic function
	    - Logs vcs tool output as it is parsed (less memory, inline
	  messages)
	    - Uses one global svn log instead of one log per file
	    - Reports changes on cvs branches (instead of latest trunk
	  change)
	    - Generates simpler Update.xml (only one Directory element per
	  dir)

	  Shared components of the new implementation appear in cmCTestVC
	  and may be re-used by subclasses for other VCS tools in the
	  future.

2009-02-25 11:44  king

	* Modules/Platform/UnixPaths.cmake, Source/cmDocumentVariables.cxx,
	  Source/cmLocalGenerator.cxx: ENH: Re-enable system include dir
	  suppression

	  This creates variable CMAKE_<LANG>_IMPLICIT_INCLUDE_DIRECTORIES
	  to specify implicit include directories on a per-language basis.
	  This replaces the previous platform-wide variable.  It is
	  necessary to avoid explicit specification of -I/usr/include on
	  some compilers (such as HP aCC) because:

	    1.) It may break ordering among system include directories
	  defined
		internally by the compiler, thus getting wrong system
	  headers.
	    2.) It tells the compiler to treat the system include directory
		as a user include directory, enabling warnings in the
	  headers.

	  See issue #8598.

2009-02-25 09:20  king

	* Source/CTest/cmCTestVC.cxx: COMP: Fix cmCTestVC char[]->string
	  Borland warning

	  The Borland compiler warns about returning a char[] from a
	  function with return type std::string without an explicit
	  construction.

2009-02-25 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-02-24 17:23  hoffman

	* Source/CTest/: cmCTestMultiProcessHandler.cxx,
	  cmCTestTestHandler.cxx, cmCTestTestHandler.h: ENH: add a CDash
	  measured value showing the reason for passed and failed tests
	  based on regular expressions

2009-02-24 17:07  king

	* Utilities/CMakeLists.txt: BUG: Fix cmake-gui docs generation PATH
	  feature

	  Automatic addition of the Qt DLL location to PATH can be done
	  only for generators that use a Windows shell.

2009-02-24 16:49  miguelf

	* Modules/: FindwxWidgets.cmake, UsewxWidgets.cmake: BUG: Using
	  PROPERTY COMPILE_DEFINITIONS_DEBUG to support Debug only
	  preprocessor options (e.g., _DEBUG __WXDEBUG__).

2009-02-24 15:43  king

	* Source/: cmXMLParser.cxx, cmXMLParser.h: ENH: Added
	  cmXMLParser::FindAttribute method

	  This method will help subclasses look for element attributes in
	  their StartElement methods.

2009-02-24 15:43  king

	* Source/: cmXMLParser.cxx, cmXMLParser.h: ENH: Allow cmXMLParser
	  subclasses to report errors

	  This tells cmXMLParser to report error messages through virtual
	  method cmXMLParser::ReportError so that subclasses can override
	  the default report.

2009-02-24 15:43  king

	* Source/CTest/: cmCTestSVN.cxx, cmCTestSVN.h: ENH: Teach
	  cmCTestSVN to load repo/tree relation

	  This teaches cmCTestSVN::NoteNewRevision to save the repository
	  URL checked out in the work tree, the repository root, and the
	  path below the root to reach the full URL.

2009-02-24 15:43  king

	* Source/: cmCTest.cxx, cmCTest.h: ENH: Add cmCTest::DecodeURL
	  method

	  This new method decodes the "percent-encoding" used in URL
	  syntax.

2009-02-24 15:37  king

	* Modules/Platform/Darwin-icc.cmake, Modules/Platform/Darwin.cmake,
	  Source/cmLocalGenerator.cxx, Source/cmLocalGenerator.h,
	  Source/cmLocalUnixMakefileGenerator3.cxx: BUG: Remove implicit
	  include dir suppression

	  We used to suppress generation of -I/usr/include (and on OSX also
	  -I/usr/local/include).  This behavior seems to cause more trouble
	  than it's worth, so I'm removing it until someone encounters the
	  original problem it fixed.  See issue #8598.

2009-02-24 14:32  hoffman

	* Tests/Fortran/include/test_preprocess.h: file test_preprocess.h
	  was added on branch CMake-2-6 on 2009-03-23 18:04:12 +0000

2009-02-24 14:32  king

	* Tests/Fortran/: CMakeLists.txt, test_preprocess.F90,
	  include/test_preprocess.h: ENH: Test included header in Fortran
	  preprocessing

	  This extends the Fortran preprocessing test to include a header
	  file through a preprocessor directive.

2009-02-24 14:32  king

	* Source/cmDependsFortran.cxx: BUG: Fix Fortran implicit dependency
	  include path

	  The previous change to Source/cmDependsFortran.cxx while
	  refactoring implicit dependency scanning configuration rules
	  completely broke loading of the include file search path while
	  scanning Fortran dependencies.  This adds the line that should
	  have been added during the previous change to load the include
	  path correctly.

2009-02-24 12:52  king

	* Source/CTest/: cmCTestSVN.cxx, cmCTestSVN.h,
	  cmCTestUpdateHandler.cxx, cmCTestVC.cxx, cmCTestVC.h: ENH: Factor
	  out VCS work tree revision checks

	  This moves checks of the work tree revision before and after
	  update from cmCTestUpdateHandler::ProcessHandler into the
	  cmCTestVC hierarchy.

2009-02-24 12:50  king

	* Source/CTest/: cmCTestUpdateHandler.cxx, cmCTestVC.cxx,
	  cmCTestVC.h: ENH: Factor out nightly start time computation

	  Move generation of the nightly start time string from
	  cmCTestUpdateHandler::ProcessHandler into cmCTestVC.

2009-02-24 12:50  king

	* Source/CTest/: cmCTestSVN.cxx, cmCTestSVN.h,
	  cmCTestUpdateHandler.cxx, cmCTestVC.cxx, cmCTestVC.h: ENH: Factor
	  out svn work tree cleanup

	  This removes work tree cleanup from cmCTestUpdateHandler and adds
	  an interface for it in cmCTestVC with an implementation in
	  cmCTestSVN.

2009-02-24 12:49  king

	* Source/CTest/: cmCTestVC.cxx, cmCTestVC.h: ENH: Create
	  cmCTestVC::RunChild and parse helpers

	  This method will help VCS tool subclasses run child processes and
	  log the output while parsing it.

2009-02-24 11:41  king

	* Source/cmInstallCommand.cxx, Source/cmInstallCommand.h,
	  Source/cmInstallDirectoryGenerator.cxx,
	  Source/cmInstallDirectoryGenerator.h,
	  Tests/SimpleInstall/CMakeLists.txt,
	  Tests/SimpleInstallS2/CMakeLists.txt: ENH: Add install(DIRECTORY)
	  option 'OPTIONAL'

	  This adds the OPTIONAL option to the install(DIRECTORY) command.
	  It tells the installation rule that it is not an error if the
	  source directory does not exist.  See issue #8394.

2009-02-24 11:41  king

	* Source/cmInstallCommand.cxx: ENH: Refactor install(DIRECTORY)
	  argument parsing

	  We previously used several booleans with at most one set to true
	  at a time to track argument parsing state.  This refactors it to
	  use one enumeration.

2009-02-24 11:08  king

	* Source/cmProcessTools.h: COMP: cmProcessTools::OutputParser
	  virtual dtor

	  This class has virtual methods and therefore should have a
	  virtual destructor.

2009-02-24 10:40  king

	* Source/: CMakeLists.txt, cmProcessTools.cxx, cmProcessTools.h:
	  ENH: Create cmProcessTools to parse child output

	  This class provides a RunProcess method to run a child process
	  and send its output to an abstract parsing interface.  This also
	  provides a simple line parser and logger implementing the parsing
	  interface.

2009-02-24 10:39  king

	* Source/: CMakeLists.txt, CTest/cmCTestCVS.cxx,
	  CTest/cmCTestCVS.h, CTest/cmCTestSVN.cxx, CTest/cmCTestSVN.h,
	  CTest/cmCTestUpdateHandler.cxx: ENH: Add cmCTestCVS and
	  cmCTestSVN

	  These cmCTestVC subclasses will implement interaction with CVS
	  and SVN tools.

2009-02-24 10:39  king

	* Source/: CMakeLists.txt, CTest/cmCTestVC.cxx, CTest/cmCTestVC.h:
	  ENH: Create cmCTestVC for VCS interaction

	  This creates cmCTestVC, the base for a forthcoming class
	  hierarchy to interact with version control systems.

2009-02-24 09:34  david.cole

	* Source/CPack/cmCPackDragNDropGenerator.cxx: STYLE: Fix line
	  length violation.

2009-02-24 09:09  king

	* Source/CTest/: cmCTestUpdateHandler.cxx, cmCTestUpdateHandler.h:
	  ENH: Factor out VCS tool detection

	  In cmCTestUpdateHandler, this factors out version control tool
	  detection from the monolithic
	  cmCTestUpdateHandler::ProcessHandler to separate methods.  This
	  also places priority on detection of the tool managing the source
	  tree since using any other tool will cause errors.

2009-02-24 09:09  king

	* Source/CTest/: cmCTestUpdateHandler.cxx, cmCTestUpdateHandler.h:
	  ENH: Factor out initial checkout method

	  This moves the initial checkout code from the monolithic
	  cmCTestUpdateHandler::ProcessHandler to a separate method
	  cmCTestUpdateHandler::InitialCheckout.

2009-02-24 09:00  king

	* Utilities/CMakeLists.txt: ENH: Help cmake-gui docs generation on
	  Windows

	  We use a custom command to run 'cmake-gui --help...' to generate
	  the documentation for the application.  Since this is a Qt
	  application, the executable must find the Qt DLLs in order to
	  run.	As a convenience, if QtCore4.dll appears next to qmake.exe,
	  we put its location in the PATH environment variable when running
	  the custom command on Windows.

2009-02-24 00:49  lowman

	* Modules/FindBoost.cmake: BUG: Fix issue #8576 FindBoost
	  regression finding static libs, impacts MinGW and Intel/Windows
	  compilers.

2009-02-24 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-02-23 16:54  king

	* Tests/CTestUpdateCommon.cmake: BUG: Fix CTest.UpdateCVS/SVN tests
	  for win slashes

	  This fixes the tests to allow windows slashes in reported file
	  names in the generated Update.xml file.

2009-02-23 15:59  king

	* Source/CTest/cmCTestUpdateHandler.cxx: ENH: Refactor quoting of
	  VCS tool command

	  Previously we pre-quoted the command line tool path.	This avoids
	  it by quoting the command everywhere it is used, thus preserving
	  access to the original, unquoted command.

2009-02-23 15:59  king

	* Tests/CTestUpdateSVN.cmake.in: ENH: Test svn updates with space
	  in author name

	  This enhances the CTest.UpdateSVN test with a space in the test
	  author name.	It will check that author name parsing works
	  correctly.

2009-02-23 15:59  king

	* Tests/: CTestUpdateCVS.cmake.in, CTestUpdateCommon.cmake,
	  CTestUpdateSVN.cmake.in: ENH: Enhance CTest.UpdateCVS/SVN tests

	  This adds a source tree subdirectory to the content of the test
	  projects.  It also smoke tests more than one revision worth of
	  changes.

2009-02-23 15:58  king

	* Tests/CTestUpdateCommon.cmake: ENH: Better failure output from
	  CTest.Update*

	  This teaches CTestUpdateCommon to report the process exit
	  condition from failed child processes executed during tests.

2009-02-23 13:25  david.cole

	* Source/CPack/cmCPackDragNDropGenerator.cxx: ENH: Add license file
	  presentation to the Drag-N-Drop dmg file CPack generator. Fixes
	  issue #8442. Thanks to Clinton Stimpson for the patch.

2009-02-23 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-02-22 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-02-21 14:43  hoffman

	* Source/QtDialog/CMakeSetup.cxx: BUG: make sure you can build
	  cmake without an X server

2009-02-21 14:38  hoffman

	* Source/QtDialog/CMakeSetup.cxx: BUG: make sure the gui still
	  runs...

2009-02-21 14:23  hoffman

	* Source/QtDialog/CMakeSetup.cxx: BUG: make sure an x server is not
	  required for the build

2009-02-21 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-02-20 15:51  king

	* Source/CTest/: cmCTestBuildCommand.h, cmCTestConfigureCommand.h,
	  cmCTestCoverageCommand.h, cmCTestHandlerCommand.h,
	  cmCTestMemCheckCommand.h, cmCTestTestCommand.h: ENH: Document
	  APPEND option in ctest_* commands

	  This adds documentation of the APPEND option to the configure,
	  build, test, memcheck, and coverage commands.  The docs leave
	  specific semantics for the dashboard server to define.

2009-02-20 15:50  king

	* Source/CTest/: cmCTestBuildCommand.h, cmCTestConfigureCommand.h,
	  cmCTestCoverageCommand.h, cmCTestMemCheckCommand.h,
	  cmCTestTestCommand.h, cmCTestUpdateCommand.h: ENH: Improve
	  ctest_* command documentation

	  This corrects the terse documentation and adds detail to the full
	  documentation of some commands.  It also normalizes the layout of
	  the documentation string endings to make adding lines easier.

2009-02-20 15:50  king

	* Source/CTest/cmCTestSubmitCommand.h: ENH: More documentation for
	  ctest_submit command

	  This clarifies the terse documentation and lists valid values for
	  PARTS.

2009-02-20 14:03  king

	* Source/cmDocumentVariables.cxx: ENH: Clarify docs of old
	  *_OUTPUT_PATH vars

	  This clarifies the documentation of EXECUTABLE_OUTPUT_PATH and
	  LIBRARY_OUTPUT_PATH to sound less like deprecation.

2009-02-20 11:10  hoffman

	* CMakeLists.txt, ChangeLog.manual: ENH: final 2.6.3 commit remove
	  RC and clean changelog a bit

2009-02-20 10:14  david.cole

	* Source/CPack/: cmCPackDragNDropGenerator.cxx,
	  cmCPackDragNDropGenerator.h: STYLE: Fix style line-too-long
	  violations.

2009-02-20 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-02-19 16:04  clinton

	* Modules/FindQt4.cmake:
	  ENH:	Support COMPONENTS argument to find_package().	      See
	  bug #8542.

2009-02-19 16:02  hoffman

	* Tests/BuildDepends/Project/CMakeLists.txt: ENH: merge in fix for
	  test on older macs

2009-02-19 15:51  clinton

	* Modules/FindQt4.cmake:
	  ENH:	Support version argument in find_package().	   See bug
	  #8542.

2009-02-19 15:24  hoffman

	* Tests/BuildDepends/Project/CMakeLists.txt: ENH: make sure
	  multiple archs are only tested when the work

2009-02-19 11:53  hoffman

	* CMakeLists.txt, ChangeLog.manual,
	  Source/cmGlobalXCodeGenerator.cxx,
	  Tests/BuildDepends/Project/CMakeLists.txt: BUG: fix xcode depend
	  issue again with a test

2009-02-19 11:51  hoffman

	* Source/cmGlobalXCodeGenerator.cxx,
	  Tests/BuildDepends/Project/CMakeLists.txt: BUG: fix xcode depend
	  issue and add a test for it

2009-02-19 11:20  david.cole

	* Source/cmGlobalXCodeGenerator.cxx: BUG: Fix issue #8253 - handle
	  xib file extension in Xcode projects so that double clicking on
	  xib files opens them up in Interface Builder. Thanks to
	  baron_roberts for the patch.

2009-02-19 11:17  hoffman

	* CMakeLists.txt, ChangeLog.manual,
	  Source/cmGlobalXCodeGenerator.cxx: BUG: fix xcode depend issue
	  again on branch

2009-02-19 10:39  david.cole

	* Source/CPack/: cmCPackBundleGenerator.cxx,
	  cmCPackDragNDropGenerator.cxx, cmCPackDragNDropGenerator.h: BUG:
	  A little bit more refactoring from BundleGenerator to
	  DragNDropGenerator. See issue #8556. Thanks for Clinton Stimpson
	  for the patch.

2009-02-19 10:31  hoffman

	* Source/cmGlobalXCodeGenerator.cxx: BUG: fix depend bug again for
	  Xcode

2009-02-19 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-02-18 12:40  hoffman

	* CMakeLists.txt, ChangeLog.manual,
	  Source/cmGlobalXCodeGenerator.cxx: ENH: put in fix for Xcode
	  rebuild issue on branch

2009-02-18 12:09  hoffman

	* Source/cmGlobalXCodeGenerator.cxx: BUG: use the top level project
	  name for the xcode depend helper directory names

2009-02-18 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2009-02-17 16:59  david.cole

	* Modules/Platform/Darwin.cmake: BUG: Allow third component of Mac
